VERSION 5.00
Object = "{FEB354C1-D752-11D0-AFE0-00AA002C664D}#1.19#0"; "Acsatlas.ocx"
Begin VB.Form ACS_Atlas
   BorderStyle     =   1  'Fixed Single
   Caption         =   "ACS Atlas"
   ClientHeight    =   3795
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   3060
   Icon            =   "ACS_Atlas.frx":0000
   LinkTopic       =   "ACS_Atlas"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3795
   ScaleWidth      =   3060
   Begin VB.CommandButton cmdLookup
      Caption         =   "Lookup"
      Height          =   525
      Left            =   870
      TabIndex        =   1
      Top             =   3090
      Width           =   1245
   End
   Begin ACSATLASLib.ACSAtlas ACSAtlas1
      Height          =   2625
      Left            =   150
      TabIndex        =   0
      Top             =   300
      Width           =   2775
      _Version        =   65555
      _ExtentX        =   4895
      _ExtentY        =   4630
      _StockProps     =   0
      Month           =   6
      TimeType        =   -1
      ShowSeconds     =   0   'False
   End
End
Attribute VB_Name = "ACS_Atlas"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim atlas_path$

Private Sub cmdLookup_Click()
    Dim deg As Double, min As Double
    Dim long_deg%, long_min%
    Dim lat_deg%, lat_min%
    Dim x!, adj_x!

    deg = ACSAtlas1.Longitude / 3600
    min = (deg - Fix(deg)) * 60
    long_deg% = Abs(Fix(deg))
    long_min% = Abs(min)

    If long_min% = 60 Then
        long_min% = 0
        long_deg% = long_deg% + 1
    End If

    If deg >= 0 Then
        AtlasLongitude$ = long_deg% & "W" & long_min%
    Else
        AtlasLongitude$ = long_deg% & "E" & long_min%
    End If

    deg = ACSAtlas1.Latitude / 3600
    min = (deg - Fix(deg)) * 60
    lat_deg% = Abs(Fix(deg))
    lat_min% = Abs(min)

    If lat_min% = 60 Then
        lat_min% = 0
        lat_deg% = lat_deg% + 1
    End If

    If deg >= 0 Then
        AtlasLatitude$ = lat_deg% & "N" & lat_min%
    Else
        AtlasLatitude$ = lat_deg% & "S" & lat_min%
    End If

    If ACSAtlas1.CountyNumber >= 1000 Then
        Me.Caption = "THIS IS A DUPLICATE CITY"
    Else
        Me.Caption = "ACS Atlas"
    End If

    x! = ACSAtlas1.TimeZone / 900

    If ACSAtlas1.TimeType = 0 Then
        AtlasTimeZone! = x!
    ElseIf ACSAtlas1.TimeType = 1 Or ACSAtlas1.TimeType = 2 Then
        AtlasTimeZone! = x! - 1
    ElseIf ACSAtlas1.TimeType = 3 Then
        AtlasTimeZone! = x! - 2
    Else
        MsgBox "LMT is used", 48, "LMT used"
        AtlasTimeZone! = x!
    End If

    RSVP% = 6
    ErrFlag% = 1

    If ACSAtlas1.CountyNumber < 1000 Then
    Unload ACS_Atlas
    End If
End Sub

Private Sub Form_Load()
    Dim t$

    ACSAtlas1.IllinoisTreatment = 1

    Close #2
    Open "c:\windows\acsatlas.ini" For Input As #2
       Line Input #2, t$
       Line Input #2, t$
    Close #2

    atlas_path$ = Right$(t$, Len(t$) - 5)
    ACSAtlas1.AtlasPath = atlas_path$

    If which_atlas% = 1 Then
        ACSAtlas1.Month = InputD!txtMonth
        ACSAtlas1.Day = InputD!txtDay
        ACSAtlas1.Year = InputD!txtYear
        ACSAtlas1.hour = InputD!txtBirthHour
        ACSAtlas1.Minute = InputD!txtBirthMinute
        If InputD!optAM.Value = -1 Then
            If ACSAtlas1.hour = 12 Then
                ACSAtlas1.hour = 0
            End If
        Else
            ACSAtlas1.hour = ACSAtlas1.hour + 12
        End If
    Else
        ACSAtlas1.Month = InputD1!txtDiurnalMonth
        ACSAtlas1.Day = InputD1!txtDiurnalDay
        ACSAtlas1.Year = InputD1!txtDiurnalYear
        ACSAtlas1.hour = InputD1!txtDiurnalHour
        ACSAtlas1.Minute = InputD1!txtDiurnalMinute
        If InputD1!optDiurnalAM.Value = -1 Then
            If ACSAtlas1.hour = 12 Then
                ACSAtlas1.hour = 0
            End If
        Else
            ACSAtlas1.hour = ACSAtlas1.hour + 12
        End If
    End If

    Me.Left = InputD.Left
    Me.Top = InputD.Top + InputD.Height
End Sub

