Attribute VB_Name = "MODULE2"
Sub CalcNewAscendant()
    Dim a1, OB_r, RA

    RA = Radians(RAMC)
    OB_r = Radians(OB)

    a1 = Atn(Cos(RA) / (-Sin(RA) * Cos(OB_r) - Tangent(lat) * Sin(OB_r)))

    If a1 < 0 Then
        a1 = a1 + 3.1415926535
    End If

    If Cos(RA) < 0 Then
        a1 = a1 + 3.1415926535
    End If

    Ascendant = CRUNCH(Mod360(DEGREES(a1)))
End Sub

Sub GetNewProgressedMC()
'get progressed MC calculated equal to progressed Sun's movement from natal position
    Planets(15) = CRUNCH(Natal(15) + Planets(1) - Natal(1))

'get right ascension for progressed MC
    RAMC = DEGREES(Atn(Cosine(OB) * Tangent(Planets(15))))

    If Cosine(Planets(15)) < 0 Then
        RAMC = RAMC + 180
    End If

    If RAMC < 0 Then
        RAMC = RAMC + 360
    End If

    Call CalcNewAscendant
    Planets(14) = Ascendant
End Sub


Sub HouseCalcs()
'Type_of_Chart% = 0 if natal
'Type_of_Chart% = 3 if transit
    If Type_of_Chart% = 0 Then
        F = NatalTime!: If Int(NatalTime!) = 12 Then F = NatalTime! - 12
        F = (ConvertDMtoDec(F) + NatalTimeZone!) / 24
        If NatalBirthTime$ = "P.M." Then
            F = F + 0.5
        End If

        LO = Abs(NatalLong!)
        LA = Abs(NatalLat!)
        d2$ = NatalD2$
        D = NatalDay%: M = NatalMonth%: Y = NatalYear%
    Else
        F = DiurnalTime!: If Int(DiurnalTime!) = 12 Then F = DiurnalTime! - 12
        F = (ConvertDMtoDec(F) + DiurnalTimeZone!) / 24
        If DiurnalBirthTime$ = "P.M." Then F = F + 0.5

        LO = Abs(DiurnalLong!)
        LA = Abs(DiurnalLat!)
        d2$ = DiurnalD2$
        D = DiurnalDay%: M = DiurnalMonth%: Y = DiurnalYear%
        Diurnal_F = F

        XDAY = D: XMonth = M: XYear = Y
        Call GetJulianDay
        InterpretJD# = XJD
    End If

    IM = 12 * (Y + 4800) + M - 3
    J# = (2 * (IM - Int(IM / 12) * 12) + 7 + 365 * IM) / 12
    J# = Int(J#) + D + Int(IM / 48) - 32083

'removed 26 May 2005
'    If J# > 2299171 Then
        J# = (J# + Int(IM / 4800) - Int(IM / 1200) + 38)
        jd = J# + F - 0.5
        If Type_of_Chart% = 0 Then
            NatalJD = jd
        Else
            DiurnalJD = jd
        End If
'    End If
End Sub

' ********** CALCULATION OF WHICH PLANETS ARE IN WHICH HOUSES *****************
Sub PLANETSINHOUSES()
    Dim CorrPlanetsY

    For x = 1 To 12
        For Y = 1 To NumberOfPlanets%
            Mid$(ph$, Y * 10 - 5, 10) = " HOUSE"
            CorrPlanetsY = Planets(Y) + (1 / 36000)
                If x < 12 And HC(x) > HC(x + 1) Then GoTo PIH6
                If x = 12 And HC(x) > HC(1) Then GoTo PIH8
                If CorrPlanetsY >= HC(x) And CorrPlanetsY < HC(x + 1) And x < 12 Then Mid$(ph$, Y * 10 - 9, 4) = Mid$(HCX1$, x * 4 - 3, 4): GoTo PIH9
                If CorrPlanetsY >= HC(x) And CorrPlanetsY < HC(1) And x = 12 Then Mid$(ph$, Y * 10 - 9, 4) = Mid$(HCX1$, x * 4 - 3, 4)
                GoTo PIH9

PIH6:
                If (CorrPlanetsY >= HC(x) And CorrPlanetsY < 360) Or (CorrPlanetsY < HC(x + 1) And CorrPlanetsY >= 0) Then Mid$(ph$, Y * 10 - 9, Y * 10 - 6) = Mid$(HCX1$, x * 4 - 3, 4)
                GoTo PIH9

PIH8:
                If (CorrPlanetsY >= HC(x) And CorrPlanetsY < 360) Or (CorrPlanetsY < HC(1) And CorrPlanetsY >= 0) Then Mid$(ph$, Y * 10 - 9, Y * 10 - 6) = Mid$(HCX1$, x * 4 - 3, 4)
PIH9:
        Next Y
    Next x
End Sub

Sub CalcSPoint()
        Dim TEMP7

        Call Convert360toDM: TEMP7 = z
ANT12a: If TEMP7 >= 30 Then TEMP7 = TEMP7 - 30: GoTo ANT12a
        If XOPTION!(167) = 0 Then
            If Q = 1 Then Q = 6: GoTo ANT11a
            If Q = 2 Then Q = 5: GoTo ANT11a
            If Q = 3 Then Q = 4: GoTo ANT11a
            If Q = 4 Then Q = 3: GoTo ANT11a
            If Q = 5 Then Q = 2: GoTo ANT11a
            If Q = 6 Then Q = 1: GoTo ANT11a
            If Q = 7 Then Q = 12: GoTo ANT11a
            If Q = 8 Then Q = 11: GoTo ANT11a
            If Q = 9 Then Q = 10: GoTo ANT11a
            If Q = 10 Then Q = 9: GoTo ANT11a
            If Q = 11 Then Q = 8: GoTo ANT11a
            If Q = 12 Then Q = 7: GoTo ANT11a
        Else
            If Q = 1 Then Q = 12: GoTo ANT11a
            If Q = 2 Then Q = 11: GoTo ANT11a
            If Q = 3 Then Q = 10: GoTo ANT11a
            If Q = 4 Then Q = 9: GoTo ANT11a
            If Q = 5 Then Q = 8: GoTo ANT11a
            If Q = 6 Then Q = 7: GoTo ANT11a
            If Q = 7 Then Q = 6: GoTo ANT11a
            If Q = 8 Then Q = 5: GoTo ANT11a
            If Q = 9 Then Q = 4: GoTo ANT11a
            If Q = 10 Then Q = 3: GoTo ANT11a
            If Q = 11 Then Q = 2: GoTo ANT11a
            If Q = 12 Then Q = 1: GoTo ANT11a
        End If
ANT11a: SPoint = (Q - 1) * 30 + (30 - TEMP7)
End Sub

Sub CalculateAstrology()
    Dim LNX, LNX_Decl
    Dim x(6) As Double
'added 11 Jan 2003 for updating by time increments
    Dim t1$

    ReDim SORT(78), SORTPOS(78)

    Retrograde$ = Space$(NumberOfPlanets%)
    ph$ = Space$(130) + "---- --------- -----"
    If NumberOfPlanets% > 15 Then
        ph$ = ph$ & Space((NumberOfPlanets% - 15) * 10)
    End If

    If AstrAstr!mnuHouseRegiomontanus.Checked = True Then
        HS$ = "R"
    ElseIf AstrAstr!mnuHouseKoch.Checked = True Then
        HS$ = "K"
    ElseIf AstrAstr!mnuHouseCampanus.Checked = True Then
        HS$ = "C"
    ElseIf AstrAstr!mnuHousePorphyry.Checked = True Then
        HS$ = "O"
    ElseIf AstrAstr!mnuHouseAlcabitus.Checked = True Then
        HS$ = "B"
    ElseIf AstrAstr!mnuHouseTopocentric.Checked = True Then
        HS$ = "T"
    Else
        HS$ = "P"
    End If

'added 11 Jan 2003 for updating by time increments
        If InUpdate% = 1 Then
            ZN$ = InputD!txtName.Text & " - in update mode"
            NatalMonth% = LastMonth%: NatalDay% = LastDay%: NatalYear% = LastYear%
            F = LastHour! + LastMinute! / 100
            NatalBirthTime$ = "A.M.": If LastAmPm% = 1 Then NatalBirthTime$ = "P.M."
            If MyiDate% = 2 Then
                NatalDate$ = LTrim$(Str$(LastYear%)) + "/" + LTrim$(Str$(LastMonth%)) + "/" + LTrim$(Str$(LastDay%))
            ElseIf MyiDate% = 1 Then
                NatalDate$ = LTrim$(Str$(LastDay%)) + "/" + LTrim$(Str$(LastMonth%)) + "/" + LTrim$(Str$(LastYear%))
            Else
                NatalDate$ = LTrim$(Str$(LastMonth%)) + "/" + LTrim$(Str$(LastDay%)) + "/" + LTrim$(Str$(LastYear%))
            End If
            NatalTime! = F: NatalTimeZone! = LastTZ!: AMorPM$ = NatalBirthTime$

            NatalLong! = LastLongDeg% + LastLongMin% / 100
            If LastLongEW% = 0 Then
                NatalLong! = -NatalLong!
            End If
            If NatalLong! < 0 Then d1$ = "East" Else d1$ = "West"

            NatalLat! = LastLatDeg% + LastLatMin% / 100
            If LastLatNS% = 1 Then
                NatalLat! = -NatalLat!
            End If
            If NatalLat! < 0 Then d2$ = "South" Else d2$ = "North"

            NatalD1$ = d1$: NatalD2$ = d2$
        Else
            InputErrorFlag% = 0
            Call CheckInputErrors
            Call CheckLatitudeErrors
            Call CheckOverflowErrorsNatal
            Call CheckOverflowErrorsDiurnal
            If InputErrorFlag% = 1 Then Exit Sub

            Call FetchNatalData: Call FetchDiurnalData
            ZN$ = InputD!txtName.Text
        End If

        Screen.MousePointer = 11
        InputD.Hide: InputD1.Hide: Names.Hide: Geograph.Hide

        ReDim Wheels1Captions$(7), Wheels2Captions$(7)

        NatOrTranOuter% = 0
        'ZN$ = InputD!txtName.Text

        'Call FetchNatalData: Call FetchDiurnalData

'do natal calculations
        Type_of_Chart% = 0
        Call HouseCalcs

'added 11 Jan 2003 for updating by time increments
        If InUpdate% = 0 Then
            iday% = NatalDay%
            imonth% = NatalMonth%
            iyear% = NatalYear%

            ihour! = Val(InputD!txtBirthHour.Text)
            If InputD!optAM.Value = True Then
                If Fix(ihour!) = 12 Then
                    ihour! = ihour! - 12
                End If
            Else
                If Fix(ihour!) <> 12 Then
                    ihour! = ihour! + 12
                End If
            End If
            ihour! = ihour! + NatalTimeZone!
            imin! = Val(InputD!txtBirthMinute.Text)

            lon = Val(InputD!txtLongDeg.Text) + (Val(InputD!txtLongMin.Text) / 60)
            lat = Val(InputD!txtLatDeg.Text) + (Val(InputD!txtLatMin.Text) / 60)

            If UCase$(NatalD1$) = "WEST" Then
                lon = -lon
            End If

            If UCase$(NatalD2$) = "SOUTH" Then
                lat = -lat
            End If
        Else
            iday% = LastDay%
            imonth% = LastMonth%
            iyear% = LastYear%

            ihour! = LastHour!
            If LastAmPm% = 0 Then
                If Fix(ihour!) = 12 Then
                    ihour! = ihour! - 12
                End If
            Else
                If Fix(ihour!) <> 12 Then
                    ihour! = ihour! + 12
                End If
            End If
            ihour! = ihour! + LastTZ!
            imin! = LastMinute!

            If UCase$(NatalD1$) = "EAST" Then
                lon = LastLongDeg% + LastLongMin% / 60
            Else
                lon = -(LastLongDeg% + LastLongMin% / 60)
            End If

            If UCase$(NatalD2$) = "NORTH" Then
                lat = LastLatDeg% + LastLatMin% / 60
            Else
                lat = -(LastLatDeg% + LastLatMin% / 60)
            End If
        End If

        natal_lon! = lon
        natal_lat! = lat

        Call PlanetEquations:   'does house cusps, too
        NatalInclinEclip = OB
        NatalST$ = SiderealTime$

        For x1b% = 1 To 13: NatalHouse(x1b%) = HC(x1b%): Next x1b%

        NatalMLN = MLN
        NatalTLN = TLN

        If XOPTION!(49) = 0 Then
            LNX = NatalMLN
            LNX_Decl = MLN_Decl
        Else
            LNX = NatalTLN
            LNX_Decl = TLN_Decl
        End If

        Planets(11) = LNX
        Planets(12) = CRUNCH(LNX + 180)
        DECL(11) = LNX_Decl
        DECL(12) = -LNX_Decl

        Call PLANETSINHOUSES
        NatalPH$ = ph$: OuterPH$ = ph$

        Call AngleDeclinations

        For x1b% = 1 To NumberOfPlanets%
            Natal(x1b%) = Planets(x1b%)
            NatalDecl(x1b%) = DECL(x1b%)
            SpeedOfNatal(x1b%) = SpeedX(x1b%)
        Next x1b%

        NatalH$ = Retrograde$

'do transit calculations
        Type_of_Chart% = 3
        Call HouseCalcs

        iday% = DiurnalDay%
        imonth% = DiurnalMonth%
        iyear% = DiurnalYear%

        ihour! = Val(InputD1!txtDiurnalHour.Text)
        If InputD1!optDiurnalAM.Value = True Then
            If Fix(ihour!) = 12 Then
                ihour! = ihour! - 12
            End If
        Else
            If Fix(ihour!) <> 12 Then
                ihour! = ihour! + 12
            End If
        End If
        ihour! = ihour! + DiurnalTimeZone!
        imin! = Val(InputD1!txtDiurnalMinute.Text)

        If DiurnalD1$ = "East" Then
            lon = Val(InputD1!txtDiurnalLongDeg.Text + InputD1!txtDiurnalLongMin.Text / 60)
        Else
            lon = -Val(InputD1!txtDiurnalLongDeg.Text + InputD1!txtDiurnalLongMin.Text / 60)
        End If

        If DiurnalD2$ = "North" Then
            lat = Val(InputD1!txtDiurnalLatDeg.Text + InputD1!txtDiurnalLatMin.Text / 60)
        Else
            lat = -Val(InputD1!txtDiurnalLatDeg.Text + InputD1!txtDiurnalLatMin.Text / 60)
        End If

        Call PlanetEquations
        TransitST$ = SiderealTime$

        For x1b% = 1 To 13: TransitHouse(x1b%) = HC(x1b%): Next x1b%

        If XOPTION!(49) = 0 Then
            LNX = MLN
            LNX_Decl = MLN_Decl
        Else
            LNX = TLN
            LNX_Decl = TLN_Decl
        End If

        Planets(11) = LNX
        Planets(12) = CRUNCH(LNX + 180)
        DECL(11) = LNX_Decl
        DECL(12) = -LNX_Decl

        Call PLANETSINHOUSES
        TransitPH$ = ph$

        Call AngleDeclinations

        For x1b% = 1 To NumberOfPlanets%
            Transit(x1b%) = Planets(x1b%)
            p1(x1b%) = Transit(x1b%)
            TransitDecl(x1b%) = DECL(x1b%)
        Next x1b%

        TransitH$ = Retrograde$
        h1$ = TransitH$

'do progressed calculations
        Type_of_Chart% = 1
        ProgressJD = NatalJD + ((DiurnalJD - NatalJD) / 365.25)

        lon = natal_lon!
        lat = natal_lat!

        Call PlanetEquations
        ProgressH$ = Retrograde$

        Call GetNewProgressedMC         'includes progressed Asc, too

'        For x1b% = 1 To 13
'            ProgressHouse(x1b%) = HC(x1b%)
'        Next x1b%

        If XOPTION!(49) = 0 Then
            LNX = MLN
            LNX_Decl = MLN_Decl
        Else
            LNX = TLN
            LNX_Decl = TLN_Decl
        End If

        Planets(11) = LNX
        Planets(12) = CRUNCH(LNX + 180)
        DECL(11) = LNX_Decl
        DECL(12) = -LNX_Decl

'        Call PLANETSINHOUSES
'        ProgressPH$ = ph$

        Call AngleDeclinations

        For x1b% = 1 To NumberOfPlanets%
            Progress(x1b%) = Planets(x1b%)
            ProgressDecl(x1b%) = DECL(x1b%)
        Next x1b%
'done with calculations

        AstrAstr!mnuData.Visible = True
        AstrAstr!mnuReport.Visible = True
        AstrAstr!mnuWheels.Visible = True
        AstrAstr!mnuInputData.Visible = True
        OutputD1!mnuMore.Visible = False

        If XOPTION!(33) = 0 Then
            Call XHeader1
            Call NatalList
            For x1b% = 1 To NumberOfPlanets%
                Planets(x1b%) = Natal(x1b%)
                DECL(x1b%) = NatalDecl(x1b%)
            Next x1b%
            Call TheAspects
        Else
            Call ClearOutputForm
            Call TransitInterpretations
        End If

        Call AdjustForm

        Screen.MousePointer = 0
End Sub

Sub Cart2Sph()
        R = Sqr(x * x + Y * Y + z * z): RHO = Sqr(x * x + Y * Y)
        ZETA = 2 * DEGREES(Atn(Y / (Abs(x) + Sqr(x * x + Y * Y))))
        If RHO = 0 And z > 0 Then BETA = 90: GoTo C2SP1
        If RHO = 0 And z = 0 Then BETA = 0: GoTo C2SP1
        If RHO = 0 And z < 0 Then BETA = -90: GoTo C2SP1
        If RHO <> 0 Then BETA = DEGREES(Atn(z / RHO))
C2SP1:  If x = 0 And Y = 0 Then LAMBDA = 0: GoTo S2C1
        If x >= 0 And Y >= 0 Then LAMBDA = ZETA: GoTo S2C1
        If x >= 0 And Y < 0 Then LAMBDA = ZETA + 360: GoTo S2C1
        If x < 0 Then LAMBDA = 180 - ZETA
S2C1:
End Sub

Sub PlanetEquations()
    Dim t$, Y%, z%
    Dim x(6) As Double
    Dim cusp(13) As Double
    Dim ascmc(10) As Double
    Dim cal As Byte

 ' the next two functions do the same job, converting a calendar date
 ' into a Julian day number
 ' swe_date_conversion() checks for legal dates while swe_julday() handles
 ' even illegal things like 45 Januar etc.
    cal = 103  ' g for gregorian calendar

    H = ihour! + imin! / 60#
    tjd_ut = swe_julday(iyear%, imonth%, iday%, H, 1)
    retval = swe_date_conversion(iyear, imonth, iday, H, cal, tjd_ut)

    'tjd_et = tjd_ut
    tjd_et = tjd_ut + swe_deltat(tjd_ut)            '08 May 2006
    'tjd_ut = tjd_et - swe_deltat(tjd_et)
    'tjd_ut = tjd_et

    If Type_of_Chart% = 1 Then
        tjd_ut = ProgressJD
        'tjd_et = ProgressJD
        tjd_et = tjd_ut + swe_deltat(tjd_ut)
    End If

    For Y% = 0 To 15
' Const SE_MEAN_APOG As Integer = 12
' Const SE_OSCU_APOG As Integer = 13
' Const SE_EARTH     As Integer = 14
' Const SE_CHIRON    As Integer = 15
        If Y% = 14 Then GoTo pp1         'SE_EARTH
        If Y% = 13 And XOPTION!(16) = 0 Then GoTo pp1         'SE_OSCU_APOG
        If Y% = 12 And XOPTION!(16) = 1 Then GoTo pp1         'SE_MEAN_APOG
        If Y% = 0 Then
            z% = 1                      'Sun
        ElseIf Y% = 1 Then
            z% = 10                    'Moon
        ElseIf Y% = 12 And XOPTION!(16) = 0 Then
            z% = 13                    'Black Moon Lilith (mean)
        ElseIf Y% = 13 And XOPTION!(16) = 1 Then
            z% = 13                    'Black Moon Lilith (true)
        ElseIf Y% = 15 Then
            z% = 16                    'Chiron
        Else
            z% = Y%                   'the rest
        End If

        iflag = 258                     'for geo
'sidereal
        'iflag = 258 + 65536       'geo - sidereal

        serr$ = String(255, 0)
        plnam$ = String(20, 0)

        ret_flag = swe_calc(tjd_et, Y%, iflag, x(0), serr$)

        If Y% = 10 Then
            MLN = x(0)
        ElseIf Y% = 11 Then
            TLN = x(0)
        Else
            Planets(z%) = x(0)
            SpeedX(z%) = x(3)
        End If

        iflag = iflag + 2048
        ret_flag = swe_calc(tjd_et, Y%, iflag, x(0), serr$)

        If Y% = 10 Then
            MLN_Decl = x(1)
        ElseIf Y% = 11 Then
            TLN_Decl = x(1)
        Else
            DECL(z%) = x(1)
        End If
pp1:
    Next Y%

    t$ = HS$

'sidereal
    'iflag = 65536
    ret_flag = swe_houses(tjd_ut, lat, lon, Asc(t$), cusp(0), ascmc(0))         'tropical
    'ret_flag = swe_houses_ex(tjd_ut, iflag, lat, lon, Asc(t$), cusp(0), ascmc(0))  'sidereal

    SidTime = ascmc(2)  'get sidereal time for later conversion
    Call ConverttoSiderealTime

    For Y% = 1 To 12
        HC3(Y%) = cusp(Y%)
    Next Y%

    For Y% = 1 To 9
        HC(Y% + 3) = HC3(Y%)
    Next Y%

    For Y% = 10 To 12
        HC(Y% - 9) = HC3(Y%)
    Next Y%

    iflgret = swe_calc(tjd_et, -1, 0, x(0), serr)
    OB = x(0)

    swe_close

    Planets(12) = CRUNCH(Planets(11) + 180)
    If XOPTION!(15) = 0 Then
        Planets(13) = CRUNCH(HC(4) + Planets(10) - Planets(1))
    End If
    Planets(14) = HC(4)
    Planets(15) = HC(1)

    Retrograde$ = Space$(NumberOfPlanets%)

    For Y% = 1 To 16
        If SpeedX(Y%) < 0 Then
            Mid$(Retrograde$, Y%, 1) = "R"
        End If
    Next Y%
End Sub


Public Sub ConverttoSiderealTime()
    Dim x

    x = SidTime / 15

    SiderealTime$ = Format$(Int(x), "00") & "h "

    x = (x - Int(x)) * 60

    SiderealTime$ = SiderealTime$ & Format$(Int(x), "00") & "m "

    x = Int((x - Int(x)) * 60)

    SiderealTime$ = SiderealTime$ & Format$(x, "00") & "s"
End Sub

Public Sub Get_house_cusp_info()
    HCUSPDATA%(0) = -22
    HCUSPDATA%(1) = 224
    HCUSPDATA%(2) = -14
    HCUSPDATA%(3) = 224
    HCUSPDATA%(4) = -6
    HCUSPDATA%(5) = 224
    HCUSPDATA%(6) = 8
    HCUSPDATA%(7) = 224
    HCUSPDATA%(8) = 16
    HCUSPDATA%(9) = 224
    HCUSPDATA%(10) = -138
    HCUSPDATA%(11) = 184
    HCUSPDATA%(12) = -130
    HCUSPDATA%(13) = 184
    HCUSPDATA%(14) = -122
    HCUSPDATA%(15) = 194
    HCUSPDATA%(16) = -108
    HCUSPDATA%(17) = 202
    HCUSPDATA%(18) = -100
    HCUSPDATA%(19) = 202
    HCUSPDATA%(20) = -212
    HCUSPDATA%(21) = 104
    HCUSPDATA%(22) = -204
    HCUSPDATA%(23) = 104
    HCUSPDATA%(24) = -202
    HCUSPDATA%(25) = 117
    HCUSPDATA%(26) = -194
    HCUSPDATA%(27) = 128
    HCUSPDATA%(28) = -186
    HCUSPDATA%(29) = 128
    HCUSPDATA%(30) = -236
    HCUSPDATA%(31) = 18
    HCUSPDATA%(32) = -228
    HCUSPDATA%(33) = 18
    HCUSPDATA%(34) = -234
    HCUSPDATA%(35) = 4
    HCUSPDATA%(36) = -236
    HCUSPDATA%(37) = -10
    HCUSPDATA%(38) = -228
    HCUSPDATA%(39) = -10
    HCUSPDATA%(40) = -216
    HCUSPDATA%(41) = -88
    HCUSPDATA%(42) = -208
    HCUSPDATA%(43) = -88
    HCUSPDATA%(44) = -206
    HCUSPDATA%(45) = -102
    HCUSPDATA%(46) = -198
    HCUSPDATA%(47) = -116
    HCUSPDATA%(48) = -190
    HCUSPDATA%(49) = -116
    HCUSPDATA%(50) = -136
    HCUSPDATA%(51) = -176
    HCUSPDATA%(52) = -128
    HCUSPDATA%(53) = -176
    HCUSPDATA%(54) = -120
    HCUSPDATA%(55) = -186
    HCUSPDATA%(56) = -104
    HCUSPDATA%(57) = -194
    HCUSPDATA%(58) = -96
    HCUSPDATA%(59) = -194
    HCUSPDATA%(60) = -22
    HCUSPDATA%(61) = -215
    HCUSPDATA%(62) = -14
    HCUSPDATA%(63) = -215
    HCUSPDATA%(64) = -6
    HCUSPDATA%(65) = -215
    HCUSPDATA%(66) = 10
    HCUSPDATA%(67) = -215
    HCUSPDATA%(68) = 18
    HCUSPDATA%(69) = -215
    HCUSPDATA%(70) = 94
    HCUSPDATA%(71) = -192
    HCUSPDATA%(72) = 102
    HCUSPDATA%(73) = -192
    HCUSPDATA%(74) = 110
    HCUSPDATA%(75) = -184
    HCUSPDATA%(76) = 124
    HCUSPDATA%(77) = -174
    HCUSPDATA%(78) = 132
    HCUSPDATA%(79) = -174
    HCUSPDATA%(80) = 182
    HCUSPDATA%(81) = -118
    HCUSPDATA%(82) = 190
    HCUSPDATA%(83) = -118
    HCUSPDATA%(84) = 190
    HCUSPDATA%(85) = -104
    HCUSPDATA%(86) = 198
    HCUSPDATA%(87) = -92
    HCUSPDATA%(88) = 206
    HCUSPDATA%(89) = -92
    HCUSPDATA%(90) = 220
    HCUSPDATA%(91) = 18
    HCUSPDATA%(92) = 228
    HCUSPDATA%(93) = 18
    HCUSPDATA%(94) = 220
    HCUSPDATA%(95) = 4
    HCUSPDATA%(96) = 220
    HCUSPDATA%(97) = -10
    HCUSPDATA%(98) = 228
    HCUSPDATA%(99) = -10
    HCUSPDATA%(100) = 180
    HCUSPDATA%(101) = 130
    HCUSPDATA%(102) = 188
    HCUSPDATA%(103) = 130
    HCUSPDATA%(104) = 190
    HCUSPDATA%(105) = 116
    HCUSPDATA%(106) = 198
    HCUSPDATA%(107) = 102
    HCUSPDATA%(108) = 206
    HCUSPDATA%(109) = 102
    HCUSPDATA%(110) = 94
    HCUSPDATA%(111) = 200
    HCUSPDATA%(112) = 102
    HCUSPDATA%(113) = 200
    HCUSPDATA%(114) = 110
    HCUSPDATA%(115) = 192
    HCUSPDATA%(116) = 124
    HCUSPDATA%(117) = 184
    HCUSPDATA%(118) = 132
    HCUSPDATA%(119) = 184
End Sub
