VERSION 5.00
Begin VB.Form Wheels 
   AutoRedraw      =   -1  'True
   Caption         =   "Chartwheels"
   ClientHeight    =   6225
   ClientLeft      =   1185
   ClientTop       =   915
   ClientWidth     =   8160
   BeginProperty Font 
      Name            =   "Horary"
      Size            =   9
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H00000000&
   Icon            =   "WHEELS.frx":0000
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   568.409
   ScaleLeft       =   -400
   ScaleMode       =   0  'User
   ScaleTop        =   300
   ScaleWidth      =   857.579
   Begin VB.Menu mnuUpdate 
      Caption         =   "&Update"
      Begin VB.Menu mnuUpdateAddDay 
         Caption         =   "&Add a Day"
         Shortcut        =   +{F1}
      End
      Begin VB.Menu mnuUpdateSubDay 
         Caption         =   "&Go back a day"
         Shortcut        =   +{F2}
      End
      Begin VB.Menu mnuUpdateAddHour 
         Caption         =   "Add an &hour"
         Shortcut        =   +{F3}
      End
      Begin VB.Menu mnuUpdateSubHour 
         Caption         =   "Go &back an hour"
         Shortcut        =   +{F4}
      End
      Begin VB.Menu mnuUpdateAddMinute 
         Caption         =   "Add a &minute"
         Shortcut        =   +{F5}
      End
      Begin VB.Menu mnuUpdateSubMinute 
         Caption         =   "Go bac&k a minute"
         Shortcut        =   +{F6}
      End
   End
   Begin VB.Menu mnuAspects 
      Caption         =   "&Aspects"
   End
   Begin VB.Menu mnuOrbs 
      Caption         =   "&Orbs"
      Begin VB.Menu mnuOrbsChange 
         Caption         =   "&Select new orb file"
         Shortcut        =   {F11}
      End
      Begin VB.Menu mnuOrbsEdit 
         Caption         =   "&Edit orb file"
         Shortcut        =   {F12}
      End
   End
   Begin VB.Menu mnuOptions 
      Caption         =   "Options"
      Begin VB.Menu mnuOptionAspectLines 
         Caption         =   "&3 Degree Orbs for Wheel Aspect Lines"
         Shortcut        =   ^{F11}
      End
      Begin VB.Menu mnuOptionDisplaySextiles 
         Caption         =   "&Display sextiles"
         Shortcut        =   ^{F12}
      End
      Begin VB.Menu mnuOptions230Toggle 
         Caption         =   "Toggle Option #230"
         Shortcut        =   ^L
      End
   End
   Begin VB.Menu mnuPrintChartwheel 
      Caption         =   "&Print"
   End
   Begin VB.Menu mnuSwitch 
      Caption         =   "S&witch"
   End
   Begin VB.Menu mnuChartType 
      Caption         =   "&Type"
      Begin VB.Menu mnuCTAmerican 
         Caption         =   "&American"
         Checked         =   -1  'True
         Shortcut        =   {F7}
      End
      Begin VB.Menu mnuCTEuropean 
         Caption         =   "&European"
         Shortcut        =   {F8}
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "&Help"
   End
End
Attribute VB_Name = "Wheels"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private iBKMode As Long

Private Const TRANSPARENT = 1

Private Sub SetupAndDisplayPlanets_TEST()
    Dim X7%, dist, dist1, t9, NextCusp

    Call Get_outer_chartwheel_info
    Call Get_inner_chartwheel_info

    If NatORSyn% = 0 Or InnerOuter% = 1 Then
        MaxInHouse% = XOPTION!(167)     'was 7
        'DegreeIncrement = 4#
        DegreeIncrement = 30 / MaxInHouse%
        For X7% = 1 To 12: TheAngleX%(X7%) = OCAngleX%(X7%): Next X7%
        For X7% = 1 To 25: TheRadiusX%(X7%) = OCRadiusX%(X7%): Next X7%
        Retrograde$ = CWRetrograde$
    End If

    If NatORSyn% = 1 And InnerOuter% = 0 Then
        MaxInHouse% = XOPTION!(168)     'was 5
        'DegreeIncrement = 5.3
        DegreeIncrement = 29 / MaxInHouse%
        For X7% = 1 To 12: TheAngleX%(X7%) = ICDAngleX%(X7%): Next X7%
        For X7% = 1 To 25: TheRadiusX%(X7%) = ICDRadiusX%(X7%): Next X7%
    End If

    x = 1
    SORTPOS(x) = (Rnd * NumberOfPlanets%) + 1
    For HOUSEY = 1 To 12
        For INDEXY = 0 To MaxInHouse% - 1
            SORT(x) = Rnd * 360
            SORTPOS(x) = SORTPOS(x) + 1
            If SORTPOS(x) > 10 Then
                SORTPOS(x) = 1
            End If

            Angle = CRUNCH(TheAngleX%(HOUSEY) + INDEXY * DegreeIncrement)
            'Radius = TheRadiusX%(HOUSEY)
            Radius = TheRadiusX%(Int(Angle / 15) + 1)

            'If InnerOuter% = 1 Then
            '    Radius = XRADIUSX%(CInt(Angle))
            'End If

'    If HOUSEY <> 12 Then
'        temp1 = TheRadiusX%(HOUSEY + 1) - TheRadiusX%(HOUSEY)
'    Else
'        temp1 = TheRadiusX%(1) - TheRadiusX%(12)
'    End If

'    If InnerOuter% <> 1 Then
'        Radius = Radius + (INDEXY * temp1 / MaxInHouse%)
'    End If

            If PrntObj% = 0 Then
                Call PutPlanetsInChartwheel
            Else
                Call PutPlanetsInChartwheelPrinter
            End If
        Next INDEXY
    Next HOUSEY
End Sub


Private Sub AdjustNCH1()
    If XOPTION!(75) >= XOPTION!(193) Then
        NumeralCharacterHeight% = NumeralCharacterHeight% - XOPTION!(194) 'for screen planet minutes
    End If
End Sub

Private Sub AdjustNCHP1()
    If Angle > 75 And Angle < 310 Then Exit Sub
    If XOPTION!(199) = 0 Or NatORSyn% <> 2 Then
        If XOPTION!(85) >= XOPTION!(195) Then
            NumeralCharacterHeight% = NumeralCharacterHeight% - XOPTION!(196) 'for printer planet minutes
        End If
    Else
        If (XOPTION!(203) >= XOPTION!(195)) Or (WheelType% = 3 And InnerOuter% = 0 And HOUSEY = 8) Then
            NumeralCharacterHeight% = NumeralCharacterHeight% - XOPTION!(196) 'for printer planet minutes
        End If
    End If
End Sub

Private Sub BoldGTENS()
    FontBold = True: Call GTENS: FontBold = False
End Sub

Private Sub BoldGTENSPrinter()
    Printer.FontBold = True: Call GTENSPrinter: Printer.FontBold = False
End Sub

Private Sub BoldGTENSX()
    FontBold = True: Call GTENSX: FontBold = False
End Sub

Private Sub BoldGTENSXPrinter()
    Printer.FontBold = True: Call GTENSXPrinter: Printer.FontBold = False
End Sub

Private Sub BoldGUNITS()
    FontBold = True: Call GUNITS: FontBold = False
End Sub

Private Sub BoldGUNITSPrinter()
    Printer.FontBold = True: Call GUNITSPrinter: Printer.FontBold = False
End Sub

Private Sub ChangeRadiusForGlyph()
    COL = COL - (GlyphCharacterWidth% * Cosine(Angle))
    If PrntObj% = 0 Then
        ROW = ROW - (GlyphCharacterHeight% / (640 / 480) * Sine(Angle))
        CurrentY = ROW: CurrentX = COL
    Else
        ROW = ROW - (GlyphCharacterHeight% / (600 / 480) * Sine(Angle))
        Printer.CurrentY = ROW: Printer.CurrentX = COL
    End If
End Sub

Private Sub ChangeRadiusForNumeral()
    COL = COL - (NumeralCharacterWidth% * Cosine(Angle))
    If PrntObj% = 0 Then
        ROW = ROW - (NumeralCharacterHeight% / (640 / 480) * Sine(Angle))
        CurrentY = ROW: CurrentX = COL
    Else
        ROW = ROW - (NumeralCharacterHeight% / (600 / 480) * Sine(Angle))
        Printer.CurrentY = ROW: Printer.CurrentX = COL
    End If
End Sub

Private Sub CountPlanets()
'count the number of planets in each house
    Dim x, z%

    For x = 1 To NumberOfPlanets%: 'was 10
        temp = Val(Mid$(ph$, SORTPOS(x) * 10 - 9, 2))
        NOPIH(temp) = NOPIH(temp) + 1: HOME(x) = temp
    Next x

'sort and analyze all the data
SHT2:
    If HOME(NumberOfPlanets%) = HOME(1) Then
        TEMP1X = SORT(NumberOfPlanets%): TEMP2X = SORTPOS(NumberOfPlanets%): TEMP3X = HOME(NumberOfPlanets%)

        For x = NumberOfPlanets% To 2 Step -1: 'was 10
            SORT(x) = SORT(x - 1): SORTPOS(x) = SORTPOS(x - 1): HOME(x) = HOME(x - 1)
        Next x

        SORT(1) = TEMP1X: SORTPOS(1) = TEMP2X: HOME(1) = TEMP3X

        GoTo SHT2
    End If

    HOUSEY = 0

    For z% = 0 To 200
        SpotFilled%(z%) = 0
    Next z%
End Sub

Private Sub CWAspectLines()
        Dim Lim_x%, x1, y1, x2, y2, Radius1, Radius2, t1$

        Call GetAspectOptions

        If PrntObj% = 0 Then
            Wheels.FontSize = XOPTION!(77): 'font size for aspect glyphs
        Else
            Printer.FontSize = XOPTION!(87): 'font size for aspect glyphs
        End If

        If NatORSyn% = 0 Then
            Radius1 = 120:   'single natal wheel
            Radius2 = 120
            Lim_x% = NumberOfPlanets%
        Else
            If XOPTION!(231) = 0 Then
                Radius1 = 138
            Else
                Radius1 = 217
            End If
            Radius2 = 138:   'dual wheel
            Lim_x% = NumberOfPlanets%
        End If

        For Y = 1 To Lim_x%
            If Y = 11 Or Y = 12 Or Y = 14 Or Y = 15 Then GoTo PT2Gx1a
            For x = 1 To Lim_x%
                If x = 11 Or x = 12 Or x = 14 Or x = 15 Then GoTo PT2Gx1
                Q = 1
                If NatORSyn% = 0 Then
                    DA = Abs(CWPlanets(Y) - CWPlanets(x))
                Else
                    DA = Abs(CWPlanets(Y) - p1(x))
                End If

                If DA > 180 Then DA = 360 - DA

                If Wheels!mnuOptionAspectLines.Checked = False Then
                    If Wheels!mnuOptionDisplaySextiles.Checked = True Then
                        If DA <= (60 + CWAspects!(2)) And DA >= (60 - CWAspects!(2)) Then Q = 3
                    End If
                    If DA <= (90 + CWAspects!(3)) And DA >= (90 - CWAspects!(3)) Then Q = 4
                    If DA <= (120 + CWAspects!(4)) And DA >= (120 - CWAspects!(4)) Then Q = 5
                    If DA >= (180 - CWAspects!(5)) Then Q = 6
                    If DA <= (150 + CWAspects!(10)) And DA >= (150 - CWAspects!(10)) Then Q = 11
                Else
                    If Wheels!mnuOptionDisplaySextiles.Checked = True Then
                        If DA <= (60 + 3) And DA >= (60 - 3) Then Q = 3
                    End If
                    If DA <= (90 + 3) And DA >= (90 - 3) Then Q = 4
                    If DA <= (120 + 3) And DA >= (120 - 3) Then Q = 5
                    If DA >= (180 - 3) Then Q = 6
                    If DA <= (150 + 3) And DA >= (150 - 3) Then Q = 11
                End If

                If Q <= 2 Or (Q >= 7 And Q <= 10) Or Q > 12 Then GoTo PT2Gx1

                If PrntObj% = 0 Then
                    If Q = 3 Or Q = 5 Then Wheels.ForeColor = QBColor(XOPTION!(97))
                    If (Q = 3 Or Q = 5) And WheelBackground% = 1 Then Wheels.ForeColor = QBColor(0)
                    If Q = 4 Or Q = 6 Then Wheels.ForeColor = QBColor(XOPTION!(98))
                    If Q = 11 Then Wheels.ForeColor = QBColor(XOPTION!(99))
                Else
                    If Q = 3 Or Q = 5 Then Printer.ForeColor = QBColor(XOPTION!(112))
                    If Q = 4 Or Q = 6 Then Printer.ForeColor = QBColor(XOPTION!(113))
                    If Q = 11 Then Printer.ForeColor = QBColor(XOPTION!(114))
                End If

                t1$ = Chr$(159 + Q)
 'I have no idea why I have to multiply the Y-axis by .9675
                x1 = Radius1 * Cosine(CWPlanetAngle_Y(Y))
                x2 = Radius2 * Cosine(CWPlanetAngle_X(x))

                If PrntObj% = 0 Then
                    y1 = 0.9675 * Radius1 * Sine(CWPlanetAngle_Y(Y))
                    y2 = 0.9675 * Radius2 * Sine(CWPlanetAngle_X(x))
                    Line (x1, y1)-(x2, y2)
                    CurrentX = ((x1 + x2) / 2) - (Wheels.TextWidth(Chr$(Q)) / 2)
                    CurrentY = ((y1 + y2) / 2) + (Abs(Wheels.TextHeight(Chr$(Q))) / 2)
                    Print t1$
                Else
                    y1 = 0.9475 * Radius1 * Sine(CWPlanetAngle_Y(Y))
                    y2 = 0.9475 * Radius2 * Sine(CWPlanetAngle_X(x))
                    Printer.Line (x1, y1)-(x2, y2)
                    Printer.CurrentX = ((x1 + x2) / 2) - (Printer.TextWidth(Chr$(Q)) / 2)
                    Printer.CurrentY = ((y1 + y2) / 2) + (Abs(Printer.TextHeight(Chr$(Q))) / 2)
                    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
                    Printer.Print t1$
                End If

PT2Gx1:     Next x
PT2Gx1a: Next Y
End Sub

Private Sub DoGrid()
    Dim Edge, x%, x1, x2, y1, y2, fx1, fy1, fx2, fy2, aa

    Printer.FontName = "Astro123"
    Printer.ForeColor = QBColor(0)
    If WheelType% = 1 Then
        Printer.FontSize = XOPTION!(180)
    Else
        Printer.FontSize = XOPTION!(190)
    End If
    Printer.FontBold = False

    Edge = (Printer.ScaleWidth / 2) - XOPTION!(179): 'right edge of paper (margin)

    If WheelType% = 1 Then
'draw horizontal lines
        y1 = (Printer.ScaleHeight / 2) + (Abs(Printer.TextHeight(Str$(224))) * XOPTION!(188) * 1.25)
        y1 = y1 - (1.25 * Abs(Printer.TextHeight(Str$(224))))
        y2 = y1
        x1 = Edge - Printer.TextWidth(Str$(224))
        x2 = x1

        For x% = 1 To NumberOfPlanets%
            x1 = x1 - (1.25 * Printer.TextWidth(Str$(224)))
            y1 = y1 - (1.25 * Abs(Printer.TextHeight(Str$(224))))
            y2 = y2 - (1.25 * Abs(Printer.TextHeight(Str$(224))))
            If x% = 1 Then TopCornerX = x2: TopCornerY = y1
            If x% <> NumberOfPlanets% Then
                Printer.Line (x1, y1)-(x2, y2)
            Else
                Printer.Line (x1 + (1.25 * Printer.TextWidth(Str$(224))), y1)-(x2, y2)
            End If
        Next x%
'draw vertical lines
        y2 = Printer.CurrentY
        y1 = (Printer.ScaleHeight / 2) + (Abs(Printer.TextHeight(Str$(224))) * XOPTION!(188) * 1.25)
        y1 = y1 - (1.25 * Abs(Printer.TextHeight(Str$(224))))
        x2 = Edge - Printer.TextWidth(Str$(224))
        x1 = x2
        Printer.Line (x1, y1 - (1.25 * Abs(Printer.TextHeight(Str$(224)))))-(x2, y2)

        For x% = 1 To NumberOfPlanets%
           x1 = x1 - (1.25 * Printer.TextWidth(Str$(224)))
           y1 = y1 - (1.25 * Abs(Printer.TextHeight(Str$(224))))
           x2 = x1
           If x% <> NumberOfPlanets% Then Printer.Line (x1, y1)-(x2, y2)
           If x% = NumberOfPlanets% Then BottomCornerX = x1: BottomCornerY = y2
        Next x%
    Else
'draw horizontal lines - for dual wheel
        y1 = (Printer.ScaleHeight / 2) + (Abs(Printer.TextHeight(Str$(224))) * XOPTION!(189) * 1.25)
        x1 = Edge - Printer.TextWidth(Str$(224)) - (NumberOfPlanets% * 1.25 * Printer.TextWidth(Str$(224)))
        x2 = Edge - Printer.TextWidth(Str$(224))
        y2 = y1

        For x% = 1 To NumberOfPlanets% + 1
            y1 = y1 - (1.25 * Abs(Printer.TextHeight(Str$(224))))
            If x% = 1 Then TopCornerX = x2: TopCornerY = y1
            Printer.Line (x1, y1)-(x2, y1)
        Next x%
'draw vertical lines - for dual wheel
        y2 = Printer.CurrentY
        y1 = TopCornerY
        x1 = Edge - 15 * (Printer.TextWidth(Str$(224)))
        x2 = TopCornerX + (1.25 * Printer.TextWidth(Str$(224)))

        For x% = 1 To NumberOfPlanets% + 1
           x2 = x2 - (1.25 * Printer.TextWidth(Str$(224)))
           Printer.Line (x2, y1)-(x2, y2)
           If x% = NumberOfPlanets% Then BottomCornerX = x2 - (1.25 * Printer.TextWidth(Str$(224))): BottomCornerY = y2
        Next x%
    End If

    ReDim YIdx(NumberOfPlanets%), XIdx(NumberOfPlanets%)
'put Moon in 2nd position, but do not change array order
    YIdx(1) = 1: YIdx(2) = 10: XIdx(1) = 1: XIdx(2) = 10
    For Y = 2 To 9: YIdx(Y + 1) = Y: XIdx(Y + 1) = Y: Next Y
    For Y = 11 To NumberOfPlanets%: YIdx(Y) = Y: XIdx(Y) = Y: Next Y

'print horizontal glyphs
    y2 = BottomCornerY - 5
    x1 = BottomCornerX
    aa = 1: If WheelType% = 1 Then aa = 2
    For x% = aa To NumberOfPlanets%
        fx1 = (Printer.TextWidth(Str$(223 + XIdx(x%))) / 3)
        fx2 = (1.25 * Printer.TextWidth(Str$(223 + XIdx(x%))))
        Printer.CurrentX = x1 + fx1 + ((x% - 1) * fx2)
        Printer.CurrentY = y2
        iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
        If XOPTION!(15) = 0 Then
            Printer.Print Chr$(223 + XIdx(x%))
        ElseIf XOPTION!(15) = 1 Then
            If XIdx(x%) = 13 Then
                Printer.Print Chr$(66)
            Else
                Printer.Print Chr$(223 + XIdx(x%))
            End If
        End If
    Next x%
    If WheelType% = 2 Then
        Printer.CurrentX = x1 - Printer.TextWidth(Wheels1Captions$(1) & ": ")
        Printer.CurrentY = y2
        iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
        Printer.Print Wheels1Captions$(1) & ": "
    End If
'print vertical glyphs
    x2 = TopCornerX + 5
    y1 = BottomCornerY
    aa = NumberOfPlanets%: If WheelType% = 1 Then aa = NumberOfPlanets% - 1
    For x% = aa To 1 Step -1
        fy1 = (Abs(Printer.TextHeight(Str$(223 + XIdx(x%)))) / 4)
        fy2 = (1.25 * Abs(Printer.TextHeight(Str$(223 + XIdx(x%)))))
        Printer.CurrentY = y1 - fy1 + (x% * fy2)
        Printer.CurrentX = x2
        iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
        If XOPTION!(15) = 0 Then
            Printer.Print Chr$(223 + XIdx(x%))
        ElseIf XOPTION!(15) = 1 Then
            If XIdx(x%) = 13 Then
                Printer.Print Chr$(66)
            Else
                Printer.Print Chr$(223 + XIdx(x%))
            End If
        End If
    Next x%

    Call GetAspectOptions

'calculate aspects and put aspects in grid
    For Y = 1 To NumberOfPlanets%
    For x = 1 To NumberOfPlanets%
    Q = 1
    If WheelType% = 1 And YIdx(Y) = XIdx(x) Then GoTo xPT2Gx1
    If WheelType% = 1 And Y < x Then GoTo xPT2Gx1
    If WheelType% = 1 Then
        DA = Abs(CWPlanets(YIdx(Y)) - CWPlanets(XIdx(x)))
    Else
        DA = Abs(CWPlanets(YIdx(Y)) - p1(XIdx(x)))
    End If
    If DA > 180 Then DA = 360 - DA
    If DA <= (60 + CWAspects!(2)) And DA >= (60 - CWAspects!(2)) Then Q = 3
    If DA <= (90 + CWAspects!(3)) And DA >= (90 - CWAspects!(3)) Then Q = 4
    If DA <= (120 + CWAspects!(4)) And DA >= (120 - CWAspects!(4)) Then Q = 5
    If DA >= (180 - CWAspects!(5)) Then Q = 6
    If DA <= (30 + CWAspects!(7)) And DA >= (30 - CWAspects!(7)) Then Q = 8
    If DA <= (45 + CWAspects!(8)) And DA >= (45 - CWAspects!(8)) Then Q = 9
    If DA <= (135 + CWAspects!(9)) And DA >= (135 - CWAspects!(9)) Then Q = 10
    If DA <= (150 + CWAspects!(10)) And DA >= (150 - CWAspects!(10)) Then Q = 11
    If DA <= (36 + CWAspects!(11)) And DA >= (36 - CWAspects!(11)) Then Q = 12
    If DA <= (40 + CWAspects!(12)) And DA >= (40 - CWAspects!(12)) Then Q = 13
    If DA <= (72 + CWAspects!(13)) And DA >= (72 - CWAspects!(13)) Then Q = 14
    If DA <= (108 + CWAspects!(14)) And DA >= (108 - CWAspects!(14)) Then Q = 15
    If DA <= (144 + CWAspects!(15)) And DA >= (144 - CWAspects!(15)) Then Q = 16
    If DA <= (360 / 7 + CWAspects!(16)) And DA >= (360 / 7 - CWAspects!(16)) Then Q = 17
    If DA <= CWAspects!(1) Then Q = 2
    If Q = 1 Or Q > 17 Then GoTo xPT2Gx1

    If Q = 2 Then
        Printer.ForeColor = QBColor(XOPTION!(181))
    ElseIf Q = 3 Or Q = 5 Then
        Printer.ForeColor = QBColor(XOPTION!(182))
    ElseIf Q = 4 Or Q = 6 Then
        Printer.ForeColor = QBColor(XOPTION!(183))
    ElseIf Q = 11 Then
        Printer.ForeColor = QBColor(XOPTION!(184))
    ElseIf Q = 9 Or Q = 10 Then
        Printer.ForeColor = QBColor(XOPTION!(185))
    ElseIf Q = 14 Or Q = 16 Then
        Printer.ForeColor = QBColor(XOPTION!(186))
    Else
        Printer.ForeColor = QBColor(XOPTION!(187))
    End If

    fx1 = (Printer.TextWidth(Str$(175)) / 3)
    fx2 = (1.25 * Printer.TextWidth(Str$(175)))
    Printer.CurrentX = BottomCornerX + fx1 + ((Y - 1) * fx2)

    fy1 = Abs(Printer.TextHeight(Str$(175))) / 4
    fy2 = 1.25 * Abs(Printer.TextHeight(Str$(175)))
    Printer.CurrentY = BottomCornerY - fy1 + (x * fy2)

    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(159 + Q)

xPT2Gx1:
    Next x
xPT2Gx6:
    Next Y
End Sub

Private Sub DrawDualChartwheel()
    For X3 = 0 To (2 * PI - PI / 6) Step PI / 6
        If WheelBackground% = 0 Then
            Circle (0, 0), 217, QBColor(XOPTION!(102)), -X3, -(X3 + PI / 6)
        Else
            Circle (0, 0), 217, QBColor(0), -X3, -(X3 + PI / 6)
        End If
    Next X3

    Circle (0, 0), 217, QBColor(XOPTION!(101))
    Circle (0, 0), 138, QBColor(XOPTION!(101))

    Circle (0, 0), 62, QBColor(XOPTION!(101))
    Circle (0, 0), 40, QBColor(XOPTION!(101))

    FillColor = QBColor(XOPTION!(100))
    If WheelBackground% = 1 Then FillColor = QBColor(15)

    FillStyle = 0: Circle (0, 0), 40: FillStyle = 1

    Circle (0, 0), 40, QBColor(XOPTION!(101))
End Sub

Private Sub DrawDualChartwheelPrinter()
    Dim vr2

    vr2 = 0.9625

    Printer.Circle (0, 0), 217, QBColor(XOPTION!(115))
    Printer.Circle (0, 0), 138, QBColor(XOPTION!(115))

    Printer.Circle (0, 0), 62, QBColor(XOPTION!(115))
    Printer.Circle (0, 0), 40, QBColor(XOPTION!(115))

    For X3 = 0 To (2 * PI - PI / 6) Step PI / 6
        Printer.Line (40 * Cos(X3), vr2 * 40 * Sin(X3))-(217 * Cos(X3), vr2 * 217 * Sin(X3)), QBColor(XOPTION!(116))
    Next X3
End Sub

Private Sub DrawSingleChartwheel()
    Dim clr%, HC3(), x, dist, x4
    Dim inner_radius%, outer_radius%
    Dim vr2

    inner_radius% = 120
    outer_radius% = 217
    vr2 = 0.9825

    clr% = XOPTION!(102): If WheelBackground% <> 0 Then clr% = QBColor(0)

    If EuroC% = 0 Then
        For X3 = 0 To (2 * PI - PI / 6) Step PI / 6
            Line (inner_radius% * Cos(X3), vr2 * inner_radius% * Sin(X3))-(outer_radius% * Cos(X3), vr2 * outer_radius% * Sin(X3)), QBColor(clr%)
        Next X3
    Else
        ReDim HC3(12)

        For x = 10 To 12: HC3(x) = CWHC(x - 9): Next x
        For x = 1 To 9: HC3(x) = CWHC(x + 3): Next x

        Line (inner_radius% * Cos(PI), vr2 * inner_radius% * Sin(PI))-(outer_radius% * Cos(PI), vr2 * outer_radius% * Sin(PI)), QBColor(clr%)

        For X3 = 2 To 12
            dist = HC3(X3) - HC3(1): If dist < 0 Then dist = dist + 360
            x4 = 180 + dist: If x4 >= 360 Then x4 = x4 - 360
            x4 = Radians(x4)
            Line (inner_radius% * Cos(x4), vr2 * inner_radius% * Sin(x4))-(outer_radius% * Cos(x4), vr2 * outer_radius% * Sin(x4)), QBColor(clr%)
        Next X3
    End If

    Circle (0, 0), outer_radius%, QBColor(XOPTION!(101))
    Circle (0, 0), inner_radius%, QBColor(XOPTION!(101))
End Sub

Private Sub DrawSingleChartwheelPrinter()
    Dim clr%, HC3(), x, dist, x4, vr2

    Printer.Circle (0, 0), 217, QBColor(XOPTION!(115))
    Printer.Circle (0, 0), 120, QBColor(XOPTION!(115))
    clr% = XOPTION!(116)
    vr2 = 0.9625

    If EuroC% = 0 Then
        For X3 = 0 To (2 * PI - PI / 6) Step PI / 6
            Printer.Line (120 * Cos(X3), vr2 * 120 * Sin(X3))-(217 * Cos(X3), vr2 * 217 * Sin(X3)), QBColor(clr%)
        Next X3
    Else
        ReDim HC3(12)

        For x = 10 To 12: HC3(x) = CWHC(x - 9): Next x
        For x = 1 To 9: HC3(x) = CWHC(x + 3): Next x

        Printer.Line (120 * Cos(PI), vr2 * 120 * Sin(PI))-(217 * Cos(PI), vr2 * 217 * Sin(PI)), QBColor(clr%)

        For X3 = 2 To 12
            dist = HC3(X3) - HC3(1): If dist < 0 Then dist = dist + 360
            x4 = 180 + dist: If x4 >= 360 Then x4 = x4 - 360
            x4 = Radians(x4)
            Printer.Line (120 * Cos(x4), vr2 * 120 * Sin(x4))-(217 * Cos(x4), vr2 * 217 * Sin(x4)), QBColor(clr%)
        Next X3
    End If
End Sub

Private Sub DrawTripleChartwheel()
    For X3 = 0 To (2 * PI - PI / 6) Step PI / 6
        If WheelBackground% = 0 Then
            Circle (0, 0), 217, QBColor(XOPTION!(102)), -X3, -(X3 + PI / 6)
        Else
            Circle (0, 0), 217, QBColor(0), -X3, -(X3 + PI / 6)
        End If
    Next X3

    Circle (0, 0), 217, QBColor(XOPTION!(101))
    Circle (0, 0), 109, QBColor(XOPTION!(101))
    Circle (0, 0), 164, QBColor(XOPTION!(101))

    Circle (0, 0), 62, QBColor(XOPTION!(101))
    Circle (0, 0), 40, QBColor(XOPTION!(101))

    FillColor = QBColor(XOPTION!(100))
    If WheelBackground% = 1 Then FillColor = QBColor(15)

    FillStyle = 0: Circle (0, 0), 40: FillStyle = 1

    Circle (0, 0), 40, QBColor(XOPTION!(101))
End Sub

Private Sub FindDegreesInEachHouse()
    Dim x

    For x = 1 To 12
        HC1(x) = CWHC(x)
    Next x

    For x = 1 To 11
        DegEachHouse(x) = CRUNCH(HC1(x + 1) - HC1(x))
        If DegEachHouse(x) = 277.5 Then
            DegEachHouse(x) = 7.5
        End If
    Next x

    DegEachHouse(12) = CRUNCH(HC1(1) - HC1(12))
    If DegEachHouse(12) = 277.5 Then
        DegEachHouse(12) = 7.5
    End If
End Sub

Private Sub Form_Click()
    'Form_Paint: 'taken out 12-13-1995
End Sub

Private Sub Form_Deactivate()
    If Wheels.WindowState <> 1 Then
        If DontDo% = 0 Then
            wheelsWindowHeight% = Wheels.Height
            wheelsWindowWidth% = Wheels.Width
            wheelsWindowTop% = Wheels.Top
            wheelsWindowLeft% = Wheels.Left
        End If
    End If
End Sub

Private Sub Form_KeyPress(KeyAscii As Integer)
    If KeyAscii = 27 Then
        AstrAstr.SetFocus
        KeyAscii = 0
    End If
End Sub

Private Sub Form_Load()
    Wheels.ScaleWidth = 1024
    Wheels.ScaleHeight = 768

    NoDo% = 1
    Wheels.Top = wheelsWindowTop%
    Wheels.Left = wheelsWindowLeft%
    Wheels.Height = wheelsWindowHeight%
    Wheels.Width = wheelsWindowWidth%
    NoDo% = 0

    For cwX = 1 To NumberOfPlanets%
        CWPlanets(cwX) = Planets(cwX)
    Next cwX

    For cwX = 1 To 12: CWHC(cwX) = HC(cwX): Next cwX

    CWRetrograde$ = Retrograde$

'in Astro123 leaving this here rather than below causes Form_Paint to run twice, not one (01/26/2003).
    'Wheels.Top = 0: WheelBackground% = 0
'    NoDo% = 1
'    Wheels.Top = 0: WheelBackground% = 0
'    Wheels.Width = MasterWidth
'    Wheels.Height = MasterHeight
'    NoDo% = 0

''    Wheels.ScaleWidth = MasterScaleWidth
''    Wheels.ScaleHeight = MasterScaleHeight

'    Wheels.ScaleWidth = 1024
'    Wheels.ScaleHeight = 768

    If InputD1!chk2ndPerson.Value = 0 Or WheelType% <> 2 Then
        Wheels!mnuSwitch.Visible = False
        NatOrTranOuter% = 0
    Else
        Wheels!mnuSwitch.Visible = True
    End If

    If WheelType% = 1 Then
        Wheels!mnuChartType.Visible = True
        If EuroC% = 0 Then
            Wheels!mnuCTEuropean.Checked = False
            Wheels!mnuCTAmerican.Checked = True
        Else
            Wheels!mnuCTAmerican.Checked = False
            Wheels!mnuCTEuropean.Checked = True
        End If
    Else
        Wheels!mnuChartType.Visible = False
    End If

    Unload CWAspect
End Sub

Private Sub Form_MouseUp(Button As Integer, Shift As Integer, x As Single, Y As Single)
    If Button = 2 Then AstrAstr.SetFocus
End Sub

Private Sub Form_Paint()
    Dim a13%, X3, ab1, ab2, ab3, ab4

    If Wheels.WindowState = 1 Then Exit Sub

    OuterWheelRadius% = 200

    If WheelType% = 3 Then
        Wheels!mnuAspects.Enabled = False
    Else
        Wheels!mnuAspects.Enabled = True
    End If

    If PrntObj% = 0 Then
        Wheels.Cls
        Wheels.Scale (-StartScale%, StartScale% * Abs(Wheels.ScaleHeight / Wheels.ScaleWidth))-(StartScale%, -StartScale% * Abs(Wheels.ScaleHeight / Wheels.ScaleWidth))
        Wheels.BackColor = QBColor(XOPTION!(100))
        If WheelBackground% = 1 Then Wheels.BackColor = QBColor(15)
        Wheels.ForeColor = RGB(0, 0, 0)
        If NatORSyn% = 0 Then
            Call DrawSingleChartwheel
        ElseIf NatORSyn% = 1 Then
            Call DrawDualChartwheel
        Else
            Call DrawTripleChartwheel
        End If
'set font and size for house markings
        Wheels.FontName = "Astro123"
        Wheels.FontSize = XOPTION!(69): 'was WheelFontScale%
'put house numbers 1 - 12 in each houses space
        If NatORSyn% <> 0 Then
            Call MarkHouseNumbersTriple
        End If

        Call FindDegreesInEachHouse

        Call PutDataOnHouseCusps

        Call GetInterceptions

        Wheels.FontName = "Astro123"
        Wheels.FontSize = XOPTION!(72): 'was PlanetFontScale%: 'font size for planet degrees
        GlyphCharacterWidth% = Wheels.TextWidth(Chr$(236)) + XOPTION!(60)
        GlyphCharacterHeight% = Abs(Wheels.TextHeight(Chr$(236))) + XOPTION!(62)
        NumeralCharacterWidth% = Wheels.TextWidth(Chr$(48)) + XOPTION!(61)
        NumeralCharacterHeight% = Abs(Wheels.TextHeight(Chr$(48))) + XOPTION!(63)

        'If XOPTION!(216) <> 0 Then Call SwitchPlanets

        InnerOuter% = 1

        If in_test% = 1 Then
            Call SetupAndDisplayPlanets_TEST
        Else
            Call SetupAndDisplayPlanets
        End If

        For a13% = 1 To NumberOfPlanets%
            CWPlanetAngle_Y(a13%) = CWPlanetAngle(a13%)
            CWPlanetAngle_X(a13%) = CWPlanetAngle(a13%)
        Next a13%

        If NatORSyn% = 0 Then
            If XOPTION!(47) = 1 And in_test% = 0 Then Call CWAspectLines
        Else
            InnerOuter% = 0
            If in_test% = 1 Then
                Call SetupAndDisplayPlanets_TEST
            Else
                Call SetupAndDisplayPlanets

                For a13% = 1 To NumberOfPlanets%
                    CWPlanetAngle_X(a13%) = CWPlanetAngle(a13%)
                Next a13%

                If XOPTION!(230) <> 0 Then Call CWAspectLines
            End If
        End If

        Call PlaceWheelCaptions
        Wheels.Caption = XCaption$ & "Chartwheels"
    Else
        If EuroC% = 0 Or WheelType% <> 1 Then
            StartScale% = 265
        Else
            StartScale% = 272
        End If
        Printer.ForeColor = RGB(0, 0, 0)

        ab1 = -StartScale%
        ab2 = StartScale% / (480 / 600) - 56
        ab3 = StartScale%
        ab4 = -StartScale% / (480 / 600) - 56
        ab1 = ab1 * 0.9475
        ab2 = ab2 * 0.9475
        ab3 = ab3 * 0.9475
        ab4 = ab4 * 0.9475

        Printer.Scale (ab1, ab2)-(ab3, ab4)
        If NatORSyn% = 0 Then
            Call DrawSingleChartwheelPrinter
        Else
            Call DrawDualChartwheelPrinter
        End If
'set font and size for house markings
        Printer.FontName = "Astro123"
        Printer.FontSize = XOPTION!(79): 'font size for house cusps
        Printer.FontBold = False
'put house numbers 1 - 12 in each houses space
        If NatORSyn% = 1 Then
            Call MarkHouseNumbersTriplePrinter
        End If

        Call FindDegreesInEachHouse

        Call PutDataOnHouseCuspsPrinter

        Call GetInterceptions

        Printer.FontName = "Astro123"
        If XOPTION!(199) = 0 Or NatORSyn% <> 2 Then
            Printer.FontSize = XOPTION!(82): 'font size for planet degrees
        Else
            Printer.FontSize = XOPTION!(200)
        End If
        GlyphCharacterWidth% = Printer.TextWidth(Chr$(236)) + XOPTION!(64): 'the Sun
        GlyphCharacterHeight% = Abs(Printer.TextHeight(Chr$(236))) + XOPTION!(66): 'the Sun
        NumeralCharacterWidth% = Printer.TextWidth(Chr$(48)) + XOPTION!(65): 'the number 0
        NumeralCharacterHeight% = Abs(Printer.TextHeight(Chr$(48))) + XOPTION!(67): 'the number 0

        InnerOuter% = 1

        If in_test% = 1 Then
            Call SetupAndDisplayPlanets_TEST
        Else
            Call SetupAndDisplayPlanets
        End If

        For a13% = 1 To NumberOfPlanets%
            CWPlanetAngle_Y(a13%) = CWPlanetAngle(a13%)
            CWPlanetAngle_X(a13%) = CWPlanetAngle(a13%)
        Next a13%

        If NatORSyn% = 0 Then
            If XOPTION!(47) = 1 And in_test% = 0 Then Call CWAspectLines
        Else
            InnerOuter% = 0
            If in_test% = 1 Then
                Call SetupAndDisplayPlanets_TEST
            Else
                Call SetupAndDisplayPlanets

                For a13% = 1 To NumberOfPlanets%
                    CWPlanetAngle_X(a13%) = CWPlanetAngle(a13%)
                Next a13%

                If XOPTION!(230) <> 0 Then Call CWAspectLines
            End If
        End If

        Call PlaceWheelCaptionsPrinter

        If XOPTION!(178) <> 0 And WheelType <> 3 Then Call DoGrid
    End If
End Sub

Private Sub Form_Resize()
    If Abs(ScaleHeight) <= Abs(ScaleWidth) Then
        StartScale% = 225 / Abs(Wheels.ScaleHeight / Wheels.ScaleWidth): '238
    Else
        StartScale% = 244
    End If

    If NoDo% = 0 Then
        Form_Paint
    End If
End Sub

Private Sub GetInterceptions()
    Dim x, HC3(), IH%(), TEMP7, TEMP8, x4, x5

    ReDim HC3(12), IH%(12)
    For x = 10 To 12: HC3(x) = CWHC(x - 9): Next x
    For x = 1 To 9: HC3(x) = CWHC(x + 3): Next x
'get how many signs are intercepted in each house
    For x = 1 To 12
        If x <> 12 Then
            TEMP7 = Int(HC3(x) / 30) + 1
            TEMP8 = Int(HC3(x + 1) / 30) + 1
        Else
            TEMP7 = Int(HC3(12) / 30) + 1
            TEMP8 = Int(HC3(1) / 30) + 1
        End If
        If TEMP8 - TEMP7 < 0 Then TEMP8 = TEMP8 + 12
        If TEMP8 - TEMP7 = 2 Then
            IH%(x) = TEMP7 + 1
            If IH%(x) > 12 Then IH%(x) = IH%(x) - 12
        Else
            IH%(x) = 0
        End If
    Next x

    If PrntObj% = 0 Then
        Wheels.FontSize = XOPTION!(70)
        Wheels.ForeColor = QBColor(XOPTION!(90))
    Else
        Printer.FontSize = XOPTION!(80)
        Printer.ForeColor = QBColor(XOPTION!(105))
    End If

    For x = 1 To 12
    If IH%(x) <> 0 Then
        If EuroC% = 0 Or WheelType% <> 1 Then
            If x >= 7 Then
                x4 = (x - 7) * 30 + 15
            Else
                x4 = (12 + x - 7) * 30 + 15
            End If
        Else
            x4 = HC3(x) - HC3(7): 'get distance from 7th house cusp, which is 0 degrees
            If x <> 12 Then
                x5 = HC3(x + 1) - HC3(x)
                If x5 < -180 Then x5 = x5 + 360
                x4 = x4 + x5 / 2
            Else
                x5 = HC3(1) - HC3(12)
                If x5 < -180 Then x5 = x5 + 360
                x4 = x4 + x5 / 2
            End If
        End If
        If x4 < 0 Then x4 = x4 + 360
        If x4 >= 360 Then x4 = x4 - 360

        If PrntObj% = 0 Then
            CurrentX = 236 * Cosine(x4) * 0.91984662 + 4
            If x4 > 90 And x4 < 270 Then
                CurrentX = CurrentX - 20
            End If
            CurrentY = 236 * Sine(x4) * 0.91984662 + 4
            Q = IH%(x): Call GSIGNS
        Else
            Printer.CurrentX = 236 * Cosine(x4) * 0.91984662 + 4
            If x4 > 90 And x4 < 270 Then
                Printer.CurrentX = Printer.CurrentX - 20
            End If
            Printer.CurrentY = 236 * Sine(x4) * 0.91984662 + 4
            Q = IH%(x): Call GSIGNSPrinter
        End If
    End If
    Next x
End Sub

Private Sub GPLANETS()
    If XOPTION!(15) = 0 Then
        Wheels.Print Chr$(223 + SORTPOS(x))
    ElseIf XOPTION!(15) = 1 Then
        If SORTPOS(x) = 13 Then
            Wheels.Print Chr$(66)
        Else
            Wheels.Print Chr$(223 + SORTPOS(x))
        End If
    End If
End Sub

Private Sub GPLANETSPrinter()
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)

    If XOPTION!(15) = 0 Then
        Printer.Print Chr$(223 + SORTPOS(x))
    ElseIf XOPTION!(15) = 1 Then
        If SORTPOS(x) = 13 Then
            Printer.Print Chr$(66)
        Else
            Printer.Print Chr$(223 + SORTPOS(x))
        End If
    End If
End Sub

Private Sub GSIGNS()
    Wheels.Print Chr$(191 + Q)
End Sub

Private Sub GSIGNSPrinter()
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(191 + Q)
End Sub

Private Sub GTENS()
        If Fix(AL / 10) = 0 Then
            Wheels.Print Chr$(32)
        Else
            Wheels.Print Chr$(48 + Fix(AL / 10))
        End If
End Sub

Private Sub GTENSPrinter()
        If Fix(AL / 10) = 0 Then
            iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
            Printer.Print Chr$(32)
        Else
            iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
            Printer.Print Chr$(48 + Fix(AL / 10))
        End If
End Sub

Private Sub GTENSX()
        Wheels.Print Chr$(48 + Fix(AL / 10))
End Sub

Private Sub GTENSXPrinter()
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(48 + Fix(AL / 10))
End Sub

Private Sub GUNITS()
        Wheels.Print Chr$(48 + AL Mod 10)
End Sub

Private Sub GUNITSPrinter()
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(48 + AL Mod 10)
End Sub

Private Sub MarkHouseNumbersTriple()
    CurrentX = -52: CurrentY = -6:  '1st house
    Wheels.Print Chr$(49)

    CurrentX = -40: CurrentY = -30:  '2nd house
    Wheels.Print Chr$(50)

    CurrentX = -16: CurrentY = -44:  '3rd house
    Wheels.Print Chr$(51)

    CurrentX = 10: CurrentY = -44:  '4th house
    Wheels.Print Chr$(52)

    CurrentX = 32: CurrentY = -30:  '5th house
    Wheels.Print Chr$(53)

    CurrentX = 46: CurrentY = -6:  '6th house
    Wheels.Print Chr$(54)

    CurrentX = 46: CurrentY = 18:  '7th house
    Wheels.Print Chr$(55)

    CurrentX = 32: CurrentY = 40:  '8th house
    Wheels.Print Chr$(56)

    CurrentX = 10: CurrentY = 52:  '9th house
    Wheels.Print Chr$(57)

    CurrentX = -20: CurrentY = 52:  '10th house
    Wheels.Print Chr$(49)
    CurrentX = -12: CurrentY = 52
    Wheels.Print Chr$(48)

    CurrentX = -44: CurrentY = 40:  '11th house
    Wheels.Print Chr$(49)
    CurrentX = -36: CurrentY = 40
    Wheels.Print Chr$(49)

    CurrentX = -56: CurrentY = 18:  '12th house
    Wheels.Print Chr$(49)
    CurrentX = -48: CurrentY = 18
    Wheels.Print Chr$(50)
End Sub

Private Sub MarkHouseNumbersTriplePrinter()
    Printer.CurrentX = -52: Printer.CurrentY = -6:  '1st house
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(49)

    Printer.CurrentX = -40: Printer.CurrentY = -30:  '2nd house
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(50)

    Printer.CurrentX = -16: Printer.CurrentY = -44:  '3rd house
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(51)

    Printer.CurrentX = 10: Printer.CurrentY = -44:  '4th house
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(52)

    Printer.CurrentX = 32: Printer.CurrentY = -30:  '5th house
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(53)

    Printer.CurrentX = 46: Printer.CurrentY = -6:  '6th house
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(54)

    Printer.CurrentX = 46: Printer.CurrentY = 18:  '7th house
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(55)

    Printer.CurrentX = 32: Printer.CurrentY = 40:  '8th house
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(56)

    Printer.CurrentX = 10: Printer.CurrentY = 52:  '9th house
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(57)

    Printer.CurrentX = -20: Printer.CurrentY = 52:  '10th house
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(49)
    Printer.CurrentX = -12: Printer.CurrentY = 52
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(48)

    Printer.CurrentX = -44: Printer.CurrentY = 40:  '11th house
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(49)
    Printer.CurrentX = -36: Printer.CurrentY = 40
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(49)

    Printer.CurrentX = -56: Printer.CurrentY = 18:  '12th house
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(49)
    Printer.CurrentX = -48: Printer.CurrentY = 18
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(50)
End Sub

Private Sub mnuAspects_Click()
    Unload CWAspect: Load CWAspect
End Sub

Private Sub mnuCTAmerican_Click()
    Screen.MousePointer = 11
        Wheels!mnuCTEuropean.Checked = False
        Wheels!mnuCTAmerican.Checked = True
        EuroC% = 0
        Form_Paint
    Screen.MousePointer = 0
End Sub

Private Sub mnuCTEuropean_Click()
    Screen.MousePointer = 11

    Wheels!mnuCTAmerican.Checked = False
    Wheels!mnuCTEuropean.Checked = True
    EuroC% = 1

    Form_Paint

    Screen.MousePointer = 0
End Sub

Private Sub mnuHelp_Click()
    CurrentHelpFile$ = "\WHEELS.HLP"
    Call DisplayHelp
End Sub

Private Sub mnuOptionAspectLines_Click()
    mnuOptionAspectLines.Checked = Not mnuOptionAspectLines.Checked
    Call Form_Paint
End Sub

Private Sub mnuOptionDisplaySextiles_Click()
    mnuOptionDisplaySextiles.Checked = Not mnuOptionDisplaySextiles.Checked
    Call Form_Paint
End Sub


Private Sub mnuOptions230Toggle_Click()
    If XOPTION!(230) = 0 Then
        XOPTION!(230) = 1
    Else
        XOPTION!(230) = 0
    End If

    Call Form_Paint
End Sub


Private Sub mnuOrbsChange_Click()
    Dim x%
    Close #1
    If CurrentOrbsFile$ = "" Then
        Open DefaultDirectory$ + "\NATAL.ORB" For Input As #1
    Else
        Open CurrentOrbsFile$ For Input As #1
    End If
    Close #1
    Load SelectFIle
    SelectFIle.filList.Pattern = "*.ORB"
    SelectedFile = CurrentOrbsFile$
    SelectFIle!filList.ListIndex = 0
    For x% = 0 To SelectFIle!filList.ListCount - 1
        If UCase$(Right$(CurrentOrbsFile$, Len(SelectFIle!filList.List(x%)))) = UCase$(SelectFIle!filList.List(x%)) Then
           SelectFIle!filList.ListIndex = x%: Exit For
        End If
    Next x%

    SelectFIle.Show 1
    If SelectedFile = "" Then Exit Sub

    CurrentOrbsFile$ = SelectedFile
    Call mnuAspects_Click
End Sub

Private Sub mnuOrbsEdit_Click()
    OrbsEdit.Show
End Sub

Private Sub mnuPrintChartwheel_Click()
    Dim Msg, DgDef, TITLE_X, Response, TempPS

    Msg = "Click 'YES' for full page chartwheel. Click 'NO' for half page chartwheel."
    DgDef = MB_YESNOCANCEL + MB_ICONQUESTION + MB_DEFBUTTON3
    TITLE_X = "Full page or half page chartwheel"
    Response = MsgBox(Msg, DgDef, TITLE_X)

    Screen.MousePointer = 11
    If Response = 6 Then
        PrntObj% = 1
        Printer.ScaleWidth = MasterScaleWidth
        Printer.ScaleHeight = MasterScaleWidth
        NatOrTranOuter% = 0: Wheels.WindowState = 2
        Printer.EndDoc: PrntObj% = 0
    ElseIf Response = 7 Then
        WheelBackground% = 1
        PrntObj% = 0: Wheels.WindowState = 2
        Wheels.PrintForm
        WheelBackground% = 0
    End If
    Wheels.WindowState = 0
    Screen.MousePointer = 0
End Sub

Private Sub mnuSwitch_Click()
    If NatOrTranOuter% = 0 Then
        NatOrTranOuter% = 1
    Else
        NatOrTranOuter% = 0
    End If

    Call DualNatalVSTransit

    Call Form_Paint
End Sub

Private Sub PlaceWheelCaptions()
    Dim x%

    Wheels.FontName = "Astro123"
    Wheels.FontSize = XOPTION!(68): 'was LegendFontScale%
    Wheels.ForeColor = QBColor(XOPTION!(88))

    Wheels.CurrentX = Wheels.ScaleLeft + 10: Wheels.CurrentY = Wheels.ScaleTop: 'set to upper left hand corner
    For x% = 1 To 7
        Wheels.Print Wheels1Captions$(x%): Wheels.CurrentX = Wheels.ScaleLeft + 10
    Next x%

    Wheels.CurrentY = (Wheels.ScaleHeight / 2) + (Abs(Wheels.TextHeight(Wheels2Captions$(1))) * 8)

    For x% = 1 To 7
        Wheels.Print Wheels2Captions$(x%): Wheels.CurrentX = Wheels.ScaleLeft + 10
    Next x%
End Sub

Private Sub PlaceWheelCaptionsPrinter()
    Dim x%, t$

    Printer.FontName = "Astro123"
    Printer.FontSize = XOPTION!(78): 'LegendFontScale%
    Printer.FontBold = False
    Printer.ForeColor = QBColor(XOPTION!(103))

    Printer.CurrentX = Printer.ScaleLeft + 30
        Printer.CurrentY = Printer.ScaleTop - XOPTION!(243): 'set to upper left hand corner
    For x% = 1 To 7
        iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
        Printer.Print Wheels1Captions$(x%): Printer.CurrentX = Printer.ScaleLeft + 30
    Next x%

    Printer.CurrentY = (Printer.ScaleHeight / 2) + (Abs(Printer.TextHeight(Wheels2Captions$(1))) * XOPTION!(191))

    Printer.CurrentX = Printer.ScaleLeft + 30
    For x% = 1 To 7
        iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
        Printer.Print Wheels2Captions$(x%): Printer.CurrentX = Printer.ScaleLeft + 30
    Next x%

    If XOPTION!(174) = 0 Then Exit Sub
'do personalized name thing
    Printer.FontSize = XOPTION!(175)
    Printer.ForeColor = QBColor(XOPTION!(176))
    Printer.CurrentY = Printer.ScaleTop - XOPTION!(244): 'set to top line

    Close #2
    On Error GoTo pnt1a
    Open DefaultDirectory + "\PERSONAL.NAM" For Input As #2
    Do While Not EOF(2)
       Line Input #2, t$
       Printer.CurrentX = (Printer.ScaleWidth / 2) - XOPTION!(177) - Printer.TextWidth(t$)
       iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
       Printer.Print t$
    Loop
pnt1a:
    Close #2: Exit Sub
End Sub

Private Sub PutDataOnHouseCusps()
    Dim temp, t, t1, t2, t3, t4, t5, dist

    For t = 1 To 12
        If EuroC% = 0 Or WheelType% <> 1 Or t = 4 Or t = 10 Then
            Call Get_house_cusp_info

            Wheels.FontSize = XOPTION!(69): Wheels.ForeColor = QBColor(XOPTION!(89))
            z = HC1(t): Call Convert360toDM
            CurrentX = HCUSPDATA%(t * 10 - 10): CurrentY = HCUSPDATA%(t * 10 - 9)
            AL = z1: Call BoldGTENSX
            CurrentX = HCUSPDATA%(t * 10 - 8): CurrentY = HCUSPDATA%(t * 10 - 7)
            AL = z1: Call BoldGUNITS
            CurrentX = HCUSPDATA%(t * 10 - 6): CurrentY = HCUSPDATA%(t * 10 - 5)
            Wheels.FontSize = XOPTION!(70): Wheels.ForeColor = QBColor(XOPTION!(90))
            Call GSIGNS: Wheels.ForeColor = QBColor(XOPTION!(91))
            Wheels.FontSize = XOPTION!(71)
            CurrentX = HCUSPDATA%(t * 10 - 4): CurrentY = HCUSPDATA%(t * 10 - 3)
            AL = z2: Call GTENSX
            CurrentX = HCUSPDATA%(t * 10 - 2): CurrentY = HCUSPDATA%(t * 10 - 1)
            AL = z2: Call GUNITS
        Else
            dist = CWHC(t) - CWHC(10): 'get distance from 7th house cusp, which is 0 degrees
            If dist < 0 Then dist = dist + 360
            x4 = dist: If x4 >= 360 Then x4 = x4 - 360
            t1 = Int(x4 / 30): t3 = t1
            If t1 >= 3 Then
                 t1 = t1 - 2
            Else
                 t1 = t1 + 10
            End If
            t2 = t1 + 1
            If t2 = 13 Then t2 = 1

            t4 = 0
            CurrentX = 236 * Cosine(x4) * 0.91984662 + 4
            If (x4 > 80 And x4 < 100) Or (x4 > 260 And x4 < 280) Then
                t5 = CurrentX - 23
            ElseIf x4 <= 80 Or x4 >= 280 Then
                t5 = CurrentX
            ElseIf x4 >= 100 And x4 <= 260 Then
                t5 = CurrentX - (6 * 9) + 5: 'was 13
            Else
                t5 = CurrentX - 23
            End If
            CurrentY = 236 * Sine(x4) * 0.91984662 + 4

            Wheels.FontSize = XOPTION!(69): Wheels.ForeColor = QBColor(XOPTION!(89))
            z = HC1(t): Call Convert360toDM
            CurrentX = t5 + (t4 * 9) - 2
            CurrentY = 236 * Sine(x4) * 0.91984662 + 4
            AL = z1: Call BoldGTENSX: t4 = t4 + 1
            CurrentX = t5 + (t4 * 9) - 4 + 1: 'was +0
            CurrentY = 236 * Sine(x4) * 0.91984662 + 4
            AL = z1: Call BoldGUNITS: t4 = t4 + 1
            CurrentX = t5 + (t4 * 9) - 5 + 3: 'was +0
            CurrentY = 236 * Sine(x4) * 0.91984662 + 4
            Wheels.FontSize = XOPTION!(70): Wheels.ForeColor = QBColor(XOPTION!(90))
            Call GSIGNS: t4 = t4 + 2
            Wheels.ForeColor = QBColor(XOPTION!(91))
            Wheels.FontSize = XOPTION!(71)
            CurrentX = t5 + (t4 * 9) - 9 + 6: 'was +0
            CurrentY = 236 * Sine(x4) * 0.91984662 + 4
            AL = z2: Call GTENSX: t4 = t4 + 1
            CurrentX = t5 + (t4 * 9) - 3 - 10 + 8: 'was +0
            CurrentY = 236 * Sine(x4) * 0.91984662 + 4
            AL = z2: Call GUNITS
        End If
    Next t
End Sub

Private Sub PutDataOnHouseCuspsPrinter()
    Dim t, t1, t2, t3, t4, t5, dist

    For t = 1 To 12
        If EuroC% = 0 Or WheelType% <> 1 Or t = 4 Or t = 10 Then
            Call Get_house_cusp_info

            Printer.FontSize = XOPTION!(79): Printer.ForeColor = QBColor(XOPTION!(104))
            z = HC1(t): Call Convert360toDM
            Printer.CurrentX = HCUSPDATA%(t * 10 - 10): Printer.CurrentY = HCUSPDATA%(t * 10 - 9)
            AL = z1: Call BoldGTENSXPrinter
            Printer.CurrentX = HCUSPDATA%(t * 10 - 8): Printer.CurrentY = HCUSPDATA%(t * 10 - 7)
            AL = z1: Call BoldGUNITSPrinter
            Printer.CurrentX = HCUSPDATA%(t * 10 - 6): Printer.CurrentY = HCUSPDATA%(t * 10 - 5)
            Printer.FontSize = XOPTION!(80): Printer.ForeColor = QBColor(XOPTION!(105))
            Call GSIGNSPrinter: Printer.FontSize = XOPTION!(81)
            Printer.ForeColor = QBColor(XOPTION!(106))
            Printer.CurrentX = HCUSPDATA%(t * 10 - 4): Printer.CurrentY = HCUSPDATA%(t * 10 - 3)
            AL = z2: Call GTENSXPrinter
            Printer.CurrentX = HCUSPDATA%(t * 10 - 2): Printer.CurrentY = HCUSPDATA%(t * 10 - 1)
            AL = z2: Call GUNITSPrinter
        Else
            dist = CWHC(t) - CWHC(10): 'get distance from 7th house cusp, which is 0 degrees
            If dist < 0 Then dist = dist + 360
            x4 = dist: If x4 >= 360 Then x4 = x4 - 360
            t1 = Int(x4 / 30): t3 = t1
            If t1 >= 3 Then
                 t1 = t1 - 2
            Else
                 t1 = t1 + 10
            End If
            t2 = t1 + 1
            If t2 = 13 Then t2 = 1

            t4 = 0
            Printer.CurrentX = 236 * Cosine(x4) * 0.91984662 + 4
            If (x4 > 80 And x4 < 100) Or (x4 > 260 And x4 < 280) Then
                t5 = Printer.CurrentX - 21
            ElseIf x4 <= 80 Or x4 >= 280 Then
                t5 = Printer.CurrentX
            ElseIf x4 >= 100 And x4 <= 260 Then
                t5 = Printer.CurrentX - (6 * 9) + 15
            Else
                t5 = Printer.CurrentX - 21
            End If
            Printer.CurrentY = 236 * Sine(x4) * 0.91984662 + 4

            Printer.FontSize = XOPTION!(79): Printer.ForeColor = QBColor(XOPTION!(104))
            z = HC1(t): Call Convert360toDM
            Printer.CurrentX = t5 + (t4 * 9) - 2
            Printer.CurrentY = 236 * Sine(x4) * 0.91984662 + 4
            AL = z1: Call BoldGTENSXPrinter: t4 = t4 + 1
            Printer.CurrentX = t5 + (t4 * 9) - 4
            Printer.CurrentY = 236 * Sine(x4) * 0.91984662 + 4
            AL = z1: Call BoldGUNITSPrinter: t4 = t4 + 1
            Printer.CurrentX = t5 + (t4 * 9) - 6
            Printer.CurrentY = 236 * Sine(x4) * 0.91984662 + 4
            Printer.FontSize = XOPTION!(80): Printer.ForeColor = QBColor(XOPTION!(105))
            Call GSIGNSPrinter: t4 = t4 + 2
            Printer.ForeColor = QBColor(XOPTION!(106))
            Printer.FontSize = XOPTION!(81)
            Printer.CurrentX = t5 + (t4 * 9) - 10
            Printer.CurrentY = 236 * Sine(x4) * 0.91984662 + 4
            AL = z2: Call GTENSXPrinter: t4 = t4 + 1
            Printer.CurrentX = t5 + (t4 * 9) - 3 - 12
            Printer.CurrentY = 236 * Sine(x4) * 0.91984662 + 4
            AL = z2: Call GUNITSPrinter
        End If
    Next t
End Sub

Private Sub PutPlanetsInChartwheel()
    Dim temp, temp1, Hse1%

    Hse1% = 4: If XOPTION!(28) = 1 And (EuroC% = 0 Or WheelType% <> 1) Then Hse1% = 3
    z = SORT(x): Call Convert360toDM
    Wheels.FontSize = XOPTION!(72): 'was PlanetFontScale%: 'font size for planets

'    If HOUSEY <> 12 Then
'        temp1 = TheRadiusX%(HOUSEY + 1) - TheRadiusX%(HOUSEY)
'    Else
'        temp1 = TheRadiusX%(1) - TheRadiusX%(12)
'    End If

'    If InnerOuter% <> 1 Then Radius = Radius + (INDEXY * temp1 / MaxInHouse%)

    ROW = (Radius * Sine(Angle)): COL = Radius * Cosine(Angle)
    Wheels.ForeColor = QBColor(XOPTION!(92))
    CurrentY = ROW: CurrentX = COL: Call GPLANETS

    If ((EuroC% = 0 Or WheelType% <> 1) And HOUSEY >= Hse1% And HOUSEY <= Hse1% + 5) Or ((EuroC% = 1 And WheelType% = 1) And (Angle >= 255 Or Angle < 75)) Then
       If NatORSyn% <> 2 Then
            Wheels.ForeColor = QBColor(XOPTION!(95))
            NumeralCharacterWidth% = Wheels.TextWidth(Chr$(48)) + XOPTION!(61)
            NumeralCharacterHeight% = Abs(Wheels.TextHeight(Chr$(48))) + XOPTION!(63)
            Call AdjustNCH1 'adjust NumeralCharacterHeight% for screen
            Call ChangeRadiusForNumeral
            Wheels.FontSize = XOPTION!(75)
            NumeralCharacterWidth% = Wheels.TextWidth(Chr$(48)) + XOPTION!(61)
            NumeralCharacterHeight% = Abs(Wheels.TextHeight(Chr$(48))) + XOPTION!(63)
            Call AdjustNCH1 'adjust NumeralCharacterHeight% for screen
            AL = z2: Call GUNITS: Call ChangeRadiusForNumeral
            AL = z2: Call GTENSX: Call ChangeRadiusForNumeral
       End If

       NumeralCharacterWidth% = Wheels.TextWidth(Chr$(48)) + XOPTION!(61)
       NumeralCharacterHeight% = Abs(Wheels.TextHeight(Chr$(48))) + XOPTION!(63)
       Call ChangeRadiusForNumeral: Wheels.FontSize = XOPTION!(74)
       NumeralCharacterWidth% = Wheels.TextWidth(Chr$(48)) + XOPTION!(60)
       NumeralCharacterHeight% = Abs(Wheels.TextHeight(Chr$(48))) + XOPTION!(62)
       Wheels.ForeColor = QBColor(XOPTION!(94))
       Call GSIGNS: Wheels.FontSize = XOPTION!(73)
       Wheels.ForeColor = QBColor(XOPTION!(93))
       NumeralCharacterWidth% = Wheels.TextWidth(Chr$(48)) + XOPTION!(61)
       NumeralCharacterHeight% = Abs(Wheels.TextHeight(Chr$(48))) + XOPTION!(63)
       Call ChangeRadiusForNumeral: AL = z1: Call BoldGUNITS
       Call ChangeRadiusForNumeral: AL = z1: Call BoldGTENSX
       Call ChangeRadiusForNumeral
    Else
       Call ChangeRadiusForGlyph: Wheels.FontSize = XOPTION!(73)
       NumeralCharacterWidth% = Wheels.TextWidth(Chr$(48)) + XOPTION!(61)
       NumeralCharacterHeight% = Abs(Wheels.TextHeight(Chr$(48))) + XOPTION!(63)
       Wheels.ForeColor = QBColor(XOPTION!(93))
       AL = z1: Call BoldGTENSX: Call ChangeRadiusForNumeral
       AL = z1: Call BoldGUNITS: Call ChangeRadiusForNumeral
       Wheels.FontSize = XOPTION!(74)
       Wheels.ForeColor = QBColor(XOPTION!(94)): Call GSIGNS
       NumeralCharacterWidth% = Wheels.TextWidth(Chr$(191 + Q)) + XOPTION!(60)
       NumeralCharacterHeight% = Abs(Wheels.TextHeight(Chr$(191 + Q))) + XOPTION!(62)
       Call ChangeRadiusForNumeral
       If NatORSyn% <> 2 Then
            Wheels.FontSize = XOPTION!(75)
            Wheels.ForeColor = QBColor(XOPTION!(95))
            NumeralCharacterWidth% = Wheels.TextWidth(Chr$(48)) + XOPTION!(61)
            NumeralCharacterHeight% = Abs(Wheels.TextHeight(Chr$(48))) + XOPTION!(63)
            AL = z2: Call GTENSX: Call ChangeRadiusForNumeral
            AL = z2: Call GUNITS: Call ChangeRadiusForNumeral
       End If
    End If

'    If SORTPOS(x) < 11 Or SORTPOS(x) = 13 Then
        If Mid$(Retrograde$, SORTPOS(x), 1) = "R" Or in_test% = 1 Then
            Wheels.FontSize = XOPTION!(76)
            temp1 = Wheels.ForeColor
            Wheels.ForeColor = QBColor(XOPTION!(96))
            Wheels.Print Chr$(156): 'Retrograde
            Wheels.ForeColor = temp1
        End If
'    End If
End Sub

Private Sub PutPlanetsInChartwheelPrinter()
    Dim temp, temp1, Hse1%

    Hse1% = 4: If XOPTION!(28) = 1 And (EuroC% = 0 Or WheelType% <> 1) Then Hse1% = 3
    z = SORT(x): Call Convert360toDM
    If XOPTION!(199) = 0 Or NatORSyn% <> 2 Then
        Printer.FontSize = XOPTION!(82): 'font size for planets
    Else
        Printer.FontSize = XOPTION!(200)
    End If

'    If HOUSEY <> 12 Then
'        temp1 = TheRadiusX%(HOUSEY + 1) - TheRadiusX%(HOUSEY)
'    Else
'        temp1 = TheRadiusX%(1) - TheRadiusX%(12)
'    End If
'    If InnerOuter% <> 1 Then Radius = Radius + (INDEXY * temp1 / MaxInHouse%)

'adjust radius for outer two wheels, right side of chart, triple chart, degrees and minutes
    If WheelType% = 3 And XOPTION!(199) <> 0 And HOUSEY >= Hse1% And HOUSEY <= Hse1% + 5 Then
        If InnerOuter% = 1 Then
            'outer wheel radius
            If HOUSEY = 8 And INDEXY <= 3 Then
                Radius = Radius + XOPTION!(205) - 2
            ElseIf HOUSEY = 8 And INDEXY >= 4 Then
                Radius = Radius + XOPTION!(205) - 4
            ElseIf HOUSEY = 7 Then
                Radius = Radius + XOPTION!(205) - 1
            ElseIf HOUSEY = 4 Then
                Radius = Radius + XOPTION!(205) - 1
            ElseIf HOUSEY = 3 And XOPTION!(28) = 1 Then
                Radius = Radius + XOPTION!(205) - 3
            ElseIf HOUSEY = 3 And XOPTION!(28) = 0 Then
                Radius = Radius + XOPTION!(205)
            ElseIf HOUSEY = 9 And XOPTION!(28) = 0 Then
                'do not adjust
            Else
                Radius = Radius + XOPTION!(205)
            End If
        ElseIf InnerOuter% = 2 Then
            'middle wheel radius
            If HOUSEY = 8 Then
                Radius = Radius + XOPTION!(206) - 1
            ElseIf HOUSEY = 7 Then
                Radius = Radius + XOPTION!(206) - 3
            ElseIf HOUSEY = 3 And XOPTION!(28) = 0 Then
                Radius = Radius + XOPTION!(206)
            Else
                Radius = Radius + XOPTION!(206)
            End If
        End If
    End If

    If WheelType% = 3 And XOPTION!(199) <> 0 And XOPTION!(28) = 0 Then
        'middle wheel radius
        If HOUSEY = 9 And InnerOuter% = 2 Then
            Radius = Radius - 2
        ElseIf HOUSEY = 3 And InnerOuter% <> 0 Then
            Radius = Radius + XOPTION!(206)
        End If
    End If

    If WheelType% = 3 And InnerOuter% <> 0 And XOPTION!(199) <> 0 Then
        'middle wheel radius
        If HOUSEY = 2 And INDEXY >= 4 Then
            Radius = Radius + XOPTION!(206)
        End If
    End If

    Radius = Radius * 0.9875

    ROW = (Radius * Sine(Angle)): COL = Radius * Cosine(Angle)
    Printer.ForeColor = QBColor(XOPTION!(107))
    Printer.CurrentY = ROW: Printer.CurrentX = COL: Call GPLANETSPrinter

    If ((EuroC% = 0 Or WheelType% <> 1) And HOUSEY >= Hse1% And HOUSEY <= Hse1% + 5) Or ((EuroC% = 1 And WheelType% = 1) And (Angle >= 255 Or Angle < 75)) Then
       If NatORSyn% <> 2 Or XOPTION!(199) <> 0 Then
            Printer.ForeColor = QBColor(XOPTION!(110))
            NumeralCharacterWidth% = Printer.TextWidth(Chr$(48)) + XOPTION!(65)
            NumeralCharacterHeight% = Abs(Printer.TextHeight(Chr$(48))) + XOPTION!(67)
            Call AdjustNCHP1 'adjust NumeralCharacterHeight% for printer
            Call ChangeRadiusForNumeral
            If XOPTION!(199) = 0 Or NatORSyn% <> 2 Then
                Printer.FontSize = XOPTION!(85)
            Else
                Printer.FontSize = XOPTION!(203)
            End If
            NumeralCharacterWidth% = Printer.TextWidth(Chr$(48)) + XOPTION!(65)
            NumeralCharacterHeight% = Abs(Printer.TextHeight(Chr$(48))) + XOPTION!(67)
            Call AdjustNCHP1 'adjust NumeralCharacterHeight% for printer
            AL = z2: Call GUNITSPrinter: Call ChangeRadiusForNumeral
            AL = z2: Call GTENSXPrinter: Call ChangeRadiusForNumeral
       End If
       NumeralCharacterWidth% = Printer.TextWidth(Chr$(48)) + XOPTION!(65)
       NumeralCharacterHeight% = Abs(Printer.TextHeight(Chr$(48))) + XOPTION!(67)
       Call ChangeRadiusForNumeral
       If XOPTION!(199) = 0 Or NatORSyn% <> 2 Then
           Printer.FontSize = XOPTION!(84)
       Else
           Printer.FontSize = XOPTION!(202)
       End If
       NumeralCharacterWidth% = Printer.TextWidth(Chr$(48)) + XOPTION!(64)
       NumeralCharacterHeight% = Abs(Printer.TextHeight(Chr$(48))) + XOPTION!(66)
       Printer.ForeColor = QBColor(XOPTION!(109))
       Call GSIGNSPrinter
       If XOPTION!(199) = 0 Or NatORSyn% <> 2 Then
           Printer.FontSize = XOPTION!(83)
       Else
           Printer.FontSize = XOPTION!(201)
       End If
       Printer.ForeColor = QBColor(XOPTION!(108))
       NumeralCharacterWidth% = Printer.TextWidth(Chr$(48)) + XOPTION!(65)
       NumeralCharacterHeight% = Abs(Printer.TextHeight(Chr$(48))) + XOPTION!(67)
       Call ChangeRadiusForNumeral: AL = z1: Call BoldGUNITSPrinter
       Call ChangeRadiusForNumeral: AL = z1: Call BoldGTENSXPrinter
       Call ChangeRadiusForNumeral
    Else
       Call ChangeRadiusForGlyph
       If XOPTION!(199) = 0 Or NatORSyn% <> 2 Then
           Printer.FontSize = XOPTION!(83)
       Else
           Printer.FontSize = XOPTION!(201)
       End If
       NumeralCharacterWidth% = Printer.TextWidth(Chr$(48)) + XOPTION!(65)
       NumeralCharacterHeight% = Abs(Printer.TextHeight(Chr$(48))) + XOPTION!(67)
       Printer.ForeColor = QBColor(XOPTION!(108))
       AL = z1: Call BoldGTENSXPrinter: Call ChangeRadiusForNumeral
       AL = z1: Call BoldGUNITSPrinter: Call ChangeRadiusForNumeral
       If XOPTION!(199) = 0 Or NatORSyn% <> 2 Then
           Printer.FontSize = XOPTION!(84)
       Else
           Printer.FontSize = XOPTION!(202)
       End If
       Printer.ForeColor = QBColor(XOPTION!(109)): Call GSIGNSPrinter
       NumeralCharacterWidth% = Printer.TextWidth(Chr$(191 + Q)) + XOPTION!(64)
       NumeralCharacterHeight% = Abs(Printer.TextHeight(Chr$(191 + Q))) + XOPTION!(66)
       Call ChangeRadiusForNumeral
       If NatORSyn% <> 2 Or XOPTION!(199) <> 0 Then
            If XOPTION!(199) = 0 Or NatORSyn% <> 2 Then
                Printer.FontSize = XOPTION!(85)
            Else
                Printer.FontSize = XOPTION!(203)
            End If
            Printer.ForeColor = QBColor(XOPTION!(110))
            NumeralCharacterWidth% = Printer.TextWidth(Chr$(48)) + XOPTION!(65)
            NumeralCharacterHeight% = Abs(Printer.TextHeight(Chr$(48))) + XOPTION!(67)
            AL = z2: Call GTENSXPrinter: Call ChangeRadiusForNumeral
            AL = z2: Call GUNITSPrinter: Call ChangeRadiusForNumeral
       End If
    End If
    If SORTPOS(x) < 11 Then
        If Mid$(Retrograde$, SORTPOS(x), 1) = "R" Then
            If XOPTION!(199) = 0 Or NatORSyn% <> 2 Then
                Printer.FontSize = XOPTION!(86)
            Else
                Printer.FontSize = XOPTION!(204)
            End If
            temp1 = Printer.ForeColor
            Printer.ForeColor = QBColor(XOPTION!(111))
            iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
            Printer.Print Chr$(156): 'Retrograde
            Printer.ForeColor = temp1
        End If
    End If
End Sub

Private Sub SetupAndDisplayPlanets()
        Dim X7%, dist, dist1, LastAngle, t9, NextCusp

        Call Get_outer_chartwheel_info
        Call Get_inner_chartwheel_info

        If NatORSyn% = 0 Or InnerOuter% = 1 Then
           MaxInHouse% = XOPTION!(167)     'was 7
           'DegreeIncrement = 4#
           DegreeIncrement = 30 / MaxInHouse%
           For X7% = 1 To 12: TheAngleX%(X7%) = OCAngleX%(X7%): Next X7%
           For X7% = 1 To 25: TheRadiusX%(X7%) = OCRadiusX%(X7%): Next X7%
           Retrograde$ = CWRetrograde$
        End If

        If NatORSyn% = 1 And InnerOuter% = 0 Then
           MaxInHouse% = XOPTION!(168)     'was 5
           'DegreeIncrement = 5.3
           DegreeIncrement = 29 / MaxInHouse%
           For X7% = 1 To 12: TheAngleX%(X7%) = ICDAngleX%(X7%): Next X7%
           For X7% = 1 To 25: TheRadiusX%(X7%) = ICDRadiusX%(X7%): Next X7%
        End If

        LastAngle = -100
'sort the planets in Planets() into the proper order
        Call SortPlanets
'count the number of planets in each house
        Call CountPlanets

        For x = NumberOfPlanets% To 1 Step -1: 'was 10

        temp = HOUSEY
        HOUSEY = Val(Mid$(ph$, SORTPOS(x) * 10 - 9, 2))
        If temp = HOUSEY Then
'this deals with the next planet in the same house
           If NOPIH(HOUSEY) > MaxInHouse% And (SORTPOS(x) = 12 Or SORTPOS(x) = 13) Then GoTo SHT9: 'was Exit Sub
           If HOUSEY < 10 Then
              FromCusp = CRUNCH(SORT(x) - HC1(HOUSEY + 3)): FromCusp = CRUNCH(FromCusp)
              If FromCusp >= 360 - 1 / 36000 And FromCusp <= 360 + 1 / 36000 Then FromCusp = 0
              'INDEXY = CInt(FromCusp * MaxInHouse% / DegEachHouse(HOUSEY + 3))
              INDEXY = Fix(FromCusp * MaxInHouse% / DegEachHouse(HOUSEY + 3))
           End If
           If HOUSEY > 9 Then
              FromCusp = CRUNCH(SORT(x) - HC1(HOUSEY - 9)): FromCusp = CRUNCH(FromCusp)
              If FromCusp >= 360 - 1 / 36000 And FromCusp <= 360 + 1 / 36000 Then FromCusp = 0
              'INDEXY = CInt(FromCusp * MaxInHouse% / DegEachHouse(HOUSEY - 9))
              INDEXY = Fix(FromCusp * MaxInHouse% / DegEachHouse(HOUSEY - 9))
           End If
           If INDEXY >= MaxInHouse% - NOPIH(HOUSEY) Then
              If MaxInHouse% - INDEXY - NOPIH(HOUSEY) + PlanetsDone% <= 0 Then
                 IDX = INDEXY - (NOPIH(HOUSEY) - PlanetsDone%)
                 If IDX < 0 Then GoTo p4a
                 If SpotFilled%(MaxInHouse% * (HOUSEY - 1) + INDEXY) = 0 Then
                    INDEXY = MaxInHouse% - (NOPIH(HOUSEY) - PlanetsDone%) - 1
                 Else
p4a:                INDEXY = MaxInHouse% - NOPIH(HOUSEY)
                 End If
              End If
              If INDEXY < 0 Then INDEXY = 0
           End If
           GoTo SHT5
        End If

'this starts a new house placement set
        PlanetsDone% = 1
        If HOUSEY < 10 Then
           FromCusp = CRUNCH(SORT(x) - HC1(HOUSEY + 3)): FromCusp = CRUNCH(FromCusp)
           If FromCusp >= 360 - 1 / 36000 And FromCusp <= 360 + 1 / 36000 Then FromCusp = 0
           'INDEXY = CInt(FromCusp * MaxInHouse% / DegEachHouse(HOUSEY + 3))
           INDEXY = Fix(FromCusp * MaxInHouse% / DegEachHouse(HOUSEY + 3))
        End If
        If HOUSEY > 9 Then
           FromCusp = CRUNCH(SORT(x) - HC1(HOUSEY - 9)): FromCusp = CRUNCH(FromCusp)
           If FromCusp >= 360 - 1 / 36000 And FromCusp <= 360 + 1 / 36000 Then FromCusp = 0
           'INDEXY = CInt(FromCusp * MaxInHouse% / DegEachHouse(HOUSEY - 9))
           INDEXY = Fix(FromCusp * MaxInHouse% / DegEachHouse(HOUSEY - 9))
        End If

        If INDEXY >= MaxInHouse% - NOPIH(HOUSEY) Then
              If MaxInHouse% - INDEXY - NOPIH(HOUSEY) + PlanetsDone% <= 0 Then
                 IDX = INDEXY - (NOPIH(HOUSEY) - PlanetsDone%)
                 If IDX < 0 Then GoTo p4b
                 If SpotFilled%(MaxInHouse% * (HOUSEY - 1) + INDEXY) = 0 Then
                    INDEXY = MaxInHouse% - (NOPIH(HOUSEY) - PlanetsDone%) - 1
                 Else
p4b:                INDEXY = MaxInHouse% - NOPIH(HOUSEY)
                 End If
              End If
              If INDEXY < 0 Then INDEXY = 0
        End If

        If NOPIH(HOUSEY) <> 0 Then
           If NOPIH(HOUSEY) > MaxInHouse% And (SORTPOS(x) = 12 Or SORTPOS(x) = 13) Then GoTo SHT9: 'was Exit Sub
        End If

SHT5:
        If SpotFilled%(MaxInHouse% * (HOUSEY - 1) + INDEXY) = 1 Then
            INDEXY = INDEXY + 1: GoTo SHT5
        End If

        SpotFilled%(MaxInHouse% * (HOUSEY - 1) + INDEXY) = 1

        Angle = TheAngleX%(HOUSEY) + INDEXY * DegreeIncrement
        'Radius = TheRadiusX%(HOUSEY)
        Radius = TheRadiusX%(Int(Angle / 15) + 1)

        'If InnerOuter% = 1 Then
        '    Radius = XRADIUSX%(CInt(Angle))
        'End If

        If EuroC% = 1 And WheelType% = 1 Then
            Angle = CRUNCH(SORT(x) - CWHC(10)) 'distance from 7th house cusp
            dist = Angle - LastAngle 'distance from last displayed planet glyph
            If (dist < 4 And dist >= -16) Or (dist < -356 And dist >= -360) Then
                Angle = CRUNCH(LastAngle + DegreeIncrement) 'make new glyph degree increment from old one if too close
                If FromCusp < 2 And PlanetsDone% = 1 And Angle >= 102.5 And Angle <= 137.5 Then
                   Angle = Angle + 2 - FromCusp: 'added 22 Jan 1996 - see BUG.TXT in \AW130\DOCS directory
                End If
                GoTo sht5a
            End If
'convert house 10 = 1 to house 9 = 12 to house 1 = 1 and house 12 = 12. find # degrees in house
            If HOUSEY <= 9 Then dist = DegEachHouse(HOUSEY + 3)
            If HOUSEY >= 10 Then dist = DegEachHouse(HOUSEY - 9) 'dist = degrees in current house
'get angle of next house cusp
            If HOUSEY <= 8 Then
                NextCusp = CRUNCH(CWHC(HOUSEY + 4) - CWHC(10))
            Else
                NextCusp = CRUNCH(CWHC(HOUSEY - 8) - CWHC(10))
            End If

            dist1 = (NOPIH(HOUSEY) - PlanetsDone% + 1) * DegreeIncrement 'space needed to hold rest of planets in house

            If Angle > CRUNCH(NextCusp - dist1) Then
                Angle = CRUNCH(NextCusp - dist1)
            End If

'added 16 Jan 1996 for bug at 3:59 pm, 01-16-1996, my long and lat, European style wheel - planets in wrong 7th/8th houses
            If Angle <= 28 And CRUNCH(NextCusp - dist1) >= 332 Then
                Angle = 0
            End If

            If (Angle >= 270 Or Angle < 180) And (Angle + 2 < NextCusp) Then
                Angle = Angle + 2
            End If

sht5a:
            LastAngle = Angle
            'Radius = XRADIUSX%(CInt(Angle))
            Radius = TheRadiusX%(Int(Angle / 15) + 1)
        End If

        CWPlanetAngle(SORTPOS(x)) = Angle
        If InnerOuter% = 0 Then
            'inner chartwheel
            If Angle >= 45 And Angle <= 135 Then
                CWPlanetAngle(SORTPOS(x)) = CWPlanetAngle(SORTPOS(x)) - 1
            ElseIf Angle >= 185 And Angle <= 215 Then
                CWPlanetAngle(SORTPOS(x)) = CWPlanetAngle(SORTPOS(x)) + 3
            ElseIf Angle > 215 And Angle <= 270 Then
                CWPlanetAngle(SORTPOS(x)) = CWPlanetAngle(SORTPOS(x)) + 3
            ElseIf Angle >= 330 And Angle <= 360 Then
                CWPlanetAngle(SORTPOS(x)) = CWPlanetAngle(SORTPOS(x)) - 2
            End If
        Else
            'outer chartwheel
            If Angle >= 45 And Angle <= 95 Then
                CWPlanetAngle(SORTPOS(x)) = CWPlanetAngle(SORTPOS(x)) - 1
            ElseIf Angle > 95 And Angle <= 130 Then
                CWPlanetAngle(SORTPOS(x)) = CWPlanetAngle(SORTPOS(x)) - 2
            ElseIf Angle > 130 And Angle <= 150 Then
                CWPlanetAngle(SORTPOS(x)) = CWPlanetAngle(SORTPOS(x)) - 1
            ElseIf Angle >= 180 And Angle <= 210 Then
                CWPlanetAngle(SORTPOS(x)) = CWPlanetAngle(SORTPOS(x)) + 2
            ElseIf Angle > 210 And Angle <= 240 Then
                CWPlanetAngle(SORTPOS(x)) = CWPlanetAngle(SORTPOS(x)) + 3
            ElseIf Angle > 240 And Angle <= 270 Then
                CWPlanetAngle(SORTPOS(x)) = CWPlanetAngle(SORTPOS(x)) + 2
            ElseIf Angle > 270 And Angle <= 280 Then
                CWPlanetAngle(SORTPOS(x)) = CWPlanetAngle(SORTPOS(x)) + 1
            ElseIf Angle >= 330 And Angle <= 360 Then
                CWPlanetAngle(SORTPOS(x)) = CWPlanetAngle(SORTPOS(x)) - 2
            End If
        End If

'    If HOUSEY <> 12 Then
'        temp1 = TheRadiusX%(HOUSEY + 1) - TheRadiusX%(HOUSEY)
'    Else
'        temp1 = TheRadiusX%(1) - TheRadiusX%(12)
'    End If

'    If InnerOuter% <> 1 Then
'        Radius = Radius + (INDEXY * temp1 / MaxInHouse%)
'    End If

        PlanetsDone% = PlanetsDone% + 1
        If PrntObj% = 0 Then
            Call PutPlanetsInChartwheel
        Else
            Call PutPlanetsInChartwheelPrinter
        End If
SHT9:   Next x
End Sub

Private Sub SortPlanets()
        Dim x, Y

'set zero planets in the houses
        For x = 1 To 12: NOPIH(x) = 0: Next x

        For x = 1 To NumberOfPlanets%: 'was 10
        If NatORSyn% = 1 And InnerOuter% = 0 Then
           SORT(x) = p1(x): SORTPOS(x) = x
        End If
        If NatORSyn% = 0 Or InnerOuter% = 1 Then
           SORT(x) = CWPlanets(x): SORTPOS(x) = x
        End If
        Next x

        If InnerOuter% = 1 Then
            ph$ = OuterPH$
            'If (XOPTION!(216) <> 0 And NatORSyn% = 1) Then
            '    For X = 1 To NumberOfPlanets%: Planets(X) = CWPlanets(X): Next X
            '    For X = 1 To 12: HC(X) = CWHC(X): Next X
            '    Call PLANETSINHOUSES
            'End If
        End If
        If NatORSyn% = 1 And InnerOuter% = 0 Then
           For x = 1 To NumberOfPlanets%: 'was 10
           p2(x) = CWPlanets(x): Planets(x) = p1(x): Next x
           For x = 1 To 12: HC(x) = CWHC(x): Next x
           Call PLANETSINHOUSES: Retrograde$ = h1$
           For x = 1 To NumberOfPlanets%: 'was 10
           CWPlanets(x) = p2(x): Next x
        End If

        For x = 1 To NumberOfPlanets% - 1: 'was 9
        For Y = x + 1 To NumberOfPlanets%: 'was 10
        If SORT(Y) > SORT(x) Then
           temp = SORT(x): temp1 = SORTPOS(x)
           SORT(x) = SORT(Y): SORTPOS(x) = SORTPOS(Y)
           SORT(Y) = temp: SORTPOS(Y) = temp1
        End If
        Next Y: Next x
End Sub

Private Sub SwitchPlanets()
    Dim t1, t2$, x%

    If NatORSyn% <> 1 Then Exit Sub
    If InputD1!chk2ndPerson.Value = 1 Then Exit Sub
    For x% = 1 To NumberOfPlanets%
        t1 = CWPlanets(x%): CWPlanets(x%) = p1(x%): p1(x%) = t1
    Next x%
    t2$ = CWRetrograde$: CWRetrograde$ = h1$: h1$ = t2$
End Sub

Private Sub mnuUpdateAddDay_Click()
'added 11 Jan 2003 for updating by time increments
    Screen.MousePointer = 11

    If InUpdate% = 0 Then Call SetupLastParameters
    InUpdate% = 1
    DaysInMonth%(2) = 28: If LastYear% Mod 4 = 0 Then DaysInMonth%(2) = 29

    LastDay% = LastDay% + 1
    If LastDay% > DaysInMonth%(LastMonth%) Then
        LastMonth% = LastMonth% + 1
        LastDay% = 1
        If LastMonth% > 12 Then
            LastYear% = LastYear% + 1
            LastMonth% = 1
            DaysInMonth%(2) = 28: If LastYear% Mod 4 = 0 Then DaysInMonth%(2) = 29
        End If
    End If

    Call CalculateAstrology
    Call DisplayWheelUpdate

    Screen.MousePointer = 0
End Sub

Private Sub mnuUpdateAddHour_Click()
'added 11 Jan 2003 for updating by time increments
    Screen.MousePointer = 11

    If InUpdate% = 0 Then Call SetupLastParameters
    InUpdate% = 1
    DaysInMonth%(2) = 28: If LastYear% Mod 4 = 0 Then DaysInMonth%(2) = 29

    LastHour! = LastHour! + 1
    If Fix(LastHour!) = 13 Then LastHour! = LastHour! - 12
    If Fix(LastHour!) = 12 Then
        If LastAmPm% = 0 Then
            LastAmPm% = 1
        Else
            LastAmPm% = 0
            LastDay% = LastDay% + 1
            If LastDay% > DaysInMonth%(LastMonth%) Then
                LastMonth% = LastMonth% + 1
                LastDay% = 1
                If LastMonth% > 12 Then
                    LastYear% = LastYear% + 1
                    LastMonth% = 1
                    DaysInMonth%(2) = 28: If LastYear% Mod 4 = 0 Then DaysInMonth%(2) = 29
                End If
            End If
        End If
    End If

    Call CalculateAstrology
    Call DisplayWheelUpdate

    Screen.MousePointer = 0
End Sub

Private Sub mnuUpdateAddMinute_Click()
'added 11 Jan 2003 for updating by time increments
    Screen.MousePointer = 11

    If InUpdate% = 0 Then Call SetupLastParameters
    InUpdate% = 1
    DaysInMonth%(2) = 28: If LastYear% Mod 4 = 0 Then DaysInMonth%(2) = 29

    LastMinute! = LastMinute! + 1
    If Fix(LastMinute!) = 60 Then
        LastMinute! = LastMinute! - 60
        LastHour! = LastHour! + 1
        If Fix(LastHour!) = 13 Then LastHour! = LastHour! - 12
        If Fix(LastHour!) = 12 Then
            If LastAmPm% = 0 Then
                LastAmPm% = 1
            Else
                LastAmPm% = 0
                LastDay% = LastDay% + 1
                If LastDay% > DaysInMonth%(LastMonth%) Then
                    LastMonth% = LastMonth% + 1
                    LastDay% = 1
                    If LastMonth% > 12 Then
                        LastYear% = LastYear% + 1
                        LastMonth% = 1
                        DaysInMonth%(2) = 28: If LastYear% Mod 4 = 0 Then DaysInMonth%(2) = 29
                    End If
                End If
            End If
        End If
    End If

    Call CalculateAstrology
    Call DisplayWheelUpdate

    Screen.MousePointer = 0
End Sub

Private Sub mnuUpdateSubDay_Click()
'added 11 Jan 2003 for updating by time increments
    Screen.MousePointer = 11

    If InUpdate% = 0 Then Call SetupLastParameters
    InUpdate% = 1
    DaysInMonth%(2) = 28: If LastYear% Mod 4 = 0 Then DaysInMonth%(2) = 29

    LastDay% = LastDay% - 1
    If LastDay% = 0 Then
        LastMonth% = LastMonth% - 1
        If LastMonth% = 0 Then
            LastMonth% = 12
            LastYear% = LastYear% - 1
            DaysInMonth%(2) = 28: If LastYear% Mod 4 = 0 Then DaysInMonth%(2) = 29
        End If
        LastDay% = DaysInMonth%(LastMonth%)
    End If

    Call CalculateAstrology
    Call DisplayWheelUpdate

    Screen.MousePointer = 0
End Sub

Private Sub mnuUpdateSubHour_Click()
'added 11 Jan 2003 for updating by time increments
    Screen.MousePointer = 11

    If InUpdate% = 0 Then Call SetupLastParameters
    InUpdate% = 1
    DaysInMonth%(2) = 28: If LastYear% Mod 4 = 0 Then DaysInMonth%(2) = 29

    LastHour! = LastHour! - 1
    If Fix(LastHour!) = 0 Then LastHour! = LastHour! + 12
    If Fix(LastHour!) = 11 Then
        If LastAmPm% = 1 Then
            LastAmPm% = 0
        Else
            LastAmPm% = 1
            LastDay% = LastDay% - 1
            If LastDay% = 0 Then
                LastMonth% = LastMonth% - 1
                If LastMonth% = 0 Then
                    LastMonth% = 12
                    LastYear% = LastYear% - 1
                    DaysInMonth%(2) = 28: If LastYear% Mod 4 = 0 Then DaysInMonth%(2) = 29
                End If
                LastDay% = DaysInMonth%(LastMonth%)
            End If
        End If
    End If

    Call CalculateAstrology
    Call DisplayWheelUpdate

    Screen.MousePointer = 0
End Sub

Private Sub mnuUpdateSubMinute_Click()
'added 11 Jan 2003 for updating by time increments
    Screen.MousePointer = 11

    If InUpdate% = 0 Then Call SetupLastParameters
    InUpdate% = 1
    DaysInMonth%(2) = 28: If LastYear% Mod 4 = 0 Then DaysInMonth%(2) = 29

    LastMinute! = LastMinute! - 1
    If Fix(LastMinute!) = -1 Then
        LastMinute! = LastMinute! + 60
        LastHour! = LastHour! - 1
        If Fix(LastHour!) = 0 Then LastHour! = LastHour! + 12
        If Fix(LastHour!) = 11 Then
            If LastAmPm% = 1 Then
                LastAmPm% = 0
            Else
                LastAmPm% = 1
                LastDay% = LastDay% - 1
                If LastDay% = 0 Then
                    LastMonth% = LastMonth% - 1
                    If LastMonth% = 0 Then
                        LastMonth% = 12
                        LastYear% = LastYear% - 1
                        DaysInMonth%(2) = 28: If LastYear% Mod 4 = 0 Then DaysInMonth%(2) = 29
                    End If
                    LastDay% = DaysInMonth%(LastMonth%)
                End If
            End If
        End If
    End If

    Call CalculateAstrology
    Call DisplayWheelUpdate

    Screen.MousePointer = 0
End Sub

