VERSION 5.00
Begin VB.Form display_symbols
   Caption         =   "Symbols"
   ClientHeight    =   5790
   ClientLeft      =   60
   ClientTop       =   1635
   ClientWidth     =   4305
   BeginProperty Font
      Name            =   "Courier New"
      Size            =   9
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   Icon            =   "display_symbols.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   24.125
   ScaleMode       =   4  'Character
   ScaleWidth      =   35.875
   ShowInTaskbar   =   0   'False
   Begin VB.TextBox Text1
      BeginProperty Font
         Name            =   "Astro_90"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   5955
      Left            =   0
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Top             =   0
      Width           =   4215
   End
   Begin VB.Menu mnuDisplayNatal
      Caption         =   "Display natal pos."
   End
   Begin VB.Menu mnuDisplayTransit
      Caption         =   "Display transit pos."
   End
End
Attribute VB_Name = "display_symbols"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub Form_Deactivate()
    If Me.WindowState <> 1 Then
        If DontDo% = 0 Then
            display_symbolsWindowHeight% = Me.Height
            display_symbolsWindowWidth% = Me.Width
            display_symbolsWindowTop% = Me.Top
            display_symbolsWindowLeft% = Me.Left
        End If
    End If
End Sub

Private Sub Form_KeyPress(KeyAscii As Integer)
    If KeyAscii = 27 Then
        AstrAstr.SetFocus
        KeyAscii = 0
    End If
End Sub

Private Sub Form_Load()
    Screen.MousePointer = 11

    NoDo% = 1
    Me.Top = display_symbolsWindowTop%
    Me.Left = display_symbolsWindowLeft%
    Me.Height = display_symbolsWindowHeight%
    Me.Width = display_symbolsWindowWidth%
    NoDo% = 0

    Text1.Text = ""
    Text1.FontName = "Astro_90"
    Text1.FontSize = 12

    Text1.Text = planet_symbol_table$

    Screen.MousePointer = 0
End Sub

Private Sub Form_Resize()
    Text1.Top = 0
    Text1.Left = 0

    Text1.Width = ScaleWidth
    Text1.Height = ScaleHeight
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Set display_symbols = Nothing
End Sub

Private Sub mnuDisplayNatal_Click()
    Dim a1%, t$, x1b%

    planet_symbol_table$ = ""

    If num_pl_bodies_90% < 27 Then
        a1% = num_pl_bodies_90%
    Else
        a1% = 27
    End If

    For x1b% = 1 To a1%             'was 27
        glyph_num%(x1b%) = 223 + x1b%

        t$ = Mid$(pl_body_name_90$(x1b%), InStr(pl_body_name_90$(x1b%), " ") + 1)
        planet_symbol_table$ = planet_symbol_table$ & Chr$(glyph_num%(x1b%)) & " - " & t$ & " - "

        z = Natal_90(x1b%)
        Call Convert360toDM

        planet_symbol_table$ = planet_symbol_table$ & Format$(z1, "00") & " " & Mid$(SX1$, Q * 3 - 2, 3) & " " & Format$(z2, "00") & crlf
    Next x1b%

    planet_symbol_table$ = planet_symbol_table$ & crlf

'assign glyphs - asteroids
    For x1b% = 28 To num_pl_bodies_90%
        glyph_num%(x1b%) = 69 + x1b%        'start with 'a' and go up (28 + 69 = 97 = '01')

        t$ = Mid$(pl_body_name_90$(x1b%), InStr(pl_body_name_90$(x1b%), " ") + 1)
        planet_symbol_table$ = planet_symbol_table$ & Format$(x1b% - 27, "00") & " - " & t$ & " - "

        z = Natal_90(x1b%)
        Call Convert360toDM

        planet_symbol_table$ = planet_symbol_table$ & Format$(z1, "00") & " " & Mid$(SX1$, Q * 3 - 2, 3) & " " & Format$(z2, "00") & crlf
    Next x1b%

    Text1.Text = planet_symbol_table$
End Sub

Private Sub mnuDisplayTransit_Click()
    Dim a1%, t$, x1b%

    planet_symbol_table$ = ""

    If num_pl_bodies_90% < 27 Then
        a1% = num_pl_bodies_90%
    Else
        a1% = 27
    End If

    For x1b% = 1 To a1%             'was 27
        glyph_num%(x1b%) = 223 + x1b%

        t$ = Mid$(pl_body_name_90$(x1b%), InStr(pl_body_name_90$(x1b%), " ") + 1)
        planet_symbol_table$ = planet_symbol_table$ & Chr$(glyph_num%(x1b%)) & " - " & t$ & " - "

        z = Transit_90(x1b%)
        Call Convert360toDM

        planet_symbol_table$ = planet_symbol_table$ & Format$(z1, "00") & " " & Mid$(SX1$, Q * 3 - 2, 3) & " " & Format$(z2, "00") & crlf
    Next x1b%

    planet_symbol_table$ = planet_symbol_table$ & crlf

'assign glyphs - asteroids
    For x1b% = 28 To num_pl_bodies_90%
        glyph_num%(x1b%) = 69 + x1b%        'start with 'a' and go up (28 + 69 = 97 = '01')

        t$ = Mid$(pl_body_name_90$(x1b%), InStr(pl_body_name_90$(x1b%), " ") + 1)
        planet_symbol_table$ = planet_symbol_table$ & Format$(x1b% - 27, "00") & " - " & t$ & " - "

        z = Transit_90(x1b%)
        Call Convert360toDM

        planet_symbol_table$ = planet_symbol_table$ & Format$(z1, "00") & " " & Mid$(SX1$, Q * 3 - 2, 3) & " " & Format$(z2, "00") & crlf
    Next x1b%

    Text1.Text = planet_symbol_table$
End Sub


Private Sub Text1_KeyPress(KeyAscii As Integer)
    If KeyAscii = 27 Then
        AstrAstr.SetFocus
        KeyAscii = 0
    End If
End Sub

