Attribute VB_Name = "load_arrays"

Public Sub Get_inner_chartwheel_info_90()
'Inner Dual Chartwheel - angle to start 1st house
'through 12th house
    ICDAngleX%(1) = 181
    ICDAngleX%(2) = 211
    ICDAngleX%(3) = 241
    ICDAngleX%(4) = 271
    ICDAngleX%(5) = 302
    ICDAngleX%(6) = 333
    ICDAngleX%(7) = 3
    ICDAngleX%(8) = 33
    ICDAngleX%(9) = 63
    ICDAngleX%(10) = 92
    ICDAngleX%(11) = 123
    ICDAngleX%(12) = 153

'Inner Dual Chartwheel - radius to start 1st house
'thru 12th house
'first half of house
    ICDRadiusX%(25) = 129         'same as below for rounding off
    ICDRadiusX%(1) = 129        'start of 7th house
    ICDRadiusX%(3) = 130
    ICDRadiusX%(5) = 132
    ICDRadiusX%(7) = 133
    ICDRadiusX%(9) = 135
    ICDRadiusX%(11) = 137
    ICDRadiusX%(13) = 136        'start of 1st house
    ICDRadiusX%(15) = 132
    ICDRadiusX%(17) = 129
    ICDRadiusX%(19) = 127
    ICDRadiusX%(21) = 126
    ICDRadiusX%(23) = 128

'second half of house
    ICDRadiusX%(2) = 130    'second half of 7th house
    ICDRadiusX%(4) = 131
    ICDRadiusX%(6) = 133
    ICDRadiusX%(8) = 134
    ICDRadiusX%(10) = 136
    ICDRadiusX%(12) = 136
    ICDRadiusX%(14) = 134    'second half of 1st house
    ICDRadiusX%(16) = 129
    ICDRadiusX%(18) = 127
    ICDRadiusX%(20) = 126
    ICDRadiusX%(22) = 127
    ICDRadiusX%(24) = 129
End Sub

Public Sub Get_outer_chartwheel_info_90()
'Outer Chartwheel - angle to start 1st house
'through 12th house
'previsouly, this was all 2's - they all ended in '2'
    OCAngleX%(1) = 181
    OCAngleX%(2) = 211
    OCAngleX%(3) = 241
    OCAngleX%(4) = 270
    OCAngleX%(5) = 301
    OCAngleX%(6) = 331
    OCAngleX%(7) = 2
    OCAngleX%(8) = 31
    OCAngleX%(9) = 61
    OCAngleX%(10) = 92
    OCAngleX%(11) = 120
    OCAngleX%(12) = 151

'Outer Chartwheel - radius to start 1st house
'thru 12th house - each house has 2 readings
'every 15 deg apart
'first half of house
    OCRadiusX%(25) = 206         'same as below for rounding off
    OCRadiusX%(1) = 206        'start of 7th house
    OCRadiusX%(3) = 206
    OCRadiusX%(5) = 208
    OCRadiusX%(7) = 210
    OCRadiusX%(9) = 212
    OCRadiusX%(11) = 213
    OCRadiusX%(13) = 212        'start of 1st house
    OCRadiusX%(15) = 208
    OCRadiusX%(17) = 205
    OCRadiusX%(19) = 203
    OCRadiusX%(21) = 202
    OCRadiusX%(23) = 204

'second half of house
    OCRadiusX%(2) = 206    'second half of 7th house
    OCRadiusX%(4) = 207
    OCRadiusX%(6) = 209
    OCRadiusX%(8) = 211
    OCRadiusX%(10) = 213
    OCRadiusX%(12) = 213
    OCRadiusX%(14) = 210    'second half of 1st house
    OCRadiusX%(16) = 206
    OCRadiusX%(18) = 203
    OCRadiusX%(20) = 203
    OCRadiusX%(22) = 203
    OCRadiusX%(24) = 206
End Sub



Public Sub Get_outer_chartwheel_info()
'Outer Chartwheel - angle to start 1st house
'through 12th house
    OCAngleX%(1) = 180
    OCAngleX%(2) = 210 '09
    OCAngleX%(3) = 241 '40
    OCAngleX%(4) = 271 '2
    OCAngleX%(5) = 302 '4
    OCAngleX%(6) = 333 '5
    OCAngleX%(7) = 3 '4
    OCAngleX%(8) = 33 '4
    OCAngleX%(9) = 63 '5
    OCAngleX%(10) = 93 '5
    OCAngleX%(11) = 123 '4
    OCAngleX%(12) = 152 '3

'Outer Chartwheel - radius to start 1st house
'thru 12th house - each house has 2 readings
'every 15 deg apart
'first half of house
    OCRadiusX%(25) = 205         'same as below for rounding off
    OCRadiusX%(1) = 205        'start of 7th house
    OCRadiusX%(3) = 206
    OCRadiusX%(5) = 208
    OCRadiusX%(7) = 211
    OCRadiusX%(9) = 214
    OCRadiusX%(11) = 216
    OCRadiusX%(13) = 214        'start of 1st house
    OCRadiusX%(15) = 211
    OCRadiusX%(17) = 205
    OCRadiusX%(19) = 201
    OCRadiusX%(21) = 200
    OCRadiusX%(23) = 202

'second half of house
    OCRadiusX%(2) = 206    'second half of 7th house
    OCRadiusX%(4) = 208
    OCRadiusX%(6) = 210
    OCRadiusX%(8) = 214
    OCRadiusX%(10) = 215
    OCRadiusX%(12) = 215
    OCRadiusX%(14) = 212    'second half of 1st house
    OCRadiusX%(16) = 208
    OCRadiusX%(18) = 203
    OCRadiusX%(20) = 200
    OCRadiusX%(22) = 201
    OCRadiusX%(24) = 204
End Sub

Public Sub Get_inner_chartwheel_info()
'Inner Dual Chartwheel - angle to start 1st house
'through 12th house
    ICDAngleX%(1) = 181
    ICDAngleX%(2) = 210
    ICDAngleX%(3) = 241
    ICDAngleX%(4) = 271
    ICDAngleX%(5) = 303
    ICDAngleX%(6) = 334
    ICDAngleX%(7) = 5
    ICDAngleX%(8) = 35
    ICDAngleX%(9) = 65
    ICDAngleX%(10) = 94
    ICDAngleX%(11) = 124
    ICDAngleX%(12) = 153

'Inner Dual Chartwheel - radius to start 1st house
'thru 12th house
'first half of house
    ICDRadiusX%(25) = 127         'same as below for rounding off
    ICDRadiusX%(1) = 127        'start of 7th house
    ICDRadiusX%(3) = 128
    ICDRadiusX%(5) = 131
    ICDRadiusX%(7) = 133
    ICDRadiusX%(9) = 137
    ICDRadiusX%(11) = 138
    ICDRadiusX%(13) = 136        'start of 1st house
    ICDRadiusX%(15) = 132
    ICDRadiusX%(17) = 127
    ICDRadiusX%(19) = 123
    ICDRadiusX%(21) = 122
    ICDRadiusX%(23) = 125

'second half of house
    ICDRadiusX%(2) = 128    'second half of 7th house
    ICDRadiusX%(4) = 129
    ICDRadiusX%(6) = 132
    ICDRadiusX%(8) = 135
    ICDRadiusX%(10) = 137
    ICDRadiusX%(12) = 136
    ICDRadiusX%(14) = 135    'second half of 1st house
    ICDRadiusX%(16) = 129
    ICDRadiusX%(18) = 125
    ICDRadiusX%(20) = 122
    ICDRadiusX%(22) = 123
    ICDRadiusX%(24) = 126
End Sub
