VERSION 5.00
Begin VB.Form wheels_90 
   AutoRedraw      =   -1  'True
   Caption         =   "90 deg Chartwheels"
   ClientHeight    =   6225
   ClientLeft      =   1185
   ClientTop       =   915
   ClientWidth     =   8160
   BeginProperty Font 
      Name            =   "Horary"
      Size            =   9
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H00000000&
   Icon            =   "wheels_90.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   568.409
   ScaleLeft       =   -400
   ScaleMode       =   0  'User
   ScaleTop        =   300
   ScaleWidth      =   857.579
   Begin VB.Line Line4 
      X1              =   -169.841
      X2              =   0.414
      Y1              =   719.116
      Y2              =   601.325
   End
   Begin VB.Line Line3 
      X1              =   0.414
      X2              =   161.21
      Y1              =   598.586
      Y2              =   738.291
   End
   Begin VB.Line Line2 
      X1              =   -0.007
      X2              =   -0.007
      Y1              =   423.269
      Y2              =   782.12
   End
   Begin VB.Line Line1 
      Visible         =   0   'False
      X1              =   -210.828
      X2              =   225.108
      Y1              =   599.956
      Y2              =   599.956
   End
   Begin VB.Menu mnuDisplaySymbols 
      Caption         =   "&Display symbols"
   End
   Begin VB.Menu mnuChoosePlanetList 
      Caption         =   "&Choose planet list"
      Begin VB.Menu mnuUseList 
         Caption         =   "Use planet list #1 (full list)"
         Index           =   1
         Shortcut        =   {F1}
      End
      Begin VB.Menu mnuUseList 
         Caption         =   "Use planet list #2 (basic list)"
         Index           =   2
         Shortcut        =   {F2}
      End
      Begin VB.Menu mnuUseList 
         Caption         =   "Use planet list #3 (basic plus big 5)"
         Index           =   3
         Shortcut        =   {F3}
      End
      Begin VB.Menu mnuUseList 
         Caption         =   "Use planet list #4 (#3 plus TNP's)"
         Index           =   4
         Shortcut        =   {F4}
      End
      Begin VB.Menu mnuUseList 
         Caption         =   "Use planet list #5"
         Index           =   5
         Shortcut        =   {F5}
      End
      Begin VB.Menu mnuUseList 
         Caption         =   "Use planet list #6"
         Index           =   6
         Shortcut        =   {F6}
      End
   End
   Begin VB.Menu mnuChangePointerMovementAmount 
      Caption         =   "Change pointer &movement amount"
   End
   Begin VB.Menu mnuChangePointerWidth 
      Caption         =   "Change pointer &width"
   End
   Begin VB.Menu mnuPrintChartwheel 
      Caption         =   "&Print"
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "&Help"
   End
End
Attribute VB_Name = "wheels_90"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private iBKMode As Long

'variables added/changed for 90 deg wheels
'Global CWHC_90(13), CWPlanets_90(), CWPlanetAngle_90()
'Global StartScale_90%, WheelType_90%, NoDo_90%, NotDo_90%, PrntObj_90%
'Global WheelBackground_90%
'Global Wheels1Captions_90$(), Wheels2Captions_90$()
'Global NatORSyn_90%, InnerOuter_90%, NatOrTranOuter_90%, OuterPH_90$

Private Const TRANSPARENT = 1

Private Sub Print_Asteroid_Abbreviations_and_Names()
'left margin is 30 units in from edge of paper
    Dim cnt%, col%, current_width, max_width, start_x%, starty%, t$, width, x%

    Printer.FontName = "Arial"
    Printer.ForeColor = QBColor(0)
    Printer.FontSize = XOPTION!(200)
    Printer.FontBold = False

'assign glyphs - asteroids
    If WheelType_90% = 2 Then
        cnt% = 4
    Else
        cnt% = 0
    End If
    
    col% = 0
    max_width = 0
    current_width = 0
    
    start_x% = XOPTION!(203)
    start_y% = XOPTION!(204)
    
    For x% = 28 To num_pl_bodies_90%
        Printer.CurrentX = Printer.ScaleLeft + start_x% + current_width
        Printer.CurrentY = Printer.ScaleTop + start_y% - (cnt% * XOPTION!(202))
        
        t$ = Trim$(Mid$(pl_body_name_90$(x%), 7))
        width = Abs(Printer.TextWidth(t$))
        If width > max_width Then max_width = width
        
        iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
        Printer.Print Format$((x% - 27), "00") & " = " & t$
        
        cnt% = cnt% + 1
        If cnt% = XOPTION!(205) Then
            col% = col% + 1
            If col% = 1 And WheelType_90% = 2 Then
                cnt% = 4
            Else
                cnt% = 0
            End If
            
            current_width = current_width + max_width + XOPTION!(201)
            max_width = 0
        End If
    Next x%
End Sub


Private Sub SetupAndDisplayPlanets_inner()
    Dim X7%, dist, dist1, LastAngle, t9, NextCusp

    If NatORSyn_90% = 0 Or InnerOuter_90% = 1 Then
        MaxInHouse% = XOPTION!(169)     'was 10
        'DegreeIncrement = 3#
        DegreeIncrement = 30 / MaxInHouse%
        For X7% = 1 To 12: TheAngleX%(X7%) = OCAngleX%(X7%): Next X7%
        For X7% = 1 To 25: TheRadiusX%(X7%) = OCRadiusX%(X7%): Next X7%
        Retrograde_90$ = CWRetrograde$
    End If

    If NatORSyn_90% = 1 And InnerOuter_90% = 0 Then
        MaxInHouse% = XOPTION!(170)     'was 6
        'DegreeIncrement = 5.3
        DegreeIncrement = 29 / MaxInHouse%
        For X7% = 1 To 12: TheAngleX%(X7%) = ICDAngleX%(X7%): Next X7%
        For X7% = 1 To 25: TheRadiusX%(X7%) = ICDRadiusX%(X7%): Next X7%
    End If

    LastAngle = -100
'sort the planets in Planets() into the proper order
    Call SortPlanets
'count the number of planets in each house
    Call CountPlanets_inner

    For X7% = 0 To 200           'was 115
        SpotFilled_inner_90%(X7%) = 0
        SpotFilled_outer_90%(X7%) = 0
    Next X7%

    For x = num_pl_bodies_90% To 1 Step -1: 'was 10
        If SORTPOS(x) >= planet_limit_90% Then GoTo SHT9

        temp = HOUSEY
        HOUSEY = Val(Mid$(ph$, SORTPOS(x) * 10 - 9, 2))
        If temp = HOUSEY Then
'this deals with the next planet in the same house
            If NOPIH(HOUSEY) > MaxInHouse% And (SORTPOS(x) = 12 Or SORTPOS(x) = 13) Then
                GoTo SHT9: 'was Exit Sub
            End If

            If HOUSEY < 10 Then
                FromCusp = CRUNCH(SORT(x) - HC1(HOUSEY + 3)): FromCusp = CRUNCH(FromCusp)
                If FromCusp >= 360 - 1 / 36000 And FromCusp <= 360 + 1 / 36000 Then FromCusp = 0
                'INDEXY = CInt(FromCusp * MaxInHouse% / DegEachHouse(HOUSEY + 3))
                INDEXY = Fix(FromCusp * MaxInHouse% / DegEachHouse(HOUSEY + 3))
            End If

            If HOUSEY > 9 Then
                FromCusp = CRUNCH(SORT(x) - HC1(HOUSEY - 9)): FromCusp = CRUNCH(FromCusp)
                If FromCusp >= 360 - 1 / 36000 And FromCusp <= 360 + 1 / 36000 Then FromCusp = 0
                'INDEXY = CInt(FromCusp * MaxInHouse% / DegEachHouse(HOUSEY -9))
                INDEXY = Fix(FromCusp * MaxInHouse% / DegEachHouse(HOUSEY - 9))
            End If

            If INDEXY >= MaxInHouse% - NOPIH(HOUSEY) Then
                If MaxInHouse% - INDEXY - NOPIH(HOUSEY) + PlanetsDone% <= 0 Then
                    IDX = INDEXY - (NOPIH(HOUSEY) - PlanetsDone%)

                    If IDX < 0 Then
                        INDEXY = MaxInHouse% - NOPIH(HOUSEY)
                        GoTo p4a
                    End If

                    If SpotFilled_inner_90%(MaxInHouse% * (HOUSEY - 1) + INDEXY) = 0 Then
                        INDEXY = MaxInHouse% - (NOPIH(HOUSEY) - PlanetsDone%) - 1
                    Else
                        INDEXY = MaxInHouse% - NOPIH(HOUSEY)
                    End If
                End If
p4a:
                If INDEXY < 0 Then INDEXY = 0
           End If
           GoTo SHT5
        End If

'this starts a new house placement set
        PlanetsDone% = 1
        If HOUSEY < 10 Then
           FromCusp = CRUNCH(SORT(x) - HC1(HOUSEY + 3)): FromCusp = CRUNCH(FromCusp)
           If FromCusp >= 360 - 1 / 36000 And FromCusp <= 360 + 1 / 36000 Then FromCusp = 0
           'INDEXY = CInt(FromCusp * MaxInHouse% / DegEachHouse(HOUSEY + 3))
           INDEXY = Fix(FromCusp * MaxInHouse% / DegEachHouse(HOUSEY + 3))
        End If
        If HOUSEY > 9 Then
           FromCusp = CRUNCH(SORT(x) - HC1(HOUSEY - 9)): FromCusp = CRUNCH(FromCusp)
           If FromCusp >= 360 - 1 / 36000 And FromCusp <= 360 + 1 / 36000 Then FromCusp = 0
           'INDEXY = CInt(FromCusp * MaxInHouse% / DegEachHouse(HOUSEY - 9))
           INDEXY = Fix(FromCusp * MaxInHouse% / DegEachHouse(HOUSEY - 9))
        End If

        If INDEXY >= MaxInHouse% - NOPIH(HOUSEY) Then
            If MaxInHouse% - INDEXY - NOPIH(HOUSEY) + PlanetsDone% <= 0 Then
                IDX = INDEXY - (NOPIH(HOUSEY) - PlanetsDone%)

                If IDX < 0 Then
                    INDEXY = MaxInHouse% - NOPIH(HOUSEY)
                    GoTo p4b
                End If

                If SpotFilled_inner_90%(MaxInHouse% * (HOUSEY - 1) + INDEXY) = 0 Then
                    INDEXY = MaxInHouse% - (NOPIH(HOUSEY) - PlanetsDone%) - 1
                Else
                    INDEXY = MaxInHouse% - NOPIH(HOUSEY)
                End If
            End If
p4b:
            If INDEXY < 0 Then INDEXY = 0
        End If

        If NOPIH(HOUSEY) <> 0 Then
            If NOPIH(HOUSEY) > MaxInHouse% And (SORTPOS(x) = 12 Or SORTPOS(x) = 13) Then
                GoTo SHT9: 'was Exit Sub
            End If
        End If

SHT5:
        If SpotFilled_inner_90%(MaxInHouse% * (HOUSEY - 1) + INDEXY) = 1 Then
            INDEXY = INDEXY + 1
            GoTo SHT5
        End If

        SpotFilled_inner_90%(MaxInHouse% * (HOUSEY - 1) + INDEXY) = 1

        Angle = CRUNCH(TheAngleX%(HOUSEY) + INDEXY * DegreeIncrement)

        Radius = TheRadiusX%(Int(Angle / 15) + 1)

        CWPlanetAngle_90(SORTPOS(x)) = Angle
        If InnerOuter_90% = 0 Then
            'inner chartwheel
            If Angle >= 45 And Angle <= 135 Then
                CWPlanetAngle_90(SORTPOS(x)) = CWPlanetAngle_90(SORTPOS(x)) - 1
            ElseIf Angle >= 185 And Angle <= 215 Then
                CWPlanetAngle_90(SORTPOS(x)) = CWPlanetAngle_90(SORTPOS(x)) + 3
            ElseIf Angle > 215 And Angle <= 270 Then
                CWPlanetAngle_90(SORTPOS(x)) = CWPlanetAngle_90(SORTPOS(x)) + 3
            ElseIf Angle >= 330 And Angle <= 360 Then
                CWPlanetAngle_90(SORTPOS(x)) = CWPlanetAngle_90(SORTPOS(x)) - 2
            End If
        Else
            'outer chartwheel
            If Angle >= 45 And Angle <= 95 Then
                CWPlanetAngle_90(SORTPOS(x)) = CWPlanetAngle_90(SORTPOS(x)) - 1
            ElseIf Angle > 95 And Angle <= 130 Then
                CWPlanetAngle_90(SORTPOS(x)) = CWPlanetAngle_90(SORTPOS(x)) - 2
            ElseIf Angle > 130 And Angle <= 150 Then
                CWPlanetAngle_90(SORTPOS(x)) = CWPlanetAngle_90(SORTPOS(x)) - 1
            ElseIf Angle >= 180 And Angle <= 210 Then
                CWPlanetAngle_90(SORTPOS(x)) = CWPlanetAngle_90(SORTPOS(x)) + 2
            ElseIf Angle > 210 And Angle <= 240 Then
                CWPlanetAngle_90(SORTPOS(x)) = CWPlanetAngle_90(SORTPOS(x)) + 3
            ElseIf Angle > 240 And Angle <= 270 Then
                CWPlanetAngle_90(SORTPOS(x)) = CWPlanetAngle_90(SORTPOS(x)) + 2
            ElseIf Angle > 270 And Angle <= 280 Then
                CWPlanetAngle_90(SORTPOS(x)) = CWPlanetAngle_90(SORTPOS(x)) + 1
            ElseIf Angle >= 330 And Angle <= 360 Then
                CWPlanetAngle_90(SORTPOS(x)) = CWPlanetAngle_90(SORTPOS(x)) - 2
            End If
        End If

        PlanetsDone% = PlanetsDone% + 1
        If PrntObj_90% = 0 Then
            Call PutPlanetsInChartwheel
        Else
            Call PutPlanetsInChartwheelPrinter
        End If
SHT9:
    Next x

    wheels_90.Caption = XCaption$ & "planet list " & planet_list_num%
End Sub


Private Sub SetupAndDisplayPlanets_TEST()
    Dim temp, X7%

    If NatORSyn_90% = 0 Or InnerOuter_90% = 1 Then
       MaxInHouse% = XOPTION!(169)     'was 10
       'DegreeIncrement = 3#
       DegreeIncrement = 30 / MaxInHouse%
       For X7% = 1 To 12: TheAngleX%(X7%) = OCAngleX%(X7%): Next X7%
       For X7% = 1 To 25: TheRadiusX%(X7%) = OCRadiusX%(X7%): Next X7%
       Retrograde_90$ = CWRetrograde$
    End If

    If NatORSyn_90% = 1 And InnerOuter_90% = 0 Then
       MaxInHouse% = XOPTION!(170)     'was 6
       'DegreeIncrement = 5.3
       DegreeIncrement = 29 / MaxInHouse%
       For X7% = 1 To 12: TheAngleX%(X7%) = ICDAngleX%(X7%): Next X7%
       For X7% = 1 To 25: TheRadiusX%(X7%) = ICDRadiusX%(X7%): Next X7%
    End If

    x = 1
    SORTPOS(x) = (Rnd * NumberOfPlanets%) + 1
    For HOUSEY = 1 To 12
        For INDEXY = 0 To MaxInHouse% - 1
            SORT(x) = Rnd * 360
            SORTPOS(x) = SORTPOS(x) + 1
            If SORTPOS(x) > NumberOfPlanets% Then
                SORTPOS(x) = 1
            End If

            Angle = CRUNCH(TheAngleX%(HOUSEY) + INDEXY * DegreeIncrement)

            'If Angle >= 360 Then Angle = Angle - 360

            'Radius = TheRadiusX%(HOUSEY)
            Radius = TheRadiusX%(Int(Angle / 15) + 1)

            'If InnerOuter_90% = 1 Then
            '    Radius = XRADIUSX%(CInt(Angle))
            'End If

            If PrntObj_90% = 0 Then
                Call PutPlanetsInChartwheel

                temp = SORTPOS(x)
                SORTPOS(x) = Int(Rnd * (num_pl_bodies_90% - planet_limit_90%)) + planet_limit_90%
                Call PutPlanetsInChartwheel
                SORTPOS(x) = temp
            Else
                Call PutPlanetsInChartwheelPrinter

                temp = SORTPOS(x)
                SORTPOS(x) = Int(Rnd * (num_pl_bodies_90% - planet_limit_90%)) + planet_limit_90%
                Call PutPlanetsInChartwheelPrinter
                SORTPOS(x) = temp
            End If
        Next INDEXY
    Next HOUSEY
End Sub



Private Sub AdjustNCH1()
    If XOPTION!(75) >= XOPTION!(193) Then
        NumeralCharacterHeight% = NumeralCharacterHeight% - XOPTION!(194) 'for screen planet minutes
    End If
End Sub

Private Sub AdjustNCHP1()
    If Angle > 75 And Angle < 310 Then Exit Sub
    If XOPTION!(199) = 0 Or NatORSyn_90% <> 2 Then
        If XOPTION!(85) >= XOPTION!(195) Then
            NumeralCharacterHeight% = NumeralCharacterHeight% - XOPTION!(196) 'for printer planet minutes
        End If
    Else
        If (XOPTION!(203) >= XOPTION!(195)) Or (WheelType_90% = 3 And InnerOuter_90% = 0 And HOUSEY = 8) Then
            NumeralCharacterHeight% = NumeralCharacterHeight% - XOPTION!(196) 'for printer planet minutes
        End If
    End If
End Sub

Private Sub BoldGTENS()
    FontBold = True: Call GTENS: FontBold = False
End Sub

Private Sub BoldGTENSPrinter()
    Printer.FontBold = True: Call GTENSPrinter: Printer.FontBold = False
End Sub

Private Sub BoldGTENSX()
    FontBold = True: Call GTENSX: FontBold = False
End Sub

Private Sub BoldGTENSXPrinter()
    Printer.FontBold = True: Call GTENSXPrinter: Printer.FontBold = False
End Sub

Private Sub BoldGUNITS()
    FontBold = True: Call GUNITS: FontBold = False
End Sub

Private Sub BoldGUNITSPrinter()
    Printer.FontBold = True: Call GUNITSPrinter: Printer.FontBold = False
End Sub

Private Sub ChangeRadiusForGlyph()
    col = col - (GlyphCharacterWidth% * Cosine(Angle))
    If PrntObj_90% = 0 Then
        ROW = ROW - (GlyphCharacterHeight% / (640 / 480) * Sine(Angle))
        CurrentY = ROW: CurrentX = col
    Else
        ROW = ROW - (GlyphCharacterHeight% / (600 / 480) * Sine(Angle))
        Printer.CurrentY = ROW: Printer.CurrentX = col
    End If
End Sub

Private Sub ChangeRadiusForNumeral()
    col = col - (NumeralCharacterWidth% * Cosine(Angle))
    If PrntObj_90% = 0 Then
        ROW = ROW - (NumeralCharacterHeight% / (640 / 480) * Sine(Angle))
        CurrentY = ROW: CurrentX = col
    Else
        ROW = ROW - (NumeralCharacterHeight% / (600 / 480) * Sine(Angle))
        Printer.CurrentY = ROW: Printer.CurrentX = col
    End If
End Sub

Private Sub CountPlanets_inner()
'count the number of planets in each house
    Dim temp As Integer, x, z%

    For x = 1 To num_pl_bodies_90%: 'was 10
        If SORTPOS(x) < planet_limit_90% Then
            temp = Val(Mid$(ph$, SORTPOS(x) * 10 - 9, 2))
            NOPIH(temp) = NOPIH(temp) + 1
        End If

        HOME(x) = temp
    Next x

'sort and analyze all the data
SHT2:
    If HOME(num_pl_bodies_90%) = HOME(1) And HOME(1) <> 0 Then
        TEMP1X = SORT(num_pl_bodies_90%)
        TEMP2X = SORTPOS(num_pl_bodies_90%)
        TEMP3X = HOME(num_pl_bodies_90%)

        For x = num_pl_bodies_90% To 2 Step -1: 'was 10
            SORT(x) = SORT(x - 1): SORTPOS(x) = SORTPOS(x - 1): HOME(x) = HOME(x - 1)
        Next x

        SORT(1) = TEMP1X: SORTPOS(1) = TEMP2X: HOME(1) = TEMP3X

        GoTo SHT2
    End If

    HOUSEY = 0
End Sub

Private Sub CountPlanets_outer()
'count the number of planets in each house
    Dim temp As Integer, x, z%

    For x = 1 To num_pl_bodies_90%: 'was 10
        If SORTPOS(x) >= planet_limit_90% Then
            temp = Val(Mid$(ph$, SORTPOS(x) * 10 - 9, 2))
            NOPIH(temp) = NOPIH(temp) + 1
        End If

        HOME(x) = temp
    Next x

'sort and analyze all the data
SHT2:
    If HOME(num_pl_bodies_90%) = HOME(1) And HOME(1) <> 0 Then
        TEMP1X = SORT(num_pl_bodies_90%)
        TEMP2X = SORTPOS(num_pl_bodies_90%)
        TEMP3X = HOME(num_pl_bodies_90%)

        For x = num_pl_bodies_90% To 2 Step -1: 'was 10
            SORT(x) = SORT(x - 1): SORTPOS(x) = SORTPOS(x - 1): HOME(x) = HOME(x - 1)
        Next x

        SORT(1) = TEMP1X: SORTPOS(1) = TEMP2X: HOME(1) = TEMP3X

        GoTo SHT2
    End If

    HOUSEY = 0
End Sub


Private Sub DrawDualChartwheel()
    Dim clr%, clr_5deg%, outer_radius%
    Dim vr2 As Single, little_spoke%, spoke%

    vr2 = 0.9825
    outer_radius% = 217
    little_spoke% = 215
    spoke% = 213

    clr% = XOPTION!(102): If WheelBackground_90% <> 0 Then clr% = QBColor(0)
    clr_5deg% = XOPTION!(122): If WheelBackground_90% <> 0 Then clr_5deg% = QBColor(0)

    If XOPTION!(50) >= 1 Then
        'marks every 1 degree
        For X3 = PI / 2 To (2 * PI - PI / 45) + PI / 2 Step PI / 45
            Line (little_spoke% * Cos(X3), vr2 * little_spoke% * Sin(X3))-(outer_radius% * Cos(X3), vr2 * outer_radius% * Sin(X3)), QBColor(clr%)
        Next X3

        'marks every 5 degrees
        For X3 = PI / 2 To (2 * PI - PI / 9) + PI / 2 Step PI / 9
            Line (spoke% * Cos(X3), vr2 * spoke% * Sin(X3))-(outer_radius% * Cos(X3), vr2 * outer_radius% * Sin(X3)), QBColor(clr_5deg%)
        Next X3
    Else
        For X3 = 0 To (2 * PI - PI / 6) Step PI / 6
            If WheelBackground_90% = 0 Then
                Circle (0, 0), outer_radius%, QBColor(XOPTION!(102)), -X3, -(X3 + PI / 6)
            Else
                Circle (0, 0), outer_radius%, QBColor(0), -X3, -(X3 + PI / 6)
            End If
        Next X3
    End If

    Circle (0, 0), outer_radius%, QBColor(XOPTION!(101))
    Circle (0, 0), 138, QBColor(XOPTION!(101))

    If XOPTION!(50) >= 1 Then
        'nothing
    Else
        Circle (0, 0), 62, QBColor(XOPTION!(101))
        Circle (0, 0), 40, QBColor(XOPTION!(101))

        FillColor = QBColor(XOPTION!(100))
        If WheelBackground_90% = 1 Then FillColor = QBColor(15)

        FillStyle = 0: Circle (0, 0), 40: FillStyle = 1

        Circle (0, 0), 40, QBColor(XOPTION!(101))
    End If
End Sub

Private Sub DrawDualChartwheelPrinter()
    Dim clr%, clr_5deg%
    Dim little_spoke%, spoke%, vr2, outer_radius%

    outer_radius% = 217
    little_spoke% = 215
    spoke% = 213
    vr2 = 0.9625

    clr% = XOPTION!(116)
    clr_5deg% = XOPTION!(135)

    Printer.Circle (0, 0), outer_radius%, QBColor(XOPTION!(115))
    Printer.Circle (0, 0), 138, QBColor(XOPTION!(115))

    If XOPTION!(50) >= 1 Then
        'nothing
    Else
        Printer.Circle (0, 0), 62, QBColor(XOPTION!(115))
        Printer.Circle (0, 0), 40, QBColor(XOPTION!(115))
    End If

    If XOPTION!(50) >= 1 Then
        For X3 = PI / 2 To (2 * PI - PI / 9) + PI / 2 Step PI / 9
            'marks every 1 degree
            Printer.Line (spoke% * Cos(X3), vr2 * spoke% * Sin(X3))-(outer_radius% * Cos(X3), vr2 * outer_radius% * Sin(X3)), QBColor(clr%)
        Next X3
        For X3 = PI / 2 To (2 * PI - PI / 45) + PI / 2 Step PI / 45
            'marks every 5 degrees
            Printer.Line (little_spoke% * Cos(X3), vr2 * little_spoke% * Sin(X3))-(outer_radius% * Cos(X3), vr2 * outer_radius% * Sin(X3)), QBColor(clr_5deg%)
        Next X3
    Else
        For X3 = 0 To (2 * PI - PI / 6) Step PI / 6
            Printer.Line (40 * Cos(X3), vr2 * 40 * Sin(X3))-(outer_radius% * Cos(X3), vr2 * outer_radius% * Sin(X3)), QBColor(clr%)
        Next X3
    End If
End Sub

Private Sub DrawSingleChartwheel()
    Dim clr%, clr_5deg%, HC3(), x, dist, x4
    Dim inner_radius%, outer_radius%
    Dim little_spoke%, spoke%, vr2

    inner_radius% = 120
    outer_radius% = 217
    little_spoke% = 215
    spoke% = 213
    vr2 = 0.9825

    clr% = XOPTION!(102): If WheelBackground_90% <> 0 Then clr% = QBColor(0)
    clr_5deg% = XOPTION!(122): If WheelBackground_90% <> 0 Then clr_5deg% = QBColor(0)

    If XOPTION!(50) >= 1 Then
        For X3 = PI / 2 To (2 * PI - PI / 45) + PI / 2 Step PI / 45
            'marks every 1 degree
            Line (little_spoke% * Cos(X3), vr2 * little_spoke% * Sin(X3))-(outer_radius% * Cos(X3), vr2 * outer_radius% * Sin(X3)), QBColor(clr%)
        Next X3
        For X3 = PI / 2 To (2 * PI - PI / 9) + PI / 2 Step PI / 9
            'marks every 5 degrees
            Line (spoke% * Cos(X3), vr2 * spoke% * Sin(X3))-(outer_radius% * Cos(X3), vr2 * outer_radius% * Sin(X3)), QBColor(clr_5deg%)
        Next X3
    Else
        For X3 = 0 To (2 * PI - PI / 6) Step PI / 6
            Line (inner_radius% * Cos(X3), vr2 * inner_radius% * Sin(X3))-(outer_radius% * Cos(X3), vr2 * outer_radius% * Sin(X3)), QBColor(clr%)
        Next X3
    End If

    Circle (0, 0), outer_radius%, QBColor(XOPTION!(101))
    Circle (0, 0), inner_radius%, QBColor(XOPTION!(101))
End Sub

Private Sub DrawSingleChartwheelPrinter()
    Dim clr%, clr_5deg%, HC3(), x, dist, x4, little_spoke%, spoke%, vr2

    Printer.Circle (0, 0), 217, QBColor(XOPTION!(115))
    Printer.Circle (0, 0), 120, QBColor(XOPTION!(115))

    clr% = XOPTION!(116)
    clr_5deg% = XOPTION!(135)

    little_spoke% = 215
    spoke% = 213
    vr2 = 0.9625

    If XOPTION!(50) >= 1 Then
        For X3 = PI / 2 To (2 * PI - PI / 9) + PI / 2 Step PI / 9
            'marks every 5 degrees
            Printer.Line (spoke% * Cos(X3), vr2 * spoke% * Sin(X3))-(217 * Cos(X3), vr2 * 217 * Sin(X3)), QBColor(clr_5deg%)
        Next X3
        For X3 = PI / 2 To (2 * PI - PI / 45) + PI / 2 Step PI / 45
            'marks every 1 degree
            Printer.Line (little_spoke% * Cos(X3), vr2 * little_spoke% * Sin(X3))-(217 * Cos(X3), vr2 * 217 * Sin(X3)), QBColor(clr%)
        Next X3
    Else
        For X3 = 0 To (2 * PI - PI / 6) Step PI / 6
            Printer.Line (120 * Cos(X3), vr2 * 120 * Sin(X3))-(217 * Cos(X3), vr2 * 217 * Sin(X3)), QBColor(clr%)
        Next X3
    End If
End Sub

Private Sub FindDegreesInEachHouse()
    Dim x

    For x = 1 To 12
        HC1(x) = CWHC_90(x)
    Next x

    For x = 1 To 11
        DegEachHouse(x) = CRUNCH(HC1(x + 1) - HC1(x))
        If DegEachHouse(x) = 277.5 Then
            DegEachHouse(x) = 7.5
        End If
    Next x

    DegEachHouse(12) = CRUNCH(HC1(1) - HC1(12))
    If DegEachHouse(12) = 277.5 Then
        DegEachHouse(12) = 7.5
    End If
End Sub

Private Sub Form_Deactivate()
    If wheels_90.WindowState <> 1 Then
        If DontDo% = 0 Then
            wheels_90WindowHeight% = wheels_90.Height
            wheels_90WindowWidth% = wheels_90.width
            wheels_90WindowTop% = wheels_90.Top
            wheels_90WindowLeft% = wheels_90.Left
        End If
    End If
End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    Dim outer_radius%, vr2

'redraw the chartwheel to get rid of the old pointer
    Call Form_Paint
    
    outer_radius% = 217
    vr2 = 0.9825
    
    If KeyCode = 40 Then
        'down arrow
        Me!Line1.Visible = False
        Me!Line2.Visible = False
        Me!Line3.Visible = False
        Me!Line4.Visible = False

'        angle_line1% = 0
        angle_line2% = 90
        angle_line3% = 210
        angle_line4% = 330

        Exit Sub
    ElseIf KeyCode = 39 Then
        'right arrow
'        angle_line1% = angle_line1% - amount_to_rotate_90%
        angle_line2% = angle_line2% - amount_to_rotate_90%
        angle_line3% = angle_line3% - amount_to_rotate_90%
        angle_line4% = angle_line4% - amount_to_rotate_90%

'        If angle_line1% < 0 Then angle_line1% = angle_line1% + 360
        If angle_line2% < 0 Then angle_line2% = angle_line2% + 360
        If angle_line3% < 0 Then angle_line3% = angle_line3% + 360
        If angle_line4% < 0 Then angle_line4% = angle_line4% + 360
    ElseIf KeyCode = 37 Then
        'left arrow
'        angle_line1% = angle_line1% + amount_to_rotate_90%
        angle_line2% = angle_line2% + amount_to_rotate_90%
        angle_line3% = angle_line3% + amount_to_rotate_90%
        angle_line4% = angle_line4% + amount_to_rotate_90%

'        If angle_line1% >= 360 Then angle_line1% = angle_line1% - 360
        If angle_line2% >= 360 Then angle_line2% = angle_line2% - 360
        If angle_line3% >= 360 Then angle_line3% = angle_line3% - 360
        If angle_line4% >= 360 Then angle_line4% = angle_line4% - 360
    ElseIf KeyCode = 38 Then
'        angle_line1% = 0
        angle_line2% = 90
        angle_line3% = 210
        angle_line4% = 330
    Else
        Exit Sub
    End If

    'Line1.Visible = False
'    Line1.x1 = -outer_radius% * Cosine(angle_line1%)
'    Line1.x2 = outer_radius% * Cosine(angle_line1%)
'    Line1.y1 = outer_radius% * Sine(angle_line1%)
'    Line1.y2 = -outer_radius% * vr2 * Sine(angle_line1%)
'    Line1.Visible = True

    'Line2.Visible = False
    Line2.x1 = 0    'outer_radius% * Cosine(angle_line2%)
    Line2.x2 = outer_radius% * Cosine(angle_line2%)
    Line2.y1 = 0    '-outer_radius% * Sine(angle_line2%)
    Line2.y2 = outer_radius% * vr2 * Sine(angle_line2%)
    Me!Line2.Visible = True

    'Line3.Visible = False
    Line3.x1 = 0    'outer_radius% * Cosine(angle_line3%)
    Line3.x2 = outer_radius% * Cosine(angle_line3%)
    Line3.y1 = 0    '-outer_radius% * Sine(angle_line3%)
    Line3.y2 = outer_radius% * vr2 * Sine(angle_line3%)
    Me!Line3.Visible = True

    'Line4.Visible = False
    Line4.x1 = 0    'outer_radius% * Cosine(angle_line4%)
    Line4.x2 = outer_radius% * Cosine(angle_line4%)
    Line4.y1 = 0    '-outer_radius% * Sine(angle_line4%)
    Line4.y2 = outer_radius% * vr2 * Sine(angle_line4%)
    Me!Line4.Visible = True

'manipulate the pointer and its width
    p1_angle% = angle_line2% - pointer_orb_90%
    If p1_angle% <= 0 Then p1_angle% = p1_angle% + 360
    
    p2_angle% = angle_line2% + pointer_orb_90%
    If p2_angle% > 360 Then p2_angle% = p2_angle% - 360
    
    If (p1_angle < p2_angle And p2_angle - p1_angle < 180) Or p1_angle - p2_angle > 180 Then
        start_angle = p1_angle
        end_angle = p2_angle
    Else
        start_angle = p2_angle
        end_angle = p1_angle
    End If

'set the proper drawing styles
    Me.DrawMode = 12
    Me.DrawStyle = 5
    Me.FillColor = QBColor(14)      'gives a soft blue color on a gray background
    Me.FillStyle = 0
    
    Me.Circle (0, 0), outer_radius%, QBColor(14), -start_angle * PI / 180, -end_angle * PI / 180

    start_angle = start_angle + 120
    If start_angle > 360 Then start_angle = start_angle - 360
    end_angle = end_angle + 120
    If end_angle > 360 Then end_angle = end_angle - 360
    
    Me.Circle (0, 0), outer_radius%, QBColor(14), -start_angle * PI / 180, -end_angle * PI / 180

    start_angle = start_angle + 120
    If start_angle > 360 Then start_angle = start_angle - 360
    end_angle = end_angle + 120
    If end_angle > 360 Then end_angle = end_angle - 360
    
    Me.Circle (0, 0), outer_radius%, QBColor(14), -start_angle * PI / 180, -end_angle * PI / 180

'restore the defaults
    Me.DrawMode = 13
    Me.DrawStyle = 0
    Me.FillColor = QBColor(0)
    Me.FillStyle = 1
End Sub

Private Sub Form_KeyPress(KeyAscii As Integer)
    If KeyAscii = 27 Then
        AstrAstr.SetFocus
        KeyAscii = 0
    End If
End Sub

Private Sub Form_Load()
    wheels_90.ScaleWidth = 1024
    wheels_90.ScaleHeight = 768

    NoDo_90% = 1
    wheels_90.Top = wheels_90WindowTop%
    wheels_90.Left = wheels_90WindowLeft%
    wheels_90.Height = wheels_90WindowHeight%
    wheels_90.width = wheels_90WindowWidth%
    NoDo_90% = 0

    For cwX = 1 To num_pl_bodies_90%
        CWPlanets_90(cwX) = Planets(cwX)
    Next cwX

    For cwX = 1 To 12
        CWHC_90(cwX) = HC(cwX)
    Next cwX

    CWRetrograde$ = Retrograde_90$

    If InputD1!chk2ndPerson.Value = 0 Or WheelType_90% <> 2 Then
        NatOrTranOuter_90% = 0
    End If

    planet_limit_90% = 48

'    angle_line1% = 0
    angle_line2% = 90
    angle_line3% = 210
    angle_line4% = 330

'    Line1.x1 = -outer_radius% / 2
'    Line1.x2 = outer_radius% / 2
'    Line1.y1 = outer_radius% / 2
'    Line1.y2 = -outer_radius% / 2

    Line2.x1 = outer_radius% / 2
    Line2.x2 = -outer_radius% / 2
    Line2.y1 = -outer_radius% / 2
    Line2.y2 = outer_radius% / 2

    Line3.x1 = 0
    Line3.x2 = -outer_radius% / 2
    Line3.y1 = 0
    Line3.y2 = outer_radius% / 2

    Line4.x1 = -outer_radius% / 2
    Line4.x2 = 0
    Line4.y1 = outer_radius% / 2
    Line4.y2 = 0

    Me!Line1.Visible = False
End Sub

Private Sub Form_MouseUp(Button As Integer, Shift As Integer, x As Single, Y As Single)
    If Button = 2 Then AstrAstr.SetFocus
End Sub

Private Sub Form_Paint()
    Dim a13%, X3, ab1, ab2, ab3, ab4

    If wheels_90.WindowState = 1 Then Exit Sub

    OuterWheelRadius% = 200

    If PrntObj_90% = 0 Then
        wheels_90.Cls
        wheels_90.Scale (-StartScale_90%, StartScale_90% * Abs(wheels_90.ScaleHeight / wheels_90.ScaleWidth))-(StartScale_90%, -StartScale_90% * Abs(wheels_90.ScaleHeight / wheels_90.ScaleWidth))
        wheels_90.BackColor = QBColor(XOPTION!(100))
        If WheelBackground_90% = 1 Then wheels_90.BackColor = QBColor(15)
        wheels_90.ForeColor = RGB(0, 0, 0)
        If NatORSyn_90% = 0 Then
            Call DrawSingleChartwheel
        Else
            Call DrawDualChartwheel
        End If

'set font and size for house markings
        wheels_90.FontName = "Astro_90"
        wheels_90.FontSize = XOPTION!(69): 'was WheelFontScale%
'put house numbers 1 - 12 in each houses space
        If NatORSyn_90% <> 0 Then
            Call MarkHouseNumbersTriple
        End If

        Call FindDegreesInEachHouse
        Call PutDataOnHouseCusps

        wheels_90.FontName = "Astro_90"
        wheels_90.FontSize = XOPTION!(72): 'was PlanetFontScale%: 'font size for planet degrees
        GlyphCharacterWidth% = wheels_90.TextWidth(Chr$(236)) + XOPTION!(60)
        GlyphCharacterHeight% = Abs(wheels_90.TextHeight(Chr$(236))) + XOPTION!(62)
        NumeralCharacterWidth% = wheels_90.TextWidth(Chr$(48)) + XOPTION!(61)
        NumeralCharacterHeight% = Abs(wheels_90.TextHeight(Chr$(48))) + XOPTION!(63)

        InnerOuter_90% = 1

        Call Get_inner_chartwheel_info_90
        Call Get_outer_chartwheel_info_90

        If in_test_90% = 1 Then
            Call SetupAndDisplayPlanets_TEST
        Else
            Call SetupAndDisplayPlanets_inner
            Call SetupAndDisplayPlanets_outer
        End If

        If NatORSyn_90% <> 0 Then
            InnerOuter_90% = 0
            If in_test_90% = 1 Then
                Call SetupAndDisplayPlanets_TEST
            Else
                Call SetupAndDisplayPlanets_inner
                Call SetupAndDisplayPlanets_outer
            End If
        End If

        Call PlaceWheelCaptions
    Else
        StartScale_90% = 265

        Printer.ForeColor = RGB(0, 0, 0)

        ab1 = -StartScale_90%
        ab2 = StartScale_90% / (480 / 600) - 56
        ab3 = StartScale_90%
        ab4 = -StartScale_90% / (480 / 600) - 56
        ab1 = ab1 * 0.9475
        ab2 = ab2 * 0.9475
        ab3 = ab3 * 0.9475
        ab4 = ab4 * 0.9475

        Printer.Scale (ab1, ab2)-(ab3, ab4)
        If NatORSyn_90% = 0 Then
            Call DrawSingleChartwheelPrinter
        Else
            Call DrawDualChartwheelPrinter
        End If
'set font and size for house markings
        Printer.FontName = "Astro_90"
        Printer.FontSize = XOPTION!(79): 'font size for house cusps
        Printer.FontBold = False
'put house numbers 1 - 12 in each houses space
        If NatORSyn_90% = 1 Then
            Call MarkHouseNumbersTriplePrinter
        End If

        Call FindDegreesInEachHouse
        Call PutDataOnHouseCuspsPrinter

        Printer.FontName = "Astro_90"
        If XOPTION!(199) = 0 Or NatORSyn_90% <> 2 Then
            Printer.FontSize = XOPTION!(82): 'font size for planet degrees
        Else
            Printer.FontSize = XOPTION!(200)
        End If

        GlyphCharacterWidth% = Printer.TextWidth(Chr$(236)) + XOPTION!(64): 'the Sun
        GlyphCharacterHeight% = Abs(Printer.TextHeight(Chr$(236))) + XOPTION!(66): 'the Sun
        NumeralCharacterWidth% = Printer.TextWidth(Chr$(48)) + XOPTION!(65): 'the number 0
        NumeralCharacterHeight% = Abs(Printer.TextHeight(Chr$(48))) + XOPTION!(67): 'the number 0

        InnerOuter_90% = 1

        Call Get_inner_chartwheel_info_90
        Call Get_outer_chartwheel_info_90

        If in_test_90% = 1 Then
            Call SetupAndDisplayPlanets_TEST
        Else
            Call SetupAndDisplayPlanets_inner
            Call SetupAndDisplayPlanets_outer
        End If

        If NatORSyn_90% <> 0 Then
            InnerOuter_90% = 0
            If in_test_90% = 1 Then
                Call SetupAndDisplayPlanets_TEST
            Else
                Call SetupAndDisplayPlanets_inner
                Call SetupAndDisplayPlanets_outer
            End If
        End If

        Call PlaceWheelCaptionsPrinter
        
        Call Print_Asteroid_Abbreviations_and_Names
    End If
End Sub

Private Sub Form_Resize()
    If Abs(ScaleHeight) <= Abs(ScaleWidth) Then
        StartScale_90% = 225 / Abs(wheels_90.ScaleHeight / wheels_90.ScaleWidth): '238
    Else
        StartScale_90% = 244
    End If

    If NoDo_90% = 0 Then
        Form_Paint
    End If
End Sub

Private Sub GPLANETS()
    Dim t$

    If glyph_num%(SORTPOS(x)) > 223 Then
        wheels_90.Print Chr$(glyph_num%(SORTPOS(x)))
    Else
        t$ = Format$(glyph_num%(SORTPOS(x)) - 96, "00")
        wheels_90.Print t$
    End If
End Sub

Private Sub GPLANETSPrinter()
    Dim t$

    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)

    If glyph_num%(SORTPOS(x)) > 223 Then
        Printer.Print Chr$(glyph_num%(SORTPOS(x)))
    Else
        t$ = Format$(glyph_num%(SORTPOS(x)) - 96, "00")
        Printer.Print t$
    End If
End Sub

Private Sub GSIGNS()
    wheels_90.Print Chr$(191 + Q)
End Sub

Private Sub GSIGNS_show_full_sign()
    Dim z
    
    If InnerOuter_90% = 1 Then
        'natal
        z = Natal_90(SORTPOS(x))
    Else
        'transit
        z = Transit_90(SORTPOS(x))
    End If
    
    wheels_90.Print Chr$(191 + (Int(Int(z) / 30) + 1))
End Sub

Private Sub GSIGNSPrinter()
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(191 + Q)
End Sub

Private Sub GSIGNSPrinter_show_full_sign()
    Dim z
    
    If InnerOuter_90% = 1 Then
        'natal
        z = Natal_90(SORTPOS(x))
    Else
        'transit
        z = Transit_90(SORTPOS(x))
    End If
    
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(191 + (Int(Int(z) / 30) + 1))
End Sub


Private Sub GTENS()
        If Fix(AL / 10) = 0 Then
            wheels_90.Print Chr$(32)
        Else
            wheels_90.Print Chr$(48 + Fix(AL / 10))
        End If
End Sub

Private Sub GTENSPrinter()
        If Fix(AL / 10) = 0 Then
            iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
            Printer.Print Chr$(32)
        Else
            iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
            Printer.Print Chr$(48 + Fix(AL / 10))
        End If
End Sub

Private Sub GTENSX()
        wheels_90.Print Chr$(48 + Fix(AL / 10))
End Sub

Private Sub GTENSXPrinter()
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(48 + Fix(AL / 10))
End Sub

Private Sub GUNITS()
        wheels_90.Print Chr$(48 + AL Mod 10)
End Sub

Private Sub GUNITSPrinter()
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(48 + AL Mod 10)
End Sub

Private Sub MarkHouseNumbersTriple()
    If XOPTION!(50) >= 1 Then Exit Sub

    CurrentX = -52: CurrentY = -6:  '1st house
    wheels_90.Print Chr$(49)

    CurrentX = -40: CurrentY = -30:  '2nd house
    wheels_90.Print Chr$(50)

    CurrentX = -16: CurrentY = -44:  '3rd house
    wheels_90.Print Chr$(51)

    CurrentX = 10: CurrentY = -44:  '4th house
    wheels_90.Print Chr$(52)

    CurrentX = 32: CurrentY = -30:  '5th house
    wheels_90.Print Chr$(53)

    CurrentX = 46: CurrentY = -6:  '6th house
    wheels_90.Print Chr$(54)

    CurrentX = 46: CurrentY = 18:  '7th house
    wheels_90.Print Chr$(55)

    CurrentX = 32: CurrentY = 40:  '8th house
    wheels_90.Print Chr$(56)

    CurrentX = 10: CurrentY = 52:  '9th house
    wheels_90.Print Chr$(57)

    CurrentX = -20: CurrentY = 52:  '10th house
    wheels_90.Print Chr$(49)
    CurrentX = -12: CurrentY = 52
    wheels_90.Print Chr$(48)

    CurrentX = -44: CurrentY = 40:  '11th house
    wheels_90.Print Chr$(49)
    CurrentX = -36: CurrentY = 40
    wheels_90.Print Chr$(49)

    CurrentX = -56: CurrentY = 18:  '12th house
    wheels_90.Print Chr$(49)
    CurrentX = -48: CurrentY = 18
    wheels_90.Print Chr$(50)
End Sub

Private Sub MarkHouseNumbersTriplePrinter()
    If XOPTION!(50) >= 1 Then Exit Sub

    Printer.CurrentX = -52: Printer.CurrentY = -6:  '1st house
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(49)

    Printer.CurrentX = -40: Printer.CurrentY = -30:  '2nd house
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(50)

    Printer.CurrentX = -16: Printer.CurrentY = -44:  '3rd house
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(51)

    Printer.CurrentX = 10: Printer.CurrentY = -44:  '4th house
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(52)

    Printer.CurrentX = 32: Printer.CurrentY = -30:  '5th house
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(53)

    Printer.CurrentX = 46: Printer.CurrentY = -6:  '6th house
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(54)

    Printer.CurrentX = 46: Printer.CurrentY = 18:  '7th house
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(55)

    Printer.CurrentX = 32: Printer.CurrentY = 40:  '8th house
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(56)

    Printer.CurrentX = 10: Printer.CurrentY = 52:  '9th house
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(57)

    Printer.CurrentX = -20: Printer.CurrentY = 52:  '10th house
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(49)
    Printer.CurrentX = -12: Printer.CurrentY = 52
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(48)

    Printer.CurrentX = -44: Printer.CurrentY = 40:  '11th house
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(49)
    Printer.CurrentX = -36: Printer.CurrentY = 40
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(49)

    Printer.CurrentX = -56: Printer.CurrentY = 18:  '12th house
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(49)
    Printer.CurrentX = -48: Printer.CurrentY = 18
    iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
    Printer.Print Chr$(50)
End Sub

Private Sub mnuChangePointerMovementAmount_Click()
    Dim x%
    
    x% = Val(InputBox("Enter a number for the amount you would like to move the pointer each time an arrow key is hit (1 degree is 4 units, so a value of 2 is movement of 1/2 degree):", "Set pointer movement amount", 2))
    
    If x% <= 0 Then Exit Sub

    amount_to_rotate_90% = x%
End Sub

Private Sub mnuChangePointerWidth_Click()
    Dim x%
    
    x% = Val(InputBox("Enter a number for the width you would like to use for your pointer (1 degree is 4 units, so a value of 12 is an orb of 3 degrees on each side of the pointer):", "Set pointer width", 4))
    
    If x% <= 0 Then Exit Sub

    pointer_orb_90% = x%
End Sub

Private Sub mnuDisplaySymbols_Click()
    Unload display_symbols
    display_symbols.Show vbModeless, AstrAstr
End Sub

Private Sub mnuHelp_Click()
    CurrentHelpFile$ = "\wheel_90.HLP"
    Call DisplayHelp
End Sub

Private Sub mnuPrintChartwheel_Click()
    Dim Msg, DgDef, TITLE_X, Response, TempPS

    Msg = "Click 'YES' for full page chartwheel. Click 'NO' for half page chartwheel."
    DgDef = MB_YESNOCANCEL + MB_ICONQUESTION + MB_DEFBUTTON3
    TITLE_X = "Full page or half page chartwheel"
    Response = MsgBox(Msg, DgDef, TITLE_X)

    Screen.MousePointer = 11
    If Response = 6 Then
        PrntObj_90% = 1
        Printer.ScaleWidth = MasterScaleWidth
        Printer.ScaleHeight = MasterScaleWidth
        NatOrTranOuter_90% = 0: wheels_90.WindowState = 2
        Printer.EndDoc: PrntObj_90% = 0
    ElseIf Response = 7 Then
        WheelBackground_90% = 1
        PrntObj_90% = 0: wheels_90.WindowState = 2
        wheels_90.PrintForm
        WheelBackground_90% = 0
    End If

    wheels_90.WindowState = 0
    Screen.MousePointer = 0
End Sub

Private Sub PlaceWheelCaptions()
    Dim x%

    wheels_90.FontName = "Astro_90"
    wheels_90.FontSize = XOPTION!(68): 'was LegendFontScale%
    wheels_90.ForeColor = QBColor(XOPTION!(88))

    wheels_90.CurrentX = wheels_90.ScaleLeft + 10: wheels_90.CurrentY = wheels_90.ScaleTop: 'set to upper left hand corner
    For x% = 1 To 7
        wheels_90.Print Wheels1Captions_90$(x%): wheels_90.CurrentX = wheels_90.ScaleLeft + 10
    Next x%

    wheels_90.CurrentY = (wheels_90.ScaleHeight / 2) + (Abs(wheels_90.TextHeight(Wheels2Captions_90$(1))) * 8)

    For x% = 1 To 7
        wheels_90.Print Wheels2Captions_90$(x%): wheels_90.CurrentX = wheels_90.ScaleLeft + 10
    Next x%
End Sub

Private Sub PlaceWheelCaptionsPrinter()
    Dim x%, t$

    Printer.FontName = "Astro_90"
    Printer.FontSize = XOPTION!(78): 'LegendFontScale%
    Printer.FontBold = False
    Printer.ForeColor = QBColor(XOPTION!(103))

    Printer.CurrentX = Printer.ScaleLeft + 30
        Printer.CurrentY = Printer.ScaleTop - XOPTION!(243): 'set to upper left hand corner
    For x% = 1 To 7
        iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
        Printer.Print Wheels1Captions_90$(x%): Printer.CurrentX = Printer.ScaleLeft + 30
    Next x%

    Printer.CurrentY = (Printer.ScaleHeight / 2) + (Abs(Printer.TextHeight(Wheels2Captions_90$(1))) * XOPTION!(191))

    Printer.CurrentX = Printer.ScaleLeft + 30
    For x% = 1 To 7
        iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
        Printer.Print Wheels2Captions_90$(x%): Printer.CurrentX = Printer.ScaleLeft + 30
    Next x%

    If XOPTION!(174) = 0 Then Exit Sub
'do personalized name thing
    Printer.FontSize = XOPTION!(175)
    Printer.ForeColor = QBColor(XOPTION!(176))
    Printer.CurrentY = Printer.ScaleTop - XOPTION!(244): 'set to top line

    Close #2
    On Error GoTo pnt1a
    Open DefaultDirectory + "\PERSONAL.NAM" For Input As #2
    Do While Not EOF(2)
       Line Input #2, t$
       Printer.CurrentX = (Printer.ScaleWidth / 2) - XOPTION!(177) - Printer.TextWidth(t$)
       iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
       Printer.Print t$
    Loop
pnt1a:
    Close #2: Exit Sub
End Sub

Private Sub PutDataOnHouseCusps()
    Dim temp, t, t1, t2, t3, t4, t5, dist

If XOPTION!(50) >= 1 Then
'00/90 degrees
        wheels_90.FontSize = XOPTION!(123): wheels_90.ForeColor = QBColor(XOPTION!(89))
        z = 0: Call Convert360toDM
        CurrentX = -2: CurrentY = 226
        AL = z: Call BoldGTENSX
        CurrentX = 1: CurrentY = 226
        AL = z: Call BoldGUNITS

'85 degrees
        wheels_90.FontSize = XOPTION!(123): wheels_90.ForeColor = QBColor(XOPTION!(89))
        z = 85: Call Convert360toDM
        CurrentX = 77: CurrentY = 213
        AL = z: Call BoldGTENSX
        CurrentX = 80: CurrentY = 213
        AL = z: Call BoldGUNITS

'80 degrees
        wheels_90.FontSize = XOPTION!(123): wheels_90.ForeColor = QBColor(XOPTION!(89))
        z = 80: Call Convert360toDM
        CurrentX = 145: CurrentY = 176
        AL = z: Call BoldGTENSX
        CurrentX = 148: CurrentY = 176
        AL = z: Call BoldGUNITS

'75 degrees
        wheels_90.FontSize = XOPTION!(123): wheels_90.ForeColor = QBColor(XOPTION!(89))
        z = 75: Call Convert360toDM
        CurrentX = 197: CurrentY = 115
        AL = z: Call BoldGTENSX
        CurrentX = 200: CurrentY = 115
        AL = z: Call BoldGUNITS

'70 degrees
        wheels_90.FontSize = XOPTION!(123): wheels_90.ForeColor = QBColor(XOPTION!(89))
        z = 70: Call Convert360toDM
        CurrentX = 224: CurrentY = 43
        AL = z: Call BoldGTENSX
        CurrentX = 227: CurrentY = 43
        AL = z: Call BoldGUNITS

'65 degrees
        wheels_90.FontSize = XOPTION!(123): wheels_90.ForeColor = QBColor(XOPTION!(89))
        z = 65: Call Convert360toDM
        CurrentX = 224: CurrentY = -38
        AL = z: Call BoldGTENSX
        CurrentX = 227: CurrentY = -38
        AL = z: Call BoldGUNITS

'60 degrees
        wheels_90.FontSize = XOPTION!(123): wheels_90.ForeColor = QBColor(XOPTION!(89))
        z = 60: Call Convert360toDM
        CurrentX = 197: CurrentY = -111
        AL = z: Call BoldGTENSX
        CurrentX = 200: CurrentY = -111
        AL = z: Call BoldGUNITS

'55 degrees
        wheels_90.FontSize = XOPTION!(123): wheels_90.ForeColor = QBColor(XOPTION!(89))
        z = 55: Call Convert360toDM
        CurrentX = 145: CurrentY = -171
        AL = z: Call BoldGTENSX
        CurrentX = 148: CurrentY = -171
        AL = z: Call BoldGUNITS

'50 degrees
        wheels_90.FontSize = XOPTION!(123): wheels_90.ForeColor = QBColor(XOPTION!(89))
        z = 50: Call Convert360toDM
        CurrentX = 77: CurrentY = -208
        AL = z: Call BoldGTENSX
        CurrentX = 80: CurrentY = -208
        AL = z: Call BoldGUNITS

'45 degrees
        wheels_90.FontSize = XOPTION!(123): wheels_90.ForeColor = QBColor(XOPTION!(89))
        z = 45: Call Convert360toDM
        CurrentX = -2: CurrentY = -221
        AL = z: Call BoldGTENSX
        CurrentX = 1: CurrentY = -221
        AL = z: Call BoldGUNITS

'40 degrees
        wheels_90.FontSize = XOPTION!(123): wheels_90.ForeColor = QBColor(XOPTION!(89))
        z = 40: Call Convert360toDM
        CurrentX = -81: CurrentY = -209
        AL = z: Call BoldGTENSX
        CurrentX = -79: CurrentY = -209
        AL = z: Call BoldGUNITS

'35 degrees
        wheels_90.FontSize = XOPTION!(123): wheels_90.ForeColor = QBColor(XOPTION!(89))
        z = 35: Call Convert360toDM
        CurrentX = -149: CurrentY = -171
        AL = z: Call BoldGTENSX
        CurrentX = -146: CurrentY = -171
        AL = z: Call BoldGUNITS

'30 degrees
        wheels_90.FontSize = XOPTION!(123): wheels_90.ForeColor = QBColor(XOPTION!(89))
        z = 30: Call Convert360toDM
        CurrentX = -204: CurrentY = -111
        AL = z: Call BoldGTENSX
        CurrentX = -201: CurrentY = -111
        AL = z: Call BoldGUNITS

'25 degrees
        wheels_90.FontSize = XOPTION!(123): wheels_90.ForeColor = QBColor(XOPTION!(89))
        z = 25: Call Convert360toDM
        CurrentX = -231: CurrentY = -38
        AL = z: Call BoldGTENSX
        CurrentX = -228: CurrentY = -38
        AL = z: Call BoldGUNITS

'20 degrees
        wheels_90.FontSize = XOPTION!(123): wheels_90.ForeColor = QBColor(XOPTION!(89))
        z = 20: Call Convert360toDM
        CurrentX = -231: CurrentY = 43
        AL = z: Call BoldGTENSX
        CurrentX = -228: CurrentY = 43
        AL = z: Call BoldGUNITS

'15 degrees
        wheels_90.FontSize = XOPTION!(123): wheels_90.ForeColor = QBColor(XOPTION!(89))
        z = 15: Call Convert360toDM
        CurrentX = -204: CurrentY = 115
        AL = z: Call BoldGTENSX
        CurrentX = -201: CurrentY = 115
        AL = z: Call BoldGUNITS

'10 degrees
        wheels_90.FontSize = XOPTION!(123): wheels_90.ForeColor = QBColor(XOPTION!(89))
        z = 10: Call Convert360toDM
        CurrentX = -151: CurrentY = 176
        AL = z: Call BoldGTENSX
        CurrentX = -148: CurrentY = 176
        AL = z: Call BoldGUNITS

'5 degrees
        wheels_90.FontSize = XOPTION!(123): wheels_90.ForeColor = QBColor(XOPTION!(89))
        z = 5: Call Convert360toDM
        CurrentX = -81: CurrentY = 213
        AL = z: Call BoldGTENSX
        CurrentX = -79: CurrentY = 213
        AL = z: Call BoldGUNITS
Else
    Call Get_house_cusp_info

    For t = 1 To 12
        wheels_90.FontSize = XOPTION!(69): wheels_90.ForeColor = QBColor(XOPTION!(89))
        z = HC1(t): Call Convert360toDM
        CurrentX = HCUSPDATA%(t * 10 - 10): CurrentY = HCUSPDATA%(t * 10 - 9)
        AL = z1: Call BoldGTENSX
        CurrentX = HCUSPDATA%(t * 10 - 8): CurrentY = HCUSPDATA%(t * 10 - 7)
        AL = z1: Call BoldGUNITS
        CurrentX = HCUSPDATA%(t * 10 - 6): CurrentY = HCUSPDATA%(t * 10 - 5)
        wheels_90.FontSize = XOPTION!(70): wheels_90.ForeColor = QBColor(XOPTION!(90))
        Call GSIGNS: wheels_90.ForeColor = QBColor(XOPTION!(91))
        wheels_90.FontSize = XOPTION!(71)
        CurrentX = HCUSPDATA%(t * 10 - 4): CurrentY = HCUSPDATA%(t * 10 - 3)
        AL = z2: Call GTENSX
        CurrentX = HCUSPDATA%(t * 10 - 2): CurrentY = HCUSPDATA%(t * 10 - 1)
        AL = z2: Call GUNITS
    Next t
End If
End Sub

Private Sub PutDataOnHouseCuspsPrinter()
    Dim t, t1, t2, t3, t4, t5, dist

If XOPTION!(50) >= 1 Then
'00/90 degrees
        Printer.FontSize = XOPTION!(136): Printer.ForeColor = QBColor(XOPTION!(89))
        z = 0: Call Convert360toDM
        Printer.CurrentX = -3: Printer.CurrentY = 226
        AL = z: Call BoldGTENSXPrinter
        Printer.CurrentX = 1: Printer.CurrentY = 226
        AL = z: Call BoldGUNITSPrinter

'85 degrees
        Printer.FontSize = XOPTION!(136): Printer.ForeColor = QBColor(XOPTION!(89))
        z = 85: Call Convert360toDM
        Printer.CurrentX = 76: Printer.CurrentY = 213
        AL = z: Call BoldGTENSXPrinter
        Printer.CurrentX = 80: Printer.CurrentY = 213
        AL = z: Call BoldGUNITSPrinter

'80 degrees
        Printer.FontSize = XOPTION!(136): Printer.ForeColor = QBColor(XOPTION!(89))
        z = 80: Call Convert360toDM
        Printer.CurrentX = 145: Printer.CurrentY = 176
        AL = z: Call BoldGTENSXPrinter
        Printer.CurrentX = 149: Printer.CurrentY = 176
        AL = z: Call BoldGUNITSPrinter

'75 degrees
        Printer.FontSize = XOPTION!(136): Printer.ForeColor = QBColor(XOPTION!(89))
        z = 75: Call Convert360toDM
        Printer.CurrentX = 198: Printer.CurrentY = 115
        AL = z: Call BoldGTENSXPrinter
        Printer.CurrentX = 202: Printer.CurrentY = 115
        AL = z: Call BoldGUNITSPrinter

'70 degrees
        Printer.FontSize = XOPTION!(136): Printer.ForeColor = QBColor(XOPTION!(89))
        z = 70: Call Convert360toDM
        Printer.CurrentX = 225: Printer.CurrentY = 42
        AL = z: Call BoldGTENSXPrinter
        Printer.CurrentX = 229: Printer.CurrentY = 42
        AL = z: Call BoldGUNITSPrinter

'65 degrees
        Printer.FontSize = XOPTION!(136): Printer.ForeColor = QBColor(XOPTION!(89))
        z = 65: Call Convert360toDM
        Printer.CurrentX = 225: Printer.CurrentY = -36
        AL = z: Call BoldGTENSXPrinter
        Printer.CurrentX = 229: Printer.CurrentY = -36
        AL = z: Call BoldGUNITSPrinter

'60 degrees
        Printer.FontSize = XOPTION!(136): Printer.ForeColor = QBColor(XOPTION!(89))
        z = 60: Call Convert360toDM
        Printer.CurrentX = 196: Printer.CurrentY = -111
        AL = z: Call BoldGTENSXPrinter
        Printer.CurrentX = 200: Printer.CurrentY = -111
        AL = z: Call BoldGUNITSPrinter

'55 degrees
        Printer.FontSize = XOPTION!(136): Printer.ForeColor = QBColor(XOPTION!(89))
        z = 55: Call Convert360toDM
        Printer.CurrentX = 146: Printer.CurrentY = -171
        AL = z: Call BoldGTENSXPrinter
        Printer.CurrentX = 150: Printer.CurrentY = -171
        AL = z: Call BoldGUNITSPrinter

'50 degrees
        Printer.FontSize = XOPTION!(136): Printer.ForeColor = QBColor(XOPTION!(89))
        z = 50: Call Convert360toDM
        Printer.CurrentX = 76: Printer.CurrentY = -209
        AL = z: Call BoldGTENSXPrinter
        Printer.CurrentX = 80: Printer.CurrentY = -209
        AL = z: Call BoldGUNITSPrinter

'45 degrees
        Printer.FontSize = XOPTION!(136): Printer.ForeColor = QBColor(XOPTION!(89))
        z = 45: Call Convert360toDM
        Printer.CurrentX = -5: Printer.CurrentY = -221
        AL = z: Call BoldGTENSXPrinter
        Printer.CurrentX = -1: Printer.CurrentY = -221
        AL = z: Call BoldGUNITSPrinter

'40 degrees
        Printer.FontSize = XOPTION!(136): Printer.ForeColor = QBColor(XOPTION!(89))
        z = 40: Call Convert360toDM
        Printer.CurrentX = -84: Printer.CurrentY = -207
        AL = z: Call BoldGTENSXPrinter
        Printer.CurrentX = -80: Printer.CurrentY = -207
        AL = z: Call BoldGUNITSPrinter

'35 degrees
        Printer.FontSize = XOPTION!(136): Printer.ForeColor = QBColor(XOPTION!(89))
        z = 35: Call Convert360toDM
        Printer.CurrentX = -152: Printer.CurrentY = -171
        AL = z: Call BoldGTENSXPrinter
        Printer.CurrentX = -148: Printer.CurrentY = -171
        AL = z: Call BoldGUNITSPrinter

'30 degrees
        Printer.FontSize = XOPTION!(136): Printer.ForeColor = QBColor(XOPTION!(89))
        z = 30: Call Convert360toDM
        Printer.CurrentX = -205: Printer.CurrentY = -111
        AL = z: Call BoldGTENSXPrinter
        Printer.CurrentX = -201: Printer.CurrentY = -111
        AL = z: Call BoldGUNITSPrinter

'25 degrees
        Printer.FontSize = XOPTION!(136): Printer.ForeColor = QBColor(XOPTION!(89))
        z = 25: Call Convert360toDM
        Printer.CurrentX = -232: Printer.CurrentY = -38
        AL = z: Call BoldGTENSXPrinter
        Printer.CurrentX = -228: Printer.CurrentY = -38
        AL = z: Call BoldGUNITSPrinter

'20 degrees
        Printer.FontSize = XOPTION!(136): Printer.ForeColor = QBColor(XOPTION!(89))
        z = 20: Call Convert360toDM
        Printer.CurrentX = -232: Printer.CurrentY = 43
        AL = z: Call BoldGTENSXPrinter
        Printer.CurrentX = -228: Printer.CurrentY = 43
        AL = z: Call BoldGUNITSPrinter

'15 degrees
        Printer.FontSize = XOPTION!(136): Printer.ForeColor = QBColor(XOPTION!(89))
        z = 15: Call Convert360toDM
        Printer.CurrentX = -205: Printer.CurrentY = 115
        AL = z: Call BoldGTENSXPrinter
        Printer.CurrentX = -201: Printer.CurrentY = 115
        AL = z: Call BoldGUNITSPrinter

'10 degrees
        Printer.FontSize = XOPTION!(136): Printer.ForeColor = QBColor(XOPTION!(89))
        z = 10: Call Convert360toDM
        Printer.CurrentX = -154: Printer.CurrentY = 176
        AL = z: Call BoldGTENSXPrinter
        Printer.CurrentX = -150: Printer.CurrentY = 176
        AL = z: Call BoldGUNITSPrinter

'5 degrees
        Printer.FontSize = XOPTION!(136): Printer.ForeColor = QBColor(XOPTION!(89))
        z = 5: Call Convert360toDM
        Printer.CurrentX = -84: Printer.CurrentY = 213
        AL = z: Call BoldGTENSXPrinter
        Printer.CurrentX = -80: Printer.CurrentY = 213
        AL = z: Call BoldGUNITSPrinter
Else
    Call Get_house_cusp_info

    For t = 1 To 12
        Printer.FontSize = XOPTION!(79): Printer.ForeColor = QBColor(XOPTION!(104))
        z = HC1(t): Call Convert360toDM
        Printer.CurrentX = HCUSPDATA%(t * 10 - 10): Printer.CurrentY = HCUSPDATA%(t * 10 - 9)
        AL = z1: Call BoldGTENSXPrinter
        Printer.CurrentX = HCUSPDATA%(t * 10 - 8): Printer.CurrentY = HCUSPDATA%(t * 10 - 7)
        AL = z1: Call BoldGUNITSPrinter
        Printer.CurrentX = HCUSPDATA%(t * 10 - 6): Printer.CurrentY = HCUSPDATA%(t * 10 - 5)
        Printer.FontSize = XOPTION!(80): Printer.ForeColor = QBColor(XOPTION!(105))
        Call GSIGNSPrinter: Printer.FontSize = XOPTION!(81)
        Printer.ForeColor = QBColor(XOPTION!(106))
        Printer.CurrentX = HCUSPDATA%(t * 10 - 4): Printer.CurrentY = HCUSPDATA%(t * 10 - 3)
        AL = z2: Call GTENSXPrinter
        Printer.CurrentX = HCUSPDATA%(t * 10 - 2): Printer.CurrentY = HCUSPDATA%(t * 10 - 1)
        AL = z2: Call GUNITSPrinter
    Next t
End If
End Sub

Private Sub PutPlanetsInChartwheel()
    Dim temp1, Hse1%

    Hse1% = 4
    If XOPTION!(28) = 1 Then Hse1% = 3

    z = SORT(x): Call Convert360toDM
    wheels_90.FontSize = XOPTION!(124)          'font size for planets

    If SORTPOS(x) >= planet_limit_90% Then
        If HOUSEY = 4 Or HOUSEY = 9 Or HOUSEY = 10 Then
            Radius = TheRadiusX%(Int(Angle / 15) + 1) + 12
        ElseIf HOUSEY = 3 Then
            Radius = TheRadiusX%(Int(Angle / 15) + 1) + 13
        Else
            Radius = TheRadiusX%(Int(Angle / 15) + 1) + 14
        End If

        ROW = (Radius * Sine(Angle))
        col = Radius * Cosine(Angle)

        wheels_90.ForeColor = QBColor(XOPTION!(92))

        CurrentY = ROW: CurrentX = col

        Call GPLANETS

        Exit Sub
    End If

    ROW = (Radius * Sine(Angle)): col = Radius * Cosine(Angle)

    wheels_90.ForeColor = QBColor(XOPTION!(92))
    CurrentY = ROW: CurrentX = col: Call GPLANETS

    If XOPTION!(50) = 2 Then Exit Sub

    If (HOUSEY >= Hse1% And HOUSEY <= Hse1% + 5) Then
       If NatORSyn_90% <> 2 Then
            wheels_90.ForeColor = QBColor(XOPTION!(95))
            NumeralCharacterWidth% = wheels_90.TextWidth(Chr$(48)) + XOPTION!(61)
            NumeralCharacterHeight% = Abs(wheels_90.TextHeight(Chr$(48))) + XOPTION!(63)
            Call AdjustNCH1 'adjust NumeralCharacterHeight% for screen
            Call ChangeRadiusForNumeral
            wheels_90.FontSize = XOPTION!(75)
            NumeralCharacterWidth% = wheels_90.TextWidth(Chr$(48)) + XOPTION!(61)
            NumeralCharacterHeight% = Abs(wheels_90.TextHeight(Chr$(48))) + XOPTION!(63)
            Call AdjustNCH1 'adjust NumeralCharacterHeight% for screen
            AL = z2: Call GUNITS: Call ChangeRadiusForNumeral
            AL = z2: Call GTENSX: Call ChangeRadiusForNumeral
       End If

       NumeralCharacterWidth% = wheels_90.TextWidth(Chr$(48)) + XOPTION!(61)
       NumeralCharacterHeight% = Abs(wheels_90.TextHeight(Chr$(48))) + XOPTION!(63)
       Call ChangeRadiusForNumeral: wheels_90.FontSize = XOPTION!(74)
       NumeralCharacterWidth% = wheels_90.TextWidth(Chr$(48)) + XOPTION!(60)
       NumeralCharacterHeight% = Abs(wheels_90.TextHeight(Chr$(48))) + XOPTION!(62)
       wheels_90.ForeColor = QBColor(XOPTION!(94))
       Call GSIGNS_show_full_sign
       wheels_90.FontSize = XOPTION!(73)
       wheels_90.ForeColor = QBColor(XOPTION!(93))
       NumeralCharacterWidth% = wheels_90.TextWidth(Chr$(48)) + XOPTION!(61)
       NumeralCharacterHeight% = Abs(wheels_90.TextHeight(Chr$(48))) + XOPTION!(63)
       Call ChangeRadiusForNumeral: AL = z1: Call BoldGUNITS
       Call ChangeRadiusForNumeral: AL = z1: Call BoldGTENSX
       Call ChangeRadiusForNumeral
    Else
       Call ChangeRadiusForGlyph: wheels_90.FontSize = XOPTION!(73)
       NumeralCharacterWidth% = wheels_90.TextWidth(Chr$(48)) + XOPTION!(61)
       NumeralCharacterHeight% = Abs(wheels_90.TextHeight(Chr$(48))) + XOPTION!(63)
       wheels_90.ForeColor = QBColor(XOPTION!(93))
       AL = z1: Call BoldGTENSX: Call ChangeRadiusForNumeral
       AL = z1: Call BoldGUNITS: Call ChangeRadiusForNumeral
       wheels_90.FontSize = XOPTION!(74)
       wheels_90.ForeColor = QBColor(XOPTION!(94))
       Call GSIGNS_show_full_sign
       NumeralCharacterWidth% = wheels_90.TextWidth(Chr$(191 + Q)) + XOPTION!(60)
       NumeralCharacterHeight% = Abs(wheels_90.TextHeight(Chr$(191 + Q))) + XOPTION!(62)
       Call ChangeRadiusForNumeral
       If NatORSyn_90% <> 2 Then
            wheels_90.FontSize = XOPTION!(75)
            wheels_90.ForeColor = QBColor(XOPTION!(95))
            NumeralCharacterWidth% = wheels_90.TextWidth(Chr$(48)) + XOPTION!(61)
            NumeralCharacterHeight% = Abs(wheels_90.TextHeight(Chr$(48))) + XOPTION!(63)
            AL = z2: Call GTENSX: Call ChangeRadiusForNumeral
            AL = z2: Call GUNITS: Call ChangeRadiusForNumeral
       End If
    End If

'    If SORTPOS(x) < 11 Or SORTPOS(x) = 13 Then
        If Mid$(Retrograde_90$, SORTPOS(x), 1) = "R" Or in_test_90% = 1 Then
            wheels_90.FontSize = XOPTION!(76)
            temp1 = wheels_90.ForeColor
            wheels_90.ForeColor = QBColor(XOPTION!(96))
            wheels_90.Print Chr$(156):                  'Retrograde
            wheels_90.ForeColor = temp1
        End If
'    End If
End Sub

Private Sub PutPlanetsInChartwheelPrinter()
    Dim temp, temp1, Hse1%

    Hse1% = 4
    If XOPTION!(28) = 1 Then Hse1% = 3

    z = SORT(x): Call Convert360toDM
    Printer.FontSize = XOPTION!(137)          'font size for planets

    If SORTPOS(x) >= planet_limit_90% Then
        If InnerOuter_90% = 1 Then
            If HOUSEY = 4 Then
                Radius = TheRadiusX%(Int(Angle / 15) + 1) + 16
            ElseIf HOUSEY = 3 Or HOUSEY = 9 Or HOUSEY = 10 Then
                Radius = TheRadiusX%(Int(Angle / 15) + 1) + 18
            ElseIf HOUSEY = 5 Then
                Radius = TheRadiusX%(Int(Angle / 15) + 1) + 20
            ElseIf HOUSEY = 12 Or HOUSEY = 1 Then
                Radius = TheRadiusX%(Int(Angle / 15) + 1) + 24
            Else
                Radius = TheRadiusX%(Int(Angle / 15) + 1) + 22
            End If
        Else
            If HOUSEY = 3 Or HOUSEY = 4 Or HOUSEY = 9 Or HOUSEY = 10 Then
                Radius = TheRadiusX%(Int(Angle / 15) + 1) + 14
            ElseIf HOUSEY = 5 Then
                Radius = TheRadiusX%(Int(Angle / 15) + 1) + 15
            ElseIf HOUSEY = 12 Then
                Radius = TheRadiusX%(Int(Angle / 15) + 1) + 19
            Else
                Radius = TheRadiusX%(Int(Angle / 15) + 1) + 17
            End If
        End If

        Radius = Radius * 0.965

        ROW = (Radius * Sine(Angle))
        col = Radius * Cosine(Angle)

        Printer.ForeColor = QBColor(XOPTION!(92))

        Printer.CurrentY = ROW: Printer.CurrentX = col

        Call GPLANETSPrinter

        Exit Sub
    End If

    Radius = Radius * 0.97625             'was 0.9875

    ROW = (Radius * Sine(Angle))
    col = Radius * Cosine(Angle)

    Printer.ForeColor = QBColor(XOPTION!(107))
    Printer.CurrentY = ROW: Printer.CurrentX = col: Call GPLANETSPrinter

    If XOPTION!(50) = 2 Then Exit Sub

    If (HOUSEY >= Hse1% And HOUSEY <= Hse1% + 5) Then
       If NatORSyn_90% <> 2 Or XOPTION!(199) <> 0 Then
            Printer.ForeColor = QBColor(XOPTION!(110))
            NumeralCharacterWidth% = Printer.TextWidth(Chr$(48)) + XOPTION!(65)
            NumeralCharacterHeight% = Abs(Printer.TextHeight(Chr$(48))) + XOPTION!(67)
            Call AdjustNCHP1 'adjust NumeralCharacterHeight% for printer
            Call ChangeRadiusForNumeral

            Printer.FontSize = XOPTION!(149)

            NumeralCharacterWidth% = Printer.TextWidth(Chr$(48)) + XOPTION!(65)
            NumeralCharacterHeight% = Abs(Printer.TextHeight(Chr$(48))) + XOPTION!(67)
            Call AdjustNCHP1 'adjust NumeralCharacterHeight% for printer
            AL = z2: Call GUNITSPrinter: Call ChangeRadiusForNumeral
            AL = z2: Call GTENSXPrinter: Call ChangeRadiusForNumeral
       End If
       NumeralCharacterWidth% = Printer.TextWidth(Chr$(48)) + XOPTION!(65)
       NumeralCharacterHeight% = Abs(Printer.TextHeight(Chr$(48))) + XOPTION!(67)
       Call ChangeRadiusForNumeral

       Printer.FontSize = XOPTION!(148)

       NumeralCharacterWidth% = Printer.TextWidth(Chr$(48)) + XOPTION!(64)
       NumeralCharacterHeight% = Abs(Printer.TextHeight(Chr$(48))) + XOPTION!(66)
       Printer.ForeColor = QBColor(XOPTION!(109))
       GSIGNSPrinter_show_full_sign

       Printer.FontSize = XOPTION!(147)
       Printer.ForeColor = QBColor(XOPTION!(108))

       NumeralCharacterWidth% = Printer.TextWidth(Chr$(48)) + XOPTION!(65)
       NumeralCharacterHeight% = Abs(Printer.TextHeight(Chr$(48))) + XOPTION!(67)
       Call ChangeRadiusForNumeral: AL = z1: Call BoldGUNITSPrinter
       Call ChangeRadiusForNumeral: AL = z1: Call BoldGTENSXPrinter
       Call ChangeRadiusForNumeral
    Else
       Call ChangeRadiusForGlyph

       Printer.FontSize = XOPTION!(147)

       NumeralCharacterWidth% = Printer.TextWidth(Chr$(48)) + XOPTION!(65)
       NumeralCharacterHeight% = Abs(Printer.TextHeight(Chr$(48))) + XOPTION!(67)
       Printer.ForeColor = QBColor(XOPTION!(108))
       AL = z1: Call BoldGTENSXPrinter: Call ChangeRadiusForNumeral
       AL = z1: Call BoldGUNITSPrinter: Call ChangeRadiusForNumeral

       Printer.FontSize = XOPTION!(148)
       Printer.ForeColor = QBColor(XOPTION!(109))
       GSIGNSPrinter_show_full_sign

       NumeralCharacterWidth% = Printer.TextWidth(Chr$(191 + Q)) + XOPTION!(64)
       NumeralCharacterHeight% = Abs(Printer.TextHeight(Chr$(191 + Q))) + XOPTION!(66)
       Call ChangeRadiusForNumeral
       If NatORSyn_90% <> 2 Or XOPTION!(199) <> 0 Then
            Printer.FontSize = XOPTION!(149)
            Printer.ForeColor = QBColor(XOPTION!(110))

            NumeralCharacterWidth% = Printer.TextWidth(Chr$(48)) + XOPTION!(65)
            NumeralCharacterHeight% = Abs(Printer.TextHeight(Chr$(48))) + XOPTION!(67)
            AL = z2: Call GTENSXPrinter: Call ChangeRadiusForNumeral
            AL = z2: Call GUNITSPrinter: Call ChangeRadiusForNumeral
       End If
    End If
    If SORTPOS(x) < 11 Then
        If Mid$(Retrograde_90$, SORTPOS(x), 1) = "R" Then
            Printer.FontSize = XOPTION!(86)
            temp1 = Printer.ForeColor
            Printer.ForeColor = QBColor(XOPTION!(111))

            iBKMode = SetBkMode(Printer.hdc, TRANSPARENT)
            Printer.Print Chr$(156):                    'Retrograde

            Printer.ForeColor = temp1
        End If
    End If
End Sub

Private Sub SetupAndDisplayPlanets_outer()
    Dim X7%, dist, dist1, LastAngle, t9, NextCusp

    If NatORSyn_90% = 0 Or InnerOuter_90% = 1 Then
        MaxInHouse% = XOPTION!(169)     'was 10
        'DegreeIncrement = 3#
        DegreeIncrement = 30 / MaxInHouse%
        For X7% = 1 To 12: TheAngleX%(X7%) = OCAngleX%(X7%): Next X7%
        For X7% = 1 To 25: TheRadiusX%(X7%) = OCRadiusX%(X7%): Next X7%
        Retrograde_90$ = CWRetrograde$
    End If

    If NatORSyn_90% = 1 And InnerOuter_90% = 0 Then
        MaxInHouse% = XOPTION!(170)     'was 6
        'DegreeIncrement = 5.3
        DegreeIncrement = 29 / MaxInHouse%
        For X7% = 1 To 12: TheAngleX%(X7%) = ICDAngleX%(X7%): Next X7%
        For X7% = 1 To 25: TheRadiusX%(X7%) = ICDRadiusX%(X7%): Next X7%
    End If

    LastAngle = -100
'sort the planets in Planets() into the proper order
    Call SortPlanets
'count the number of planets in each house
    Call CountPlanets_outer

    For X7% = 0 To 200           'was 115
        SpotFilled_inner_90%(X7%) = 0
        SpotFilled_outer_90%(X7%) = 0
    Next X7%

    For x = num_pl_bodies_90% To 1 Step -1: 'was 10
        If SORTPOS(x) < planet_limit_90% Then GoTo SHT9

        temp = HOUSEY
        HOUSEY = Val(Mid$(ph$, SORTPOS(x) * 10 - 9, 2))
        If temp = HOUSEY Then
'this deals with the next planet in the same house
            If NOPIH(HOUSEY) > MaxInHouse% And (SORTPOS(x) = 12 Or SORTPOS(x) = 13) Then
                GoTo SHT9: 'was Exit Sub
            End If

            If HOUSEY < 10 Then
                FromCusp = CRUNCH(SORT(x) - HC1(HOUSEY + 3)): FromCusp = CRUNCH(FromCusp)
                If FromCusp >= 360 - 1 / 36000 And FromCusp <= 360 + 1 / 36000 Then FromCusp = 0
                'INDEXY = CInt(FromCusp * MaxInHouse% / DegEachHouse(HOUSEY + 3))
                INDEXY = Fix(FromCusp * MaxInHouse% / DegEachHouse(HOUSEY + 3))
            End If

            If HOUSEY > 9 Then
                FromCusp = CRUNCH(SORT(x) - HC1(HOUSEY - 9)): FromCusp = CRUNCH(FromCusp)
                If FromCusp >= 360 - 1 / 36000 And FromCusp <= 360 + 1 / 36000 Then FromCusp = 0
                'INDEXY = CInt(FromCusp * MaxInHouse% / DegEachHouse(HOUSEY - 9))
                INDEXY = Fix(FromCusp * MaxInHouse% / DegEachHouse(HOUSEY - 9))
            End If

            If INDEXY >= MaxInHouse% - NOPIH(HOUSEY) Then
                If MaxInHouse% - INDEXY - NOPIH(HOUSEY) + PlanetsDone% <= 0 Then
                    IDX = INDEXY - (NOPIH(HOUSEY) - PlanetsDone%)

                    If IDX < 0 Then
                        INDEXY = MaxInHouse% - NOPIH(HOUSEY)
                        GoTo p4a
                    End If

                    If SpotFilled_outer_90%(MaxInHouse% * (HOUSEY - 1) + INDEXY) = 0 Then
                        INDEXY = MaxInHouse% - (NOPIH(HOUSEY) - PlanetsDone%) - 1
                    Else
                        INDEXY = MaxInHouse% - NOPIH(HOUSEY)
                    End If
                End If
p4a:
                If INDEXY < 0 Then INDEXY = 0
            End If

            GoTo SHT5
        End If

'this starts a new house placement set
        PlanetsDone% = 1
        If HOUSEY < 10 Then
           FromCusp = CRUNCH(SORT(x) - HC1(HOUSEY + 3)): FromCusp = CRUNCH(FromCusp)
           If FromCusp >= 360 - 1 / 36000 And FromCusp <= 360 + 1 / 36000 Then FromCusp = 0
           'INDEXY = CInt(FromCusp * MaxInHouse% / DegEachHouse(HOUSEY + 3))
           INDEXY = Fix(FromCusp * MaxInHouse% / DegEachHouse(HOUSEY + 3))
        End If
        If HOUSEY > 9 Then
           FromCusp = CRUNCH(SORT(x) - HC1(HOUSEY - 9)): FromCusp = CRUNCH(FromCusp)
           If FromCusp >= 360 - 1 / 36000 And FromCusp <= 360 + 1 / 36000 Then FromCusp = 0
           'INDEXY = CInt(FromCusp * MaxInHouse% / DegEachHouse(HOUSEY - 9))
           INDEXY = Fix(FromCusp * MaxInHouse% / DegEachHouse(HOUSEY - 9))
        End If

        If INDEXY >= MaxInHouse% - NOPIH(HOUSEY) Then
            If MaxInHouse% - INDEXY - NOPIH(HOUSEY) + PlanetsDone% <= 0 Then
                IDX = INDEXY - (NOPIH(HOUSEY) - PlanetsDone%)

                If IDX < 0 Then
                    INDEXY = MaxInHouse% - NOPIH(HOUSEY)
                    GoTo p4b
                End If

                If SpotFilled_outer_90%(MaxInHouse% * (HOUSEY - 1) + INDEXY) = 0 Then
                    INDEXY = MaxInHouse% - (NOPIH(HOUSEY) - PlanetsDone%) - 1
                Else
                    INDEXY = MaxInHouse% - NOPIH(HOUSEY)
                End If
            End If
p4b:
            If INDEXY < 0 Then INDEXY = 0
        End If

        If NOPIH(HOUSEY) <> 0 Then
            If NOPIH(HOUSEY) > MaxInHouse% And (SORTPOS(x) = 12 Or SORTPOS(x) = 13) Then
                GoTo SHT9: 'was Exit Sub
            End If
        End If

SHT5:
        If SpotFilled_outer_90%(MaxInHouse% * (HOUSEY - 1) + INDEXY) = 1 Then
            INDEXY = INDEXY + 1
            GoTo SHT5
        End If

        SpotFilled_outer_90%(MaxInHouse% * (HOUSEY - 1) + INDEXY) = 1

        Angle = CRUNCH(TheAngleX%(HOUSEY) + INDEXY * DegreeIncrement)

        Radius = TheRadiusX%(Int(Angle / 15) + 1)

        CWPlanetAngle_90(SORTPOS(x)) = Angle
        If InnerOuter_90% = 0 Then
            'inner chartwheel
            If Angle >= 45 And Angle <= 135 Then
                CWPlanetAngle_90(SORTPOS(x)) = CWPlanetAngle_90(SORTPOS(x)) - 1
            ElseIf Angle >= 185 And Angle <= 215 Then
                CWPlanetAngle_90(SORTPOS(x)) = CWPlanetAngle_90(SORTPOS(x)) + 3
            ElseIf Angle > 215 And Angle <= 270 Then
                CWPlanetAngle_90(SORTPOS(x)) = CWPlanetAngle_90(SORTPOS(x)) + 3
            ElseIf Angle >= 330 And Angle <= 360 Then
                CWPlanetAngle_90(SORTPOS(x)) = CWPlanetAngle_90(SORTPOS(x)) - 2
            End If
        Else
            'outer chartwheel
            If Angle >= 45 And Angle <= 95 Then
                CWPlanetAngle_90(SORTPOS(x)) = CWPlanetAngle_90(SORTPOS(x)) - 1
            ElseIf Angle > 95 And Angle <= 130 Then
                CWPlanetAngle_90(SORTPOS(x)) = CWPlanetAngle_90(SORTPOS(x)) - 2
            ElseIf Angle > 130 And Angle <= 150 Then
                CWPlanetAngle_90(SORTPOS(x)) = CWPlanetAngle_90(SORTPOS(x)) - 1
            ElseIf Angle >= 180 And Angle <= 210 Then
                CWPlanetAngle_90(SORTPOS(x)) = CWPlanetAngle_90(SORTPOS(x)) + 2
            ElseIf Angle > 210 And Angle <= 240 Then
                CWPlanetAngle_90(SORTPOS(x)) = CWPlanetAngle_90(SORTPOS(x)) + 3
            ElseIf Angle > 240 And Angle <= 270 Then
                CWPlanetAngle_90(SORTPOS(x)) = CWPlanetAngle_90(SORTPOS(x)) + 2
            ElseIf Angle > 270 And Angle <= 280 Then
                CWPlanetAngle_90(SORTPOS(x)) = CWPlanetAngle_90(SORTPOS(x)) + 1
            ElseIf Angle >= 330 And Angle <= 360 Then
                CWPlanetAngle_90(SORTPOS(x)) = CWPlanetAngle_90(SORTPOS(x)) - 2
            End If
        End If

        PlanetsDone% = PlanetsDone% + 1
        If PrntObj_90% = 0 Then
            Call PutPlanetsInChartwheel
        Else
            Call PutPlanetsInChartwheelPrinter
        End If
SHT9:
    Next x

    wheels_90.Caption = XCaption$ & "planet list " & planet_list_num%
End Sub

Private Sub SortPlanets()
    Dim x, Y

'set zero planets in the houses
    For x = 1 To 12: NOPIH(x) = 0: Next x

    For x = 1 To num_pl_bodies_90%: 'was 10
        If NatORSyn_90% = 1 And InnerOuter_90% = 0 Then
           SORT(x) = p1(x)
           SORTPOS(x) = x
        End If

        If NatORSyn_90% = 0 Or InnerOuter_90% = 1 Then
           SORT(x) = CWPlanets_90(x)
           SORTPOS(x) = x
        End If
    Next x

    If InnerOuter_90% = 1 Then
        ph$ = OuterPH_90$
    End If

    If NatORSyn_90% = 1 And InnerOuter_90% = 0 Then
        For x = 1 To num_pl_bodies_90%: 'was 10
            p2(x) = CWPlanets_90(x)
            Planets(x) = p1(x)
        Next x

        For x = 1 To 12
            HC(x) = CWHC_90(x)
        Next x

        Call Planets_in_houses_90

        Retrograde_90$ = h1_90$

        For x = 1 To num_pl_bodies_90%: 'was 10
            CWPlanets_90(x) = p2(x)
        Next x
    End If

    For x = 1 To num_pl_bodies_90% - 1
        For Y = x + 1 To num_pl_bodies_90%
            If SORT(Y) > SORT(x) Then
                temp = SORT(x): temp1 = SORTPOS(x)
                SORT(x) = SORT(Y): SORTPOS(x) = SORTPOS(Y)
                SORT(Y) = temp: SORTPOS(Y) = temp1
            End If
        Next Y
    Next x
End Sub

Private Sub mnuUseList_Click(Index As Integer)
    planet_list_num% = Index

    FileCopy App.path & "\planet_list" & planet_list_num% & ".txt", App.path & "\options_90.opt"

    Call GetOptions_90
    Call Get_Planet_Positions_90

    If WheelType_90% = 1 Then
        Call Draw_single_90_natal_wheel
    Else
        Call Draw_dual_90_natal_transit_wheel
    End If
End Sub

